commit f2698cada180c65344c2be223823ed1d340bbcf8
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Oct 8 14:35:46 2012 +0200

    prepare 3.6.0.3

 NEWS         | 9 +++++++++
 configure.ac | 4 ++--
 2 files changed, 11 insertions(+), 2 deletions(-)

commit e3e1b92843738ae7ac82ef19da214cc6a7083ace
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Mon Oct 8 14:28:22 2012 +0200

    UOA mc plugin: Fix build errors

 ubuntu-online-accounts/mc-plugin/mcp-account-manager-uoa.c | 10
 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 3dd0c5d687be8936829fa704f0909601ae1b033d
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Mon Oct 8 16:16:31 2012 +0530

    Updated gujarati file

 po/gu.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 38d3100901bf601d4a015fad40fbc72bace7dc43
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Mon Oct 8 16:13:36 2012 +0530

    Updated gujarati file

 po/gu.po | 240
 +++++++++++++++++++++++----------------------------------------
 1 file changed, 86 insertions(+), 154 deletions(-)

commit cb5dc5dd166abb39fce526cea5b97b6d218b1fc7
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Oct 8 11:45:07 2012 +0200

    remove released flag

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d67bba0abef5b9292ebe98172e585bfee6d31ce6
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Oct 8 11:38:39 2012 +0200

    prepare 3.6.0.2

 NEWS         | 22 ++++++++++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 24 insertions(+), 2 deletions(-)

commit 1f9d768687c91fb89be8ed73a2300038cfb38ede
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Sun Oct 7 19:31:10 2012 +0200

    Fix planet gnome theme when using a non-default font

    https://bugzilla.gnome.org/show_bug.cgi?id=685663

 .../Contents/Resources/Incoming/Content.html         | 18
 ++++++++++--------
 .../Contents/Resources/main.css                      | 20
 +++++++++++++-------
 2 files changed, 23 insertions(+), 15 deletions(-)

commit 7cd89efd0e2a7257298d8305d397469a53e63461
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Sun Oct 7 15:46:17 2012 +0200

    Don't set the DefaultFont{Size,Family} in the themes

    For Adium themes Empathy prefers using the default font settings in a
    theme above the system font settings. So lets not set default
    fonts for
    the builtin themes, so these will follow the system instead.

    https://bugzilla.gnome.org/show_bug.cgi?id=685663

 data/themes/Boxes.AdiumMessageStyle/Contents/Info.plist       | 6 ------
 data/themes/Classic.AdiumMessageStyle/Contents/Info.plist     | 6 ------
 data/themes/PlanetGNOME.AdiumMessageStyle/Contents/Info.plist | 6 ------
 3 files changed, 18 deletions(-)

commit 63c548da561529db7d69251ff8ba089d0b73938a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Oct 5 13:28:04 2012 +0200

    deal if ag_manager_new_for_service_type() returns NULL

    Looks like it may happen because of Ubuntu's apparmor policy. We
    can't do much
    in this case but best to not crash MC at least.

    https://bugzilla.gnome.org/show_bug.cgi?id=685498

 .../mc-plugin/mcp-account-manager-uoa.c               | 19
 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit 537ac5a986ea5b3959ae42f5b87145451a81b9b3
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Oct 5 15:09:29 2012 +0200

    roster-window: fix event_activated_cb callback signature

    We receive the EmpathyEvent as the second signal argument, no as
    user_data
    pointer (which is 'self').

    https://bugzilla.gnome.org/show_bug.cgi?id=681725

 src/empathy-roster-window.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 9ad6ad6ddfed99c88567a29407cd481ac4cce9f4
Author: Pavel Vasin <rat4vier@gmail.com>
Date:   Sun Oct 7 14:00:52 2012 +0400

    empathy-spell: fix string leak

    https://bugzilla.gnome.org/show_bug.cgi?id=685652

 libempathy-gtk/empathy-spell.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f36171ef13831fbf2e7df7087e5899e05a37f2b2
Author: Pavel Vasin <rat4vier@gmail.com>
Date:   Sun Oct 7 13:56:42 2012 +0400

    theme-manager: fix GList leak

    g_hash_table_get_values() returns newly allocated list and it was lost

    https://bugzilla.gnome.org/show_bug.cgi?id=685652

 libempathy-gtk/empathy-theme-manager.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3ca6b8a0f122833556e500c0dd0cfb3227180fa1
Author: Pavel Vasin <rat4vier@gmail.com>
Date:   Sun Oct 7 13:47:08 2012 +0400

    empathy_theme_manager_dup_theme_name_from_path(): fix mem leaks

    https://bugzilla.gnome.org/show_bug.cgi?id=685652

 libempathy-gtk/empathy-theme-manager.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit b46b9e3ec8dd67359b1e1b2b20678f6c322d41b3
Author: Pavel Vasin <rat4vier@gmail.com>
Date:   Sun Oct 7 13:36:23 2012 +0400

    contact-search-dialog: fix GtkSizeGroup leak

    GtkSizeGroup objects are referenced by each widget in the size group,
    so once you have added all widgets to a GtkSizeGroup, you can drop the
    initial reference to the size group with g_object_unref().

    https://bugzilla.gnome.org/show_bug.cgi?id=685652

 libempathy-gtk/empathy-contact-search-dialog.c | 1 +
 1 file changed, 1 insertion(+)

commit 59ea9e4abe4525b86615f404d4f493e9e4752a35
Author: Pavel Vasin <rat4vier@gmail.com>
Date:   Sun Oct 7 13:34:51 2012 +0400

    individual-menu: fix another GeeIterator leak

    https://bugzilla.gnome.org/show_bug.cgi?id=685652

 libempathy-gtk/empathy-individual-menu.c | 2 ++
 1 file changed, 2 insertions(+)

commit f5486dce8dbb842ad9edfcd89db6573f9f308ab8
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Sun Oct 7 11:21:00 2012 +0200

    [nst] Link against libempathy

    As the nautilus-sendto-plugin uses functions from libempathy it should
    link directly against it otherwise the build fails when using
    -Wl,--as-needed:

    .libs/empathy-nautilus-sendto.o: In function
    `dup_contact_from_individual':
    /tmp/buildd/empathy-3.6.0.1/nautilus-sendto-plugin/empathy-nautilus-sendto.c:73:
    undefined reference to `empathy_contact_dup_best_for_action'
    /tmp/buildd/empathy-3.6.0.1/nautilus-sendto-plugin/empathy-nautilus-sendto.c:78:
    undefined reference to `empathy_contact_can_do_action'

 nautilus-sendto-plugin/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d847e6b17a357fed2a9ed7f2008a99ea522c73d7
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Sun Oct 7 11:30:55 2012 +0300

    Updated Latvian translation

 po/lv.po | 145
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 76 insertions(+), 69 deletions(-)

commit cf7f96c7fb819c510ea6b7570077ecf7c60c59e4
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Fri Oct 5 10:59:57 2012 +0200

    Updated Hebrew tranlation.

 po/he.po | 602
 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 404 insertions(+), 198 deletions(-)

commit 74c12fef91f67d8f68943e3b985b02c5f168818b
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Fri Oct 5 05:13:55 2012 +0200

    Minor fixes

 po/ar.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 0d9f46c89deb311548d8b5879f005db662ee3a2a
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Thu Oct 4 15:40:37 2012 +0200

    Typos

 po/ar.po | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit f112ae55a694b4130f985ec92f4edad990a80042
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Thu Oct 4 15:29:10 2012 +0200

    Updated Arabic translation

 po/ar.po | 165
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 81 insertions(+), 84 deletions(-)

commit 8f3848c56c2592ee9aedce4766a2a032add9ebfe
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Oct 4 15:05:54 2012 +0200

    remove empathy-av old service and client files

    They are not used since a while.

 data/.gitignore                                     |  1 -
 data/Empathy.AudioVideo.client                      | 21
 ---------------------
 ...p.Telepathy.Client.Empathy.AudioVideo.service.in |  3 ---
 3 files changed, 25 deletions(-)

commit 29970745de26fa75c90672df74fb574300524dea
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Thu Oct 4 12:46:20 2012 +0200

    Update French translation

 po/fr.po | 53 +++++++++++++++++++++++++++++++----------------------
 1 file changed, 31 insertions(+), 22 deletions(-)

commit ae155f9e69e9db87bbd78f4d149223b15667ad3a
Author: Khoem Sokhem <khoemsokhem@khmeros.info>
Date:   Wed Oct 3 17:45:07 2012 +0200

    [l10n] Added Khmer translation

 po/LINGUAS |    1 +
 po/km.po   | 4723
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 4724 insertions(+)

commit 6d81ab8897e71e4476a45864c20ec7584732d3d2
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Oct 3 16:38:49 2012 +0200

    print a warning if pulsesrc is missing

 src/empathy-audio-src.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit b8c1f913ff156003f147c1a68ca28b8145f01e99
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Wed Oct 3 18:40:55 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 702
 ++++++++++++++++++++++++++++++------------------------------
 po/zh_TW.po | 702
 ++++++++++++++++++++++++++++++------------------------------
 2 files changed, 710 insertions(+), 694 deletions(-)

commit 68f3bd3c25d18226d69a36320e098630bd5607fe
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Oct 3 12:21:17 2012 +0200

    remove released flag

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b7da83a8160b59aa6375449c42f21d4ed9987d85
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Oct 3 12:12:58 2012 +0200

    prepare 3.6.0.1

 NEWS         | 39 +++++++++++++++++++++++++++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 41 insertions(+), 2 deletions(-)

commit 5206421264c993ab34599c63b3744e4a7f9e075a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Sep 28 08:38:14 2012 +0200

    chat-manager: cache the individual mgr

    We want to keep it alive during the whole lifetime of empathy-chat.

 src/empathy-chat-manager.c | 32 +++++++++++++++++++++++++++++++-
 1 file changed, 31 insertions(+), 1 deletion(-)

commit 257011e356f9f293e5df5032159b9e79cf70d9d6
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Sep 28 08:37:26 2012 +0200

    chat-window: expose the individual mgr as a property

 src/empathy-chat-window.c | 39 +++++++++++++++++++++++++++++++++++++++
 src/empathy-chat-window.h |  3 +++
 2 files changed, 42 insertions(+)

commit 22eab320c9669b7c6307bf202ca661e12ff8de57
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Sep 27 12:39:44 2012 +0200

    chat-window: update the contact menu when folks is loaded

 src/empathy-chat-window.c | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit 11e0514f64c70770393f22b410c9e23153c132b3
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Sep 27 12:31:06 2012 +0200

    chat-window: load the individual mgr when the chat window is
    focused out

    Dirty hack to cope with Folks being slow as hell and blocking the
    main loop
    while preparing.

 src/empathy-chat-window.c | 46
 +++++++++++++++++++++++++++++++++++-----------
 1 file changed, 35 insertions(+), 11 deletions(-)

commit 197e45140f3d79cca9bb3290b094a7055de24f74
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Sep 27 12:22:04 2012 +0200

    move the individual mgr reference to empathy-chat-window

    The chat window is the one actually using the manager so it makes
    sense to
    move it there. It's a singleton so the same instance will be shared
    between
    windows anyway.

 src/empathy-chat-window.c | 20 +++++++++++++++-----
 src/empathy-chat.c        | 14 --------------
 2 files changed, 15 insertions(+), 19 deletions(-)

commit d96f93b08a28fb0e19d035255c709bc09cdc5c7d
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Wed Oct 3 00:50:34 2012 +0200

    [l10n] Updated Catalan (Valencian) translation

 po/ca@valencia.po | 136
 ++++++++++++++++++++++++++++--------------------------
 1 file changed, 71 insertions(+), 65 deletions(-)

commit 74006567183f3781fbf68715558f4fd7c3e95534
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Tue Oct 2 23:40:34 2012 +0200

    Updated Hungarian translation

 po/hu.po | 135
 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 72 insertions(+), 63 deletions(-)

commit 35c4220f495a85db3d32df86d0a62a1039cdc915
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Oct 2 14:59:55 2012 +0200

    roster-view: add some delay before actually starting the live search

    This avoid stacking a bunch of useless searches while user is typing
    as we
    can't stop the old search before starting the new one.

    https://bugzilla.gnome.org/show_bug.cgi?id=685278

 libempathy-gtk/empathy-roster-view.c | 29 +++++++++++++++++++++++++++--
 1 file changed, 27 insertions(+), 2 deletions(-)

commit ee2b89a5cbd5b5837488c7334a259bc356eccdc4
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Oct 2 13:47:27 2012 +0200

    cope with the top_group_members list being changed while iterating
    over it

    https://bugzilla.gnome.org/show_bug.cgi?id=685203

 libempathy-gtk/empathy-roster-model-manager.c | 19 +++++++++++++------
 1 file changed, 13 insertions(+), 6 deletions(-)

commit f72a036cce9ff7ce9d1e96f7c72e42e83c8c4452
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Oct 2 13:31:10 2012 +0200

    individual-manager: make sure the individual stays alive when
    removing it

    https://bugzilla.gnome.org/show_bug.cgi?id=685203

 libempathy/empathy-individual-manager.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 33b5753dab14d6f387fdb0346aac5c0998489477
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Oct 2 10:44:17 2012 +0200

    roster-model-manager: factor out
    {add_to,remove_from}_top_group_members()

    https://bugzilla.gnome.org/show_bug.cgi?id=685203

 libempathy-gtk/empathy-roster-model-manager.c | 37
 +++++++++++++++++----------
 1 file changed, 23 insertions(+), 14 deletions(-)

commit 06dd24d2acae7b49fd72869fd265eb1144a32dc0
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Tue Oct 2 10:06:51 2012 +0300

    Updated Greek translation

 po/el.po | 69
 ++++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 39 insertions(+), 30 deletions(-)

commit 8964b3199d0415434948860c8ff78664aa40ae94
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Tue Oct 2 05:36:25 2012 +0300

    Updated Bulgarian translation

 po/bg.po | 133
 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 71 insertions(+), 62 deletions(-)

commit c9b12540e124f441c00d6b9e4be5d8b9d2a0fce1
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Oct 1 15:13:23 2012 +0200

    Updated Galician translations

 po/gl.po | 87
 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 43 insertions(+), 44 deletions(-)

commit ce49ad3e5a688ac22e52b1817123b44d82354f04
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Sep 30 13:06:35 2012 +0200

    Updated Spanish translation

 po/es.po | 74
 +++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 40 insertions(+), 34 deletions(-)

commit e8f7c8963ebd17819bf5ff291bd1423c3407fb3d
Author: Žygimantas Beručka <uid0@akl.lt>
Date:   Sun Sep 30 12:16:23 2012 +0300

    Updated Lithuanian translation

 po/lt.po | 695
 ++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 439 insertions(+), 256 deletions(-)

commit 5903fadcf9b61f8eb689343ccad27a72c5589504
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sat Sep 29 19:52:48 2012 +0200

    Updated Serbian translation

 po/sr.po       | 55
 ++++++++++++++++++++++++++++++++-----------------------
 po/sr@latin.po | 55
 ++++++++++++++++++++++++++++++++-----------------------
 2 files changed, 64 insertions(+), 46 deletions(-)

commit 7973dbc6eabb60c0618cf4fe83ebfdd784af852c
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Sat Sep 29 18:15:12 2012 +0300

    Updated Belarusian translation.

 po/be.po | 53 +++++++++++++++++++++++++++++++----------------------
 1 file changed, 31 insertions(+), 22 deletions(-)

commit bab2f093d6053a62736697021c16f937f1349cf1
Author: Daniel Martinez Cucalon <dmartinez@src.gnome.org>
Date:   Sat Sep 29 00:29:32 2012 +0200

    Updated Aragonese translation

 po/an.po | 3797
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1889 insertions(+), 1908 deletions(-)

commit adaa54917e24c04119eff75fa5fac7d8feb8805f
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Fri Sep 28 16:44:36 2012 +0200

    Updated Hebrew translation.

 po/he.po | 211
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 109 insertions(+), 102 deletions(-)

commit 3657e2642f635deca2e10695bba0dd8894613d68
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Sep 28 12:05:33 2012 +0200

    individual_menu_add_personas(): restore the persona.individual after
    creating single_individual

    https://bugzilla.gnome.org/show_bug.cgi?id=684971

 libempathy-gtk/empathy-individual-menu.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 837375ce5a897ede2f219957eb9b9b4a4eaee6c8
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Sep 27 12:48:30 2012 +0200

    empathy_chat_window_present_chat: return the window presenting
    the chat

 src/empathy-chat-window.c | 9 +++++----
 src/empathy-chat-window.h | 2 +-
 2 files changed, 6 insertions(+), 5 deletions(-)

commit 863beae29119b3a230511c6968b245ae747f4181
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Sep 27 12:39:17 2012 +0200

    No need to pass twice the same param to
    chat_window_contact_menu_update()

 src/empathy-chat-window.c | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 61c27ce3a19ab2b74ca1e0ef9ca058c10457f98f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Sep 27 11:57:20 2012 +0200

    document when/how Folks is used in empathy-chat

 src/empathy-chat.c | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 0ab3bd0797578847fe4f4967a3526333cb4a4e61
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Sep 27 14:27:58 2012 +0200

    make sure that chat_window_contact_menu_update is not called
    recursively

    Calling empathy_chat_get_contact_menu() may have as a side effect
    to call
    empathy_contact_set_persona() which will fire a 'notify' signal and
    so trigger
    another mennu update. There is no point doing a second one, and
    creating a
    second menu, so best to avoid recursive calls.

 src/empathy-chat-window.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 3fd6aa7dcc3a209e4e0795b932efcf4cc1688e90
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Fri Sep 28 07:45:21 2012 +0100

    Updated Portuguese translation

 po/pt.po | 54 ++++++++++++++++++++++++++++++------------------------
 1 file changed, 30 insertions(+), 24 deletions(-)

commit 13720e3d2bf9bddf8ca64f37e55f664855c0d282
Author: Gil Forcada <gforcada@gnome.org>
Date:   Fri Sep 28 00:02:09 2012 +0200

    [l10n] Minor update to Catalan translation

 po/ca.po | 54 ++++++++++++++++++++++++++++++------------------------
 1 file changed, 30 insertions(+), 24 deletions(-)

commit b008f24359395bf1985311a73e862310295658eb
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Thu Sep 27 22:24:35 2012 +0300

    Updated Lithuanian translation

 po/lt.po | 210
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 110 insertions(+), 100 deletions(-)

commit fb160b06764647e12689c7396dd397cf22181a1a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Sep 27 15:05:21 2012 +0200

    Updated Polish translation

 po/pl.po | 53 +++++++++++++++++++++++++++++++----------------------
 1 file changed, 31 insertions(+), 22 deletions(-)

commit c8405ee3cf36bfa86314b8691d1bffc1c606fc80
Author: Andika Triwidada <andika@gmail.com>
Date:   Thu Sep 27 19:38:07 2012 +0700

    Updated Indonesian translation

 po/id.po | 54 ++++++++++++++++++++++++++++++++----------------------
 1 file changed, 32 insertions(+), 22 deletions(-)

commit 86f46dd468ac8bfc17e2faf8bf28e5e35a3dee11
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Thu Sep 27 16:36:34 2012 +0400

    Updated Russian translation

 po/ru.po | 55 ++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 32 insertions(+), 23 deletions(-)

commit b9a083bf9217f1f8f8b60c02ef105560ef464a1a
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Thu Sep 27 12:48:18 2012 +0200

    Updated Galician translations

 po/gl.po | 57 ++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 32 insertions(+), 25 deletions(-)

commit fe2dcda548c0e72844368646eaf9c6b7dd54df1d
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Sep 27 12:47:37 2012 +0200

    Updated Czech translation

 po/cs.po | 51 ++++++++++++++++++++++++++++++---------------------
 1 file changed, 30 insertions(+), 21 deletions(-)

commit 723aad75523566b6e6e0a71a80d7421435bfda08
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Thu Sep 27 12:36:53 2012 +0200

    [l10n] Updated Italian translation.

 po/it.po | 53 +++++++++++++++++++++++++++++++----------------------
 1 file changed, 31 insertions(+), 22 deletions(-)

commit 568ed2e039a63ebaabe34cd4bf3aae4db6122568
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Thu Sep 27 14:50:53 2012 +0530

    Assamese translation updated

 po/as.po | 58 ++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 32 insertions(+), 26 deletions(-)

commit d74fd79d1e8f0c9ae69d9a22871eaa27661ac257
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Sep 27 10:34:24 2012 +0200

    Updated Slovenian translation

 po/sl.po | 55 +++++++++++++++++++++++++++++++------------------------
 1 file changed, 31 insertions(+), 24 deletions(-)

commit bcd83492be60b9d8244501dcf4d9213ac52653c0
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Sep 27 10:14:18 2012 +0200

    POTFILES.in: add empathy-roster-model.h

    Some translated strings have been moved to this file but we forgot
    to include
    it in POTFILES.in. This is not a string break as those strings
    were not
    translated before.

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit 5a2ab98b57182804fa6a04c21a9cb9fcbc79bf09
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 25 15:32:19 2012 +0200

    server-tls-handler: fix the variant type when fetching
    ServerCertificate

    g_variant_lookup() fails if we don't specificy that this string is
    secretly an
    object path.

    https://bugzilla.gnome.org/show_bug.cgi?id=684783

 libempathy/empathy-server-tls-handler.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5bfe5733ac4e743ec7c025a3c9f6551739e334d5
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Sep 21 10:13:07 2012 +0200

    Say in the status message when the call has been terminated

    This is not a string freeze break as this string is already used in
    a bunch of
    place in this file.

    We could probably improve the phrasing a little bit but that's too
    late for
    this cycle.

    https://bugzilla.gnome.org/show_bug.cgi?id=684528

 src/empathy-call-window.c | 2 ++
 1 file changed, 2 insertions(+)

commit b2bd57b5277f6a03d252f0abdb45bdd4fecdb8b4
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Sep 21 10:06:32 2012 +0200

    call_state is a CallState enum

 src/empathy-call-window.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b399609daf362b99ba73c10e91b3309d663f71d6
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Sep 24 10:38:05 2012 +0200

    tp-chat: set Private and InviteOnly props on conference channels

    Only the person invited are suppose to join these channels so
    tweak their
    settings to make them more secure.

    https://bugzilla.gnome.org/show_bug.cgi?id=684675

 libempathy/empathy-tp-chat.c | 33 ++++++++++++++++++++++++++++++---
 1 file changed, 30 insertions(+), 3 deletions(-)

commit d848cdc6f54c985f2f146387ccc7d3925eebedd7
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 25 09:25:00 2012 +0200

    update last_tag_pattern

 release.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c2c8291941b19bd16a2875e7786599ac59f3392c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 25 09:24:38 2012 +0200

    remove released flag

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3c2383ed3b0c0820f093dd18c2ef6a174e9f763c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 25 09:23:23 2012 +0200

    fix ubuntu-online-accounts/Makefile.am

 ubuntu-online-accounts/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 801e620269e59a70c738115d0d94342edc77fa8e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 25 09:14:32 2012 +0200

    prepare 3.6.0

 NEWS         | 59
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  6 +++---
 2 files changed, 62 insertions(+), 3 deletions(-)

commit f202a9ceb6f06ddbfc021e4623fba0a9c17cec79
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Tue Sep 25 00:32:57 2012 +0900

    [l10n] Update Japanese translation

 po/ja.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit b72a9876f7074930453755de459d429225915407
Author: Antonio Fernandes C. Neto <fernandesn@gnome.org>
Date:   Mon Sep 24 11:53:00 2012 -0300

    Updated Brazilian Portuguese Translation

 po/pt_BR.po | 53 +++++++++++++++++++++++++++++------------------------
 1 file changed, 29 insertions(+), 24 deletions(-)

commit 45aeea95d1e4dbf371941ef81161eb331e351ea9
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Mon Sep 24 16:14:10 2012 +0530

    Updated gujarati file

 po/gu.po | 137
 ++++++++++++++++++++++-----------------------------------------
 1 file changed, 47 insertions(+), 90 deletions(-)

commit 5660ad63976e214fa1f0e9a881a2ffdc41ac2342
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Mon Sep 24 13:29:29 2012 +0300

    Updated Greek help translation

 help/el/el.po | 154
 +++-------------------------------------------------------
 1 file changed, 7 insertions(+), 147 deletions(-)

commit 0a51f4213583abb7dced1cd9754e1a42f7408ebb
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:   Mon Sep 24 10:55:28 2012 +0300

    [l10n] Updated Estonian translation

 po/et.po | 1674
 +++++++++++++++++++++++++++++---------------------------------
 1 file changed, 784 insertions(+), 890 deletions(-)

commit d292833af18c0f4d0ce498e4f8c5973155314bd1
Author: Noriko Mizumoto <noriko@fedoraproject.org>
Date:   Mon Sep 24 11:59:45 2012 +0900

    [l10n] Update Japanese translation

 po/ja.po | 1042
 ++++++++++++++++++++++++++++----------------------------------
 1 file changed, 469 insertions(+), 573 deletions(-)

commit 992f8e102844992fd5755f6db76a61072d42364a
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Sun Sep 23 15:52:16 2012 +0300

    Updated Latvian translation

 po/lv.po | 57 +++++++++++++++++++++++++++++----------------------------
 1 file changed, 29 insertions(+), 28 deletions(-)

commit 81e38f43399ebc9a451bb267d08d5e06a8f4476d
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Sun Sep 23 15:51:16 2012 +0300

    Updated Latvian translation

 po/lv.po | 3849
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1903 insertions(+), 1946 deletions(-)

commit a776c3ffbbcbbecfe40571783e0ebad618e67c91
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Sun Sep 23 12:44:06 2012 +0200

    [l10n] Updated German translation

 po/de.po | 768
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 381 insertions(+), 387 deletions(-)

commit 86b016a07b26f25f5cdb2420334952a3da93044e
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Sun Sep 23 12:37:15 2012 +0300

    Updated Bulgarian translation

 po/bg.po | 3681
 +++++++++++++++++++++++++++++---------------------------------
 1 file changed, 1730 insertions(+), 1951 deletions(-)

commit 6fc5e2c075cb40e0760f42f6ef77f6873ee69287
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Sun Sep 23 01:08:20 2012 +0200

    [l10n]Updated Catalan (Valencian) translation

 po/ca@valencia.po | 3756
 ++++++++++++++++++++++++++---------------------------
 1 file changed, 1845 insertions(+), 1911 deletions(-)

commit 83058c027ab85ebe63bc2f871ff8de4067911f3f
Author: Gil Forcada <gforcada@gnome.org>
Date:   Sun Sep 23 01:08:11 2012 +0200

    [l10n] Added Catalan translation

 po/ca.po | 3828
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1889 insertions(+), 1939 deletions(-)

commit a8936928a4096398fdefbd8803a42dcc931cb94c
Author: Ani Peter <apeter@redhat.com>
Date:   Sun Sep 23 02:53:54 2012 +0530

    Updated Malayalam file

 po/ml.po | 1876
 ++++++++++++++++----------------------------------------------
 1 file changed, 464 insertions(+), 1412 deletions(-)

commit ebfea186ffbcb71e1c335d45a3cee4a13a7c9c06
Author: Cheng Lu <chenglu1990@gmail.com>
Date:   Sat Sep 22 15:03:00 2012 +0300

    update Simplified Chinese (zh_CN) translation

 po/zh_CN.po | 3702
 +++++++++++++++++++++++++++++------------------------------
 1 file changed, 1830 insertions(+), 1872 deletions(-)

commit b253001b2ea10585010bb0a3c9c97c20b8b546b7
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat Sep 22 15:03:00 2012 +0300

    Updated Hebrew translation.

 po/he.po | 735
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 368 insertions(+), 367 deletions(-)

commit 82954cb535da26e450d108962d9d0fefdd957a89
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sat Sep 22 18:42:11 2012 +0900

    Updated Korean translation

 po/ko.po | 757
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 391 insertions(+), 366 deletions(-)

commit 52fc60de014ffa780c3fc3e7f4b2e796f0ec4960
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Sat Sep 22 12:55:30 2012 +0400

    Updated Russian translation

 po/ru.po | 698
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 351 insertions(+), 347 deletions(-)

commit 735b17ad34d9d4b9d7291bec94e6d25208473296
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Fri Sep 21 20:43:59 2012 +0300

    Updated Lithuanian translation

 po/lt.po | 749
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 376 insertions(+), 373 deletions(-)

commit c09b60270ed8d60c9fdf83893fd138071e25af28
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Fri Sep 21 20:07:32 2012 +0300

    Updated Belarusian translation.

 po/be.po | 698
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 350 insertions(+), 348 deletions(-)

commit a41c285de41f1bde781937de6644869eaa372190
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Sep 21 10:54:52 2012 +0200

    actually unmute the microphone when restarting the call

    That's what this code was always meant to do but some idiot named
    Guillaume
    changed it and introduced this regression in
    74d098cd8894f72321237e120267a5ec3f188b3f when using the
    audio-input-microphone-muted-symbolic icon.

    https://bugzilla.gnome.org/show_bug.cgi?id=684531

 src/empathy-call-window.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5ebf61c09f2ede0017b91421d411c5fdeed77688
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Fri Sep 21 10:27:36 2012 +0300

    Uploaded Ukranian

 po/uk.po | 2656
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1329 insertions(+), 1327 deletions(-)

commit 25c6dfd249873bb165a9050950937fa0ea545101
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Sep 20 15:01:27 2012 +0200

    migrate_account_to_uoa: actually iterate over the supersedes array

    I'm not a fan of pointer arithmetic, it's clearer to iterate using
    an index.

    https://bugzilla.gnome.org/show_bug.cgi?id=684475

 src/empathy-sanity-cleaning.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit ddcf0a2ff6368fbfba7b163a1c00929d3fca65eb
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Thu Sep 20 22:06:47 2012 +0100

    Updated Portuguese translation

 po/pt.po | 685
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 343 insertions(+), 342 deletions(-)

commit 53beff0436513adb61ca0ffdbace310049cf9b11
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Thu Sep 20 20:47:15 2012 +0200

    Updated Serbian translation

 po/sr.po       | 699
 +++++++++++++++++++++++++++++----------------------------
 po/sr@latin.po | 699
 +++++++++++++++++++++++++++++----------------------------
 2 files changed, 702 insertions(+), 696 deletions(-)

commit 704d362b435cdb8e853ace5b159a9d6cbcdbff11
Author: Chris Leonard <cjl@laptop.org>
Date:   Thu Sep 20 09:54:32 2012 +0100

    Updated British English translation

 po/en_GB.po | 53 +++++++++++++++++++++++++++--------------------------
 1 file changed, 27 insertions(+), 26 deletions(-)

commit c1d1ac2f72c0caccdecafbdcf29112e1292f6b68
Author: Krishnababu Krothapalli <kkrothap@redhat.com>
Date:   Thu Sep 20 15:57:21 2012 +0530

    Updated Telugu Translations

 po/te.po | 3730
 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 1902 insertions(+), 1828 deletions(-)

commit 6238a9176e58964363c962aaa66670e06721c17a
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:   Thu Sep 20 15:16:32 2012 +0530

    Updated Marathi Translations

 po/mr.po | 702
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 351 insertions(+), 351 deletions(-)

commit 86bd1377559de3de50681b0f82b4a439958b2870
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Thu Sep 20 10:26:44 2012 +0200

    Use funnel instead of fsfunnel for gstreamer 1.0

 src/empathy-call-window.c | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit 0444944a1ba4a06f2d55fd02429e7f377a7c2264
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Thu Sep 20 11:16:46 2012 +0300

    Updated Greek translation

 po/el.po | 704
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 354 insertions(+), 350 deletions(-)

commit fc3c79637fe06f1f5202f52b2fc71d8ca8860b8e
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Thu Sep 20 13:04:10 2012 +0530

    hindi updated file by Chandan Kumar

 po/hi.po | 784
 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 363 insertions(+), 421 deletions(-)

commit 5e973163315050d00f8183af0cab9b77806cd8c9
Author: ManojKumar Giri <mgiri@redhat.com>
Date:   Thu Sep 20 12:57:26 2012 +0530

    Updated translation for Odia.

 po/or.po | 4104
 +++++++++++++++++++++++++++++---------------------------------
 1 file changed, 1941 insertions(+), 2163 deletions(-)

commit dd81fc4ea75b379cb9a0823543257cc0004a2ae6
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Thu Sep 20 09:02:45 2012 +0200

    Update French translation

 po/fr.po | 696
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 350 insertions(+), 346 deletions(-)

commit 64b29bd2170ce72fdcd3e6b37412d575b919e2b5
Author: Ani Peter <apeter@redhat.com>
Date:   Thu Sep 20 12:19:46 2012 +0530

    Updated Malayalam file

 po/ml.po | 2 --
 1 file changed, 2 deletions(-)

commit 3195f481fcd64ca9babbd86ab18e9308442cac68
Author: Ani Peter <apeter@redhat.com>
Date:   Thu Sep 20 12:18:07 2012 +0530

    Updated Malayalam file

 po/ml.po | 4493
 ++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 2205 insertions(+), 2288 deletions(-)

commit 2ce0c0dd08a91200007cf879b8c9b1093d8e6387
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Wed Sep 19 23:46:42 2012 +0530

    Updated kn translation

 po/kn.po | 819
 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 391 insertions(+), 428 deletions(-)

commit 62dd08eeb5d061cece0bc9d4c3d91236a72c5bff
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Wed Sep 19 23:11:34 2012 +0530

    Updated gujarati file

 po/gu.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 887ac180222f926b2d44d2e12f1be598f7d6f583
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Wed Sep 19 23:08:58 2012 +0530

    Updated gujarati file

 po/gu.po | 1327
 ++++++++++++++++++++++++++++----------------------------------
 1 file changed, 588 insertions(+), 739 deletions(-)

commit 9263fe0c4b580ec5566ef03d08911fd94c7929cc
Author: Ibrahim Saed <ibraheem5000@gmail.com>
Date:   Wed Sep 19 18:24:24 2012 +0100

    Updated Arabic translation

 po/ar.po | 783
 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 377 insertions(+), 406 deletions(-)

commit 1d5b63a62d1c7e9e7619ece79c79bf35c1b4848c
Author: A S Alam <aalam@users.sf.net>
Date:   Wed Sep 19 20:15:00 2012 +0530

    update Punjabi Translation

 po/pa.po | 2901
 ++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 1424 insertions(+), 1477 deletions(-)

commit bcd98cb466723f9e1fe83f2fbb9be5df45305b8d
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Wed Sep 19 18:41:21 2012 +0700

    Updated Thai translation

 po/th.po | 5228
 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 2706 insertions(+), 2522 deletions(-)

commit 46242cd92eef55f8fec783afeda108e921cab709
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   Wed Sep 19 16:48:38 2012 +0530

    updated Tamil translation

 po/ta.po | 699
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 350 insertions(+), 349 deletions(-)

commit 64f3aba3e25de86a41b60eb9582b823df54e0101
Author: Marek Černocký <marek@manet.cz>
Date:   Wed Sep 19 13:13:20 2012 +0200

    Updated Czech translation

 po/cs.po | 694
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 349 insertions(+), 345 deletions(-)

commit de363e1ce73a3ac9e0aca4b683b839f2145dd7dc
Author: Andika Triwidada <andika@gmail.com>
Date:   Wed Sep 19 10:33:05 2012 +0700

    Updated Indonesian translation

 po/id.po | 698
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 351 insertions(+), 347 deletions(-)

commit 27f844bf0f16b797ff55522e2579fdd5efa676cc
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Wed Sep 19 02:55:21 2012 +0200

    Updated Galician translations

 po/gl.po | 703
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 352 insertions(+), 351 deletions(-)

commit 4d3e77111d4deda70d5fc21499411ece63e1fa55
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Tue Sep 18 21:12:02 2012 +0530

    Assamese translation updated

 po/as.po | 701
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 351 insertions(+), 350 deletions(-)

commit 5955d4d33d76204250664dc27b122eec27a14ee3
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Sep 18 16:34:44 2012 +0200

    Updated Spanish translation

 po/es.po | 708
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 355 insertions(+), 353 deletions(-)

commit 9d3c68d43afad602e350546e85eb2e9fc8344044
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Sep 18 15:40:41 2012 +0200

    Updated Polish translation

 po/pl.po | 698
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 351 insertions(+), 347 deletions(-)

commit 7500dcab35365412c68061f3d4e3383e5f3a2bfa
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Tue Sep 18 13:59:08 2012 +0200

    [l10n] Updated Italian translation.

 po/it.po | 694
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 349 insertions(+), 345 deletions(-)

commit 5eecd337111f00f7d7478e6b7b835fc227e5a615
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Tue Sep 18 13:56:03 2012 +0200

    Updated Hungarian translation

 po/hu.po | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 65b24714c1f949edc15c64b2ee360b0964bb1611
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Sep 18 13:52:27 2012 +0200

    Updated Slovenian translation

 po/sl.po | 746
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 373 insertions(+), 373 deletions(-)

commit 21b37ba8098f014b7aa427498f4d540405c26a33
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 18 13:47:08 2012 +0200

    empathy.application.in: fix <translations> markup

 ubuntu-online-accounts/empathy.application.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 204f1ee341184779fa1fc677faf066e693dd94cb
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 18 12:20:10 2012 +0200

    generate empathy.application from empathy.application.in

    This allow us to mark the description key as translatable.

    https://bugzilla.gnome.org/show_bug.cgi?id=684281

 po/POTFILES.in                                |  1 +
 ubuntu-online-accounts/.gitignore             |  1 +
 ubuntu-online-accounts/Makefile.am            |  5 +++++
 ubuntu-online-accounts/empathy.application    | 10 ----------
 ubuntu-online-accounts/empathy.application.in | 11 +++++++++++
 5 files changed, 18 insertions(+), 10 deletions(-)

commit a4b61004fb7245f6f68dd195085f3ec075a1468d
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Mon Sep 17 23:03:59 2012 +0200

    Updated Hungarian translation

 po/hu.po | 1257
 +++++++++++++++++++-------------------------------------------
 1 file changed, 390 insertions(+), 867 deletions(-)

commit c8f63925690a8705793eb67eaa79f3bf71087654
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Mon Sep 17 16:36:56 2012 -0400

    Updated translation for Brazilian Portuguese.

 po/pt_BR.po | 704
 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 351 insertions(+), 353 deletions(-)

commit 70a157b38ef8e2ab661f944259929e78ed8eafe3
Author: Chris Leonard <cjl@laptop.org>
Date:   Mon Sep 17 20:56:41 2012 +0100

    Update British English translation

 po/en_GB.po | 712
 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 362 insertions(+), 350 deletions(-)

commit 4a4b3a60fec811d3bb295f9614c7df3275d541ed
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Sep 17 16:09:17 2012 +0200

    remove released flag

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c06c6fc339db453d2d20adf389e5902e0900df5e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Sep 17 16:01:57 2012 +0200

    glib-signals-marshal-gen.py is not needed any more

 extensions/Makefile.am            | 14 ----------
 extensions/extensions-cli.c       |  1 -
 extensions/extensions.c           |  1 -
 tools/glib-signals-marshal-gen.py | 55
 ---------------------------------------
 4 files changed, 71 deletions(-)

commit b8430db01b7e258303722a2173bd95112e0fce18
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Sep 17 15:52:46 2012 +0200

    prepare 3.5.92

 NEWS         | 40 ++++++++++++++++++++++++++++++++++++++++
 configure.ac |  6 +++---
 2 files changed, 43 insertions(+), 3 deletions(-)

commit 0f8b525b8972aba4cce8bd03e22e55b07bfd857c
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Sep 17 14:18:40 2012 +0200

    Updated Spanish translation

 help/es/es.po | 99
 +++++------------------------------------------------------
 1 file changed, 7 insertions(+), 92 deletions(-)

commit 7385adac679f641133b2f14dfda4fa91540cdcaf
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Mon Sep 17 16:34:10 2012 +0530

    hindi update

 po/hi.po | 3773
 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 1943 insertions(+), 1830 deletions(-)

commit 32c55a5a343a808c6774c4d277a190867b11d365
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Sep 17 12:55:12 2012 +0200

    set custom selection color in default themes

    Ensure that we actually see the text being selected.

    https://bugzilla.gnome.org/show_bug.cgi?id=684194

 data/themes/Boxes.AdiumMessageStyle/Contents/Resources/main.css       |
 4 ++++
 data/themes/Classic.AdiumMessageStyle/Contents/Resources/main.css     |
 4 ++++
 data/themes/PlanetGNOME.AdiumMessageStyle/Contents/Resources/main.css |
 4 ++++
 3 files changed, 12 insertions(+)

commit 8750c21d6838bd83065f735470fb96de867ed31f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Sep 17 10:26:43 2012 +0200

    sync tools/* with tp-glib master

    Fix extensions/Makefile.am to build with the new tools.

 extensions/Makefile.am              |  3 +-
 tools/Makefile.am                   | 19 ++++-----
 tools/c-constants-gen.py            | 37 ++++++++++------
 tools/check-c-style.sh              |  7 ---
 tools/check-coding-style.mk         |  2 +-
 tools/check-whitespace.sh           |  6 ---
 tools/glib-client-gen.py            | 85
 ++++++++++++++++++++++++++++---------
 tools/glib-client-marshaller-gen.py |  3 +-
 tools/glib-errors-str-gen.py        |  7 +--
 tools/glib-ginterface-gen.py        | 47 +++++++++++++-------
 tools/glib-gtypes-generator.py      | 28 +++++++-----
 tools/glib-interfaces-gen.py        | 22 +++++++---
 tools/lcov.am                       |  6 ++-
 tools/libtpcodegen.py               | 14 +++++-
 tools/make-release-mail.py          | 16 ++++++-
 tools/make-version-script.py        |  7 ++-
 tools/manager-file.py               | 18 ++++++--
 tools/telepathy.am                  | 70 +++++++++++++++++++++++++++---
 tools/with-session-bus.sh           |  2 +
 19 files changed, 288 insertions(+), 111 deletions(-)

commit f9a38137925ff6f712afe21961614a1efb3b35ea
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Sep 14 15:52:54 2012 +0200

    include telepathy-glib.h

    tp-glib 1.0 will enforce to only include telepathy-glib.h so best
    doing it to
    reduce the delta with the future stable branch.

 extensions/extensions.h                                | 2 +-
 goa-mc-plugin/mcp-account-manager-goa.c                | 2 +-
 libempathy-gtk/empathy-account-chooser.c               | 3 ---
 libempathy-gtk/empathy-account-widget-sip.c            | 2 +-
 libempathy-gtk/empathy-account-widget.c                | 5 +----
 libempathy-gtk/empathy-chat.c                          | 3 +--
 libempathy-gtk/empathy-contact-chooser.h               | 2 +-
 libempathy-gtk/empathy-contact-widget.c                | 4 +---
 libempathy-gtk/empathy-contactinfo-utils.c             | 2 --
 libempathy-gtk/empathy-contactinfo-utils.h             | 2 +-
 libempathy-gtk/empathy-groups-widget.c                 | 2 +-
 libempathy-gtk/empathy-individual-dialogs.c            | 2 +-
 libempathy-gtk/empathy-individual-edit-dialog.c        | 2 +-
 libempathy-gtk/empathy-individual-information-dialog.c | 2 +-
 libempathy-gtk/empathy-individual-menu.c               | 2 +-
 libempathy-gtk/empathy-individual-store-channel.c      | 2 +-
 libempathy-gtk/empathy-individual-store-manager.c      | 2 +-
 libempathy-gtk/empathy-individual-store.c              | 2 +-
 libempathy-gtk/empathy-individual-view.c               | 3 +--
 libempathy-gtk/empathy-individual-widget.c             | 2 +-
 libempathy-gtk/empathy-location-manager.c              | 3 +--
 libempathy-gtk/empathy-log-window.h                    | 2 +-
 libempathy-gtk/empathy-new-call-dialog.c               | 2 +-
 libempathy-gtk/empathy-new-message-dialog.c            | 2 +-
 libempathy-gtk/empathy-notify-manager.c                | 2 +-
 libempathy-gtk/empathy-plist.c                         | 3 +--
 libempathy-gtk/empathy-presence-chooser.c              | 3 +--
 libempathy-gtk/empathy-protocol-chooser.c              | 2 --
 libempathy-gtk/empathy-protocol-chooser.h              | 2 +-
 libempathy-gtk/empathy-roster-contact.c                | 2 +-
 libempathy-gtk/empathy-share-my-desktop.c              | 6 +-----
 libempathy-gtk/empathy-theme-adium.c                   | 3 +--
 libempathy-gtk/empathy-theme-manager.c                 | 3 +--
 libempathy-gtk/empathy-tls-dialog.c                    | 2 +-
 libempathy-gtk/empathy-ui-utils.c                      | 2 +-
 libempathy/empathy-account-settings.c                  | 5 -----
 libempathy/empathy-account-settings.h                  | 3 +--
 libempathy/empathy-auth-factory.c                      | 2 --
 libempathy/empathy-auth-factory.h                      | 2 +-
 libempathy/empathy-camera-monitor.c                    | 2 +-
 libempathy/empathy-chatroom-manager.c                  | 5 -----
 libempathy/empathy-chatroom-manager.h                  | 2 +-
 libempathy/empathy-chatroom.c                          | 1 -
 libempathy/empathy-chatroom.h                          | 2 +-
 libempathy/empathy-connection-aggregator.c             | 2 --
 libempathy/empathy-connection-aggregator.h             | 2 +-
 libempathy/empathy-connection-managers.c               | 3 ---
 libempathy/empathy-connection-managers.h               | 2 +-
 libempathy/empathy-contact.c                           | 4 ----
 libempathy/empathy-contact.h                           | 3 +--
 libempathy/empathy-debug.c                             | 3 ---
 libempathy/empathy-debug.h                             | 2 +-
 libempathy/empathy-ft-handler.c                        | 4 ----
 libempathy/empathy-ft-handler.h                        | 2 +-
 libempathy/empathy-individual-manager.c                | 4 ----
 libempathy/empathy-irc-network.c                       | 2 +-
 libempathy/empathy-irc-server.c                        | 2 +-
 libempathy/empathy-keyring.h                           | 2 +-
 libempathy/empathy-message.c                           | 4 ----
 libempathy/empathy-message.h                           | 2 +-
 libempathy/empathy-presence-manager.c                  | 4 ----
 libempathy/empathy-presence-manager.h                  | 3 +--
 libempathy/empathy-request-util.c                      | 2 --
 libempathy/empathy-request-util.h                      | 2 +-
 libempathy/empathy-server-sasl-handler.c               | 2 --
 libempathy/empathy-server-sasl-handler.h               | 3 +--
 libempathy/empathy-status-presets.c                    | 2 --
 libempathy/empathy-status-presets.h                    | 2 +-
 libempathy/empathy-tp-chat.c                           | 2 --
 libempathy/empathy-tp-chat.h                           | 3 +--
 libempathy/empathy-utils.c                             | 6 ------
 libempathy/empathy-utils.h                             | 2 +-
 nautilus-sendto-plugin/empathy-nautilus-sendto.c       | 2 +-
 src/empathy-accounts-common.c                          | 3 +--
 src/empathy-accounts-dialog.c                          | 4 +---
 src/empathy-accounts-dialog.h                          | 2 +-
 src/empathy-accounts.c                                 | 4 +---
 src/empathy-auth-client.c                              | 2 +-
 src/empathy-call-factory.c                             | 5 +----
 src/empathy-call-handler.c                             | 4 +---
 src/empathy-call-window.c                              | 3 +--
 src/empathy-call.c                                     | 2 --
 src/empathy-chat-window.c                              | 2 --
 src/empathy-chat-window.h                              | 2 +-
 src/empathy-chat.c                                     | 2 --
 src/empathy-debug-window.c                             | 6 +-----
 src/empathy-event-manager.c                            | 5 +----
 src/empathy-import-dialog.c                            | 2 +-
 src/empathy-import-pidgin.c                            | 3 +--
 src/empathy-import-utils.c                             | 2 --
 src/empathy-import-utils.h                             | 2 +-
 src/empathy-import-widget.c                            | 3 +--
 src/empathy-invite-participant-dialog.h                | 2 +-
 src/empathy-preferences.c                              | 3 +--
 src/empathy-roster-window.c                            | 3 +--
 src/empathy-status-icon.c                              | 3 +--
 src/empathy.c                                          | 7 +------
 tests/empathy-chatroom-manager-test.c                  | 3 +--
 tests/empathy-parser-test.c                            | 2 +-
 tests/test-helper.h                                    | 2 +-
 100 files changed, 76 insertions(+), 196 deletions(-)

commit 55a2318eeb584a744d478d8745ac9fc60c0d4787
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Sun Sep 16 17:20:12 2012 +0200

    [l10n] Updated German translation

 po/de.po | 6016
 ++++++++++++++++++++++++++++----------------------------------
 1 file changed, 2759 insertions(+), 3257 deletions(-)

commit 739b34ebd3c71cdd18c47dec47d66dbef52d1543
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   Sun Sep 16 14:50:07 2012 +0200

    Updated Danish translation

 po/da.po | 3727
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1838 insertions(+), 1889 deletions(-)

commit 890ee50eb73ddbc3b90b985a086c18a186c3e172
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Sep 16 13:15:24 2012 +0200

    Updated Spanish translation

 po/es.po | 33 ++++++++++++++++-----------------
 1 file changed, 16 insertions(+), 17 deletions(-)

commit 5f185ce72ee018acdc7dfe822d9ea04c28304613
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Sat Sep 15 20:53:35 2012 +0400

    Updated Russian translation

 po/ru.po | 72
 +++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 35 insertions(+), 37 deletions(-)

commit 445206b3f3f9bed7ab3579a213c9ddf65c5bce5c
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Thu Sep 13 13:27:47 2012 +0300

    Updated Greek help translation

 help/el/el.po | 2617
 ++++++++++++++++++++++++++++++++++++++++++---------------
 1 file changed, 1948 insertions(+), 669 deletions(-)

commit 9bce1c2065013af4b99fd224f2c0bd35fd77ff25
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Sep 12 15:14:11 2012 +0200

    individual-menu: fix GeeIterator leak

    https://bugzilla.gnome.org/show_bug.cgi?id=683864

 libempathy-gtk/empathy-individual-menu.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 61a7bd361e4b849c023e960782beea19dabeeb28
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Sep 12 15:07:55 2012 +0200

    empathy-contact: fix priv->logged_alias leak

    https://bugzilla.gnome.org/show_bug.cgi?id=683864

 libempathy/empathy-contact.c | 1 +
 1 file changed, 1 insertion(+)

commit cb3a9fd4ae3bf0f74dabdfdd973898592a5f4244
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Sep 12 15:06:28 2012 +0200

    theme-adium: free the result of g_strsplit with g_strfreev

    Freeing with g_free() doesn't free the content of the array.

    https://bugzilla.gnome.org/show_bug.cgi?id=683864

 libempathy-gtk/empathy-theme-adium.c | 9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

commit e90a360038e2428eb6b7090746bd32542eacf203
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Sep 12 15:06:09 2012 +0200

    theme-adium: fix priv->variant leak

    https://bugzilla.gnome.org/show_bug.cgi?id=683864

 libempathy-gtk/empathy-theme-adium.c | 2 ++
 1 file changed, 2 insertions(+)

commit 5845fcbe57199c9995130384f657148a7d818028
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:   Wed Sep 12 22:28:26 2012 +0300

    Finnish translation update by Jiri Grönroos

 po/fi.po | 3786
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1904 insertions(+), 1882 deletions(-)

commit 5b016f5e77c07a88cff8a204bbeabf640b610a14
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Wed Sep 12 20:44:11 2012 +0300

    uk update

 po/uk.po | 4472
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 2219 insertions(+), 2253 deletions(-)

commit d21ed99112b41ef4cb5d9664d57872de7535039a
Author: Ibrahim Saed <ibraheem5000@gmail.com>
Date:   Wed Sep 12 15:30:59 2012 +0100

    Updated Arabic translation

 po/ar.po | 3488
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1742 insertions(+), 1746 deletions(-)

commit 279310f16efdd4f39764d2ad71ad71de7f8629a1
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue May 1 12:37:11 2012 +0200

    accounts-dialog: add icons cache

    Saves us from loading the same icons from the disk again and again.

    https://bugzilla.gnome.org/show_bug.cgi?id=675220

 src/empathy-accounts-dialog.c | 33 +++++++++++++++++++++++++++++++--
 1 file changed, 31 insertions(+), 2 deletions(-)

commit 813d73b98ee89780dc8be751b8a4a00b33e9639b
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue May 1 12:12:48 2012 +0200

    accounts-dialog: set pixbuf on the cell rather than the icon-name

    https://bugzilla.gnome.org/show_bug.cgi?id=675220

 src/empathy-accounts-dialog.c | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 0e956cfcf66b23bd359c4fefbabd7288c1d2bd5d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Sep 12 14:42:40 2012 +0200

    rename empathy_roster_model_get_groups_for_individual() to _dup_

    It matches tp-glib naming convention now that the returned list is
    (transfer
    full).

 libempathy-gtk/empathy-roster-model-aggregator.c | 6 +++---
 libempathy-gtk/empathy-roster-model-manager.c    | 6 +++---
 libempathy-gtk/empathy-roster-model.c            | 8 ++++----
 libempathy-gtk/empathy-roster-model.h            | 4 ++--
 libempathy-gtk/empathy-roster-view.c             | 4 ++--
 5 files changed, 14 insertions(+), 14 deletions(-)

commit 616f55e491686779b760b0726f237f13f36ccdbb
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Sep 12 13:12:51 2012 +0200

    empathy_roster_model_get_groups_for_individual: return a (transfer
    full) list

    gee_iterator_get() returns a new string, so we have to pass its
    ownership to
    the list to not leak it.

    https://bugzilla.gnome.org/show_bug.cgi?id=683864

 libempathy-gtk/empathy-roster-model-manager.c | 4 ++--
 libempathy-gtk/empathy-roster-model.c         | 2 +-
 libempathy-gtk/empathy-roster-view.c          | 4 ++--
 3 files changed, 5 insertions(+), 5 deletions(-)

commit 6fbef3adb95ac8bd28ea1f7a81b40a06f993e061
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Sep 12 13:07:33 2012 +0200

    connection-aggregator: fix contacts array leak

    https://bugzilla.gnome.org/show_bug.cgi?id=683864

 libempathy/empathy-connection-aggregator.c | 1 +
 1 file changed, 1 insertion(+)

commit 0dea719d7f81bd79e89e8bc92e65b12b9caf06a5
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Sep 12 12:25:24 2012 +0200

    filter_groups: don't leak the widgets list

    https://bugzilla.gnome.org/show_bug.cgi?id=683864

 libempathy-gtk/empathy-roster-view.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit b8863f14395f0e9e3201dd8bd2ffee938e7a50c9
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jul 19 10:41:23 2012 +0200

    roster-window: unprepare the individual manager before destroying
    the roster

    https://bugzilla.gnome.org/show_bug.cgi?id=660128

 src/empathy-roster-window.c | 19 ++++++++++++++++++-
 1 file changed, 18 insertions(+), 1 deletion(-)

commit c338d01cc24c9e64789615fffa38d0b266543c65
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jul 19 10:40:00 2012 +0200

    add empathy_individual_manager_unprepare_async()

    https://bugzilla.gnome.org/show_bug.cgi?id=660128

 libempathy/empathy-individual-manager.c | 48
 +++++++++++++++++++++++++++++++++
 libempathy/empathy-individual-manager.h | 10 +++++++
 2 files changed, 58 insertions(+)

commit 484ddd3345d262dc7f2884e9825369d05758858a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Sep 12 11:48:37 2012 +0200

    depend on Folks 0.7.3

    Needed for IndividualAggregator.unprepare()

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c2942d6fbbceae66540cc7b49ff3b39e87e7b3b2
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Sep 11 18:09:07 2012 -0400

    There is no gstreamer-interfaces in 1.0, they are in audio/video

 configure.ac             | 3 +++
 src/empathy-audio-sink.c | 4 ++++
 src/empathy-audio-src.c  | 4 ++++
 3 files changed, 11 insertions(+)

commit 873b2ab2ce7dc26cb72e99ffafb0140c8a662fef
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Sep 12 10:48:11 2012 +0200

    empathy_roster_window_init: don't call set_notebook_page()

    We should wait for the AM to be prepared (which is done in this
    function)
    before calling set_notebook_page() as it calls
    empathy_account_manager_get_accounts_connected() which relies on
    the AM being
    prepared.

    https://bugzilla.gnome.org/show_bug.cgi?id=683854

 src/empathy-roster-window.c | 2 --
 1 file changed, 2 deletions(-)

commit 5676e2a343460465e4439449e4d6d834f21ccdbd
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Wed Sep 12 10:42:30 2012 +0200

    UOA mc plugin: Don't crash if auth failure is removed on an unknown
    IM service

 ubuntu-online-accounts/mc-plugin/mcp-account-manager-uoa.c | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit e9e42e26b106c9ae053c1d1c5edda4ee8751ca42
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:   Wed Sep 12 12:58:45 2012 +0530

    Updated Marathi Translations

 po/mr.po | 300
 ++++++++++++++++++---------------------------------------------
 1 file changed, 83 insertions(+), 217 deletions(-)

commit a968d70baa0f0b7cc4a9888010ae609e53f715e4
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Tue Sep 11 20:08:01 2012 +0530

    Assamese translation updated

 po/as.po | 60
 ++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 34 insertions(+), 26 deletions(-)

commit ec601502710c9aef38d4b38a1f3cf6f37794d013
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 11 14:45:20 2012 +0200

    use tp_connection_dup_contact_info_supported_fields()

    tp_connection_get_contact_info_supported_fields() has been deprecated

 libempathy-gtk/empathy-user-info.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2aab470c76e4c0b383b3ac6140796314883c3cc6
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 11 14:42:51 2012 +0200

    use tp_contact_dup_contact_info()

    tp_contact_get_contact_info() has been deprecated.

 libempathy-gtk/empathy-individual-widget.c | 4 ++--
 libempathy-gtk/empathy-user-info.c         | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 8fe7c7a2348dcfc1f7833eb84264e9437d5795e8
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 11 14:10:22 2012 +0200

    use tp_channel_dup_immutable_properties()

    tp_channel_borrow_immutable_properties() has been deprecated.

 libempathy/empathy-sasl-mechanisms.c     | 19 +++++++++++------
 libempathy/empathy-server-sasl-handler.c | 15 ++++++-------
 libempathy/empathy-server-tls-handler.c  | 36
 ++++++++++++++++----------------
 3 files changed, 39 insertions(+), 31 deletions(-)

commit 9a0c691c865b369438ef789638f33fd21aab0551
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 11 14:34:12 2012 +0200

    sasl-handler: factor out channel_has_may_save_response()

 libempathy/empathy-server-sasl-handler.c | 48
 ++++++++++++++++----------------
 1 file changed, 24 insertions(+), 24 deletions(-)

commit 8be106a4c0b7ae2ddfe91b796669488db8e38c1f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 11 14:03:58 2012 +0200

    event-manager: use empathy_sasl_channel_supports_mechanism()

    There is no point re-implementing it.

 src/empathy-event-manager.c | 11 ++---------
 1 file changed, 2 insertions(+), 9 deletions(-)

commit 6b5d8ab2badd9aee642a45b1c49e9aad265d201f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 11 12:43:34 2012 +0200

    use tp_channel_get_connection()

    tp_channel_get_connection() has been deprecated.

 libempathy-gtk/empathy-chat.c           | 8 ++++----
 libempathy/empathy-tp-chat.c            | 4 ++--
 src/empathy-call-window.c               | 4 ++--
 src/empathy-chat-window.c               | 4 ++--
 src/empathy-invite-participant-dialog.c | 4 ++--
 5 files changed, 12 insertions(+), 12 deletions(-)

commit 5ff09cda5bad6b821509876c0fac51c667318602
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 11 12:41:37 2012 +0200

    use tp_text_channel_dup_pending_messages()

    tp_text_channel_get_pending_messages() has been deprecated.

 libempathy/empathy-tp-chat.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6a5b51b273fc447c7611675b97268fc99216d430
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 11 12:35:26 2012 +0200

    use tp_account_manager_dup_valid_accounts()

    tp_account_manager_get_valid_accounts() has been deprecated.

    Fix an accounts list leak in empathy-sanity-cleaning.

 libempathy-gtk/empathy-account-chooser.c                     |  4 ++--
 libempathy-gtk/empathy-chat.c                                |  4 ++--
 libempathy-gtk/empathy-contact-blocking-dialog.c             |  4 ++--
 libempathy-gtk/empathy-contact-chooser.c                     |  4 ++--
 libempathy-gtk/empathy-individual-menu.c                     |  4 ++--
 libempathy-gtk/empathy-local-xmpp-assistant-widget.c         |  4 ++--
 libempathy-gtk/empathy-location-manager.c                    |
 8 ++++----
 libempathy-gtk/empathy-log-window.c                          |  4 ++--
 libempathy-gtk/empathy-presence-chooser.c                    |  4 ++--
 libempathy/empathy-connection-aggregator.c                   |  4 ++--
 libempathy/empathy-presence-manager.c                        |  4 ++--
 libempathy/empathy-utils.c                                   |  4 ++--
 src/empathy-accounts-common.c                                |
 8 ++++----
 src/empathy-accounts-dialog.c                                |  4 ++--
 src/empathy-accounts.c                                       |  4 ++--
 src/empathy-debug-window.c                                   |  4 ++--
 src/empathy-import-widget.c                                  |  4 ++--
 src/empathy-roster-window.c                                  |
 9 +++++----
 src/empathy-sanity-cleaning.c                                | 12
 +++++++-----
 src/empathy-status-icon.c                                    |  4 ++--
 src/empathy.c                                                |  4 ++--
 .../account-plugins/empathy-accounts-plugin-widget.c         |  4 ++--
 .../cc-plugins/app-plugin/empathy-app-plugin-widget.c        |  4 ++--
 23 files changed, 58 insertions(+), 55 deletions(-)

commit 57b261b8329e12d1ffcc46e7ecfbeca2caa8fb4b
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 11 15:10:16 2012 +0200

    Depend on telepathy-glib 0.19.9

    We are going to use the new version of some deprecated API.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e4d1085846020f3522f94e1cb075b7d9417b9cea
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Sep 10 11:14:22 2012 +0200

    roster-view: clear the view when disposing

    https://bugzilla.gnome.org/show_bug.cgi?id=683699

 libempathy-gtk/empathy-roster-view.c | 26 +++++++++++++++-----------
 1 file changed, 15 insertions(+), 11 deletions(-)

commit 3ef4a79d48375e55d0ea8baafa992971c2982885
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Mon Sep 10 19:08:23 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 90
 +++++++++++++++++++++++++++++++++----------------------------
 po/zh_TW.po | 90
 +++++++++++++++++++++++++++++++++----------------------------
 2 files changed, 98 insertions(+), 82 deletions(-)

commit 5e261fc672d2ebea64557d3f463912aabce5eadf
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Mon Sep 10 07:51:27 2012 +0100

    Updated Portuguese translation

 po/pt.po | 83
 +++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 46 insertions(+), 37 deletions(-)

commit 64b2cbabefed6aa22f84517796564590ca2b349a
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sun Sep 9 18:58:51 2012 +0900

    Updated Korean translation

 po/ko.po | 3506
 +++++++++++++++++++++++++++++---------------------------------
 1 file changed, 1642 insertions(+), 1864 deletions(-)

commit 7a7c53bee3643d9c2e2388b10cf9297e79757285
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Sep 9 08:48:35 2012 +0200

    Updated Czech translation

 po/cs.po | 3506
 +++++++++++++++++++++++++++++---------------------------------
 1 file changed, 1640 insertions(+), 1866 deletions(-)

commit 6dfad0c86be4442d909277f6e5b169da917012e1
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Sat Sep 8 12:13:47 2012 +0300

    Updated Greek translation

 po/el.po | 64
 ++++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 36 insertions(+), 28 deletions(-)

commit cd29a8e1afb8abd9d86805d5b7111fb4b42ed319
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Fri Sep 7 20:17:10 2012 +0300

    Updated Lithuanian translation

 po/lt.po | 66
 +++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 36 insertions(+), 30 deletions(-)

commit 375ea86f58d55d90aa2e01056e8063a5374563d0
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Fri Sep 7 17:54:48 2012 +0300

    Updated Belarusian translation.

 po/be.po | 2503
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1249 insertions(+), 1254 deletions(-)

commit cc0f468d7ca45b3207ce4acac796ab7ed761c353
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Sep 7 15:14:18 2012 +0200

    remove release flag

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eedff27a0cd54a7d394d46f47e95ed4d4bdb4c05
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Fri Sep 7 16:03:44 2012 +0300

    Updated Hebrew translation.

 po/he.po | 92
 +++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 50 insertions(+), 42 deletions(-)

commit 40113ff660a2f9e602d908d271421496adf271ff
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Sep 7 14:47:11 2012 +0200

    prepare 3.5.91.1

 NEWS         | 31 +++++++++++++++++++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 33 insertions(+), 2 deletions(-)

commit aedb262e0da4423805b3e2285019f6a9342d5135
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Sep 7 14:31:58 2012 +0200

    add a FIXME about the initial value of the 'remember' checkbox

 libempathy-gtk/empathy-account-widget.c | 3 +++
 1 file changed, 3 insertions(+)

commit 0c4079edb20dc99d17dc8e2b212f3fca7841357b
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Sep 7 14:25:57 2012 +0200

    account-settings: always save the password into the password storage

    This ensures that the password is stored with the proper 'remember'
    value.

 libempathy/empathy-account-settings.c | 9 ++-------
 1 file changed, 2 insertions(+), 7 deletions(-)

commit 689c34ab5fec2ad965e934a532b6fca4008c06ef
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Sep 7 12:18:17 2012 +0200

    consider account widget has changed if the remember checkbox is
    changed

    https://bugzilla.gnome.org/show_bug.cgi?id=683397

 libempathy-gtk/empathy-account-widget.c | 17 ++++++++++++-----
 1 file changed, 12 insertions(+), 5 deletions(-)

commit 39505b161f8034a1377488492e063db08ce54f2d
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Fri Sep 7 12:57:37 2012 +0200

    EmpathyRosterWindow: refactor error infobar code

 data/empathy.css            |   8 ++
 src/empathy-roster-window.c | 299
 ++++++++++++++------------------------------
 2 files changed, 105 insertions(+), 202 deletions(-)

commit 744fa348bf3f157b95af77446ff2b4440554bf2e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Sep 7 11:07:57 2012 +0200

    accounts_dialog_update_settings: fix if no account is selected

    The logic changed if no account is selected as new account are now
    added using
    a separated dialog. So if no account is selected we can certainly
    add a new
    account but not remove anything.

    https://bugzilla.gnome.org/show_bug.cgi?id=683442

 src/empathy-accounts-dialog.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit c786f765510f4796153f23b7c6cd549e1d6a2a6c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Sep 7 10:56:11 2012 +0200

    ll-xmpp-assistant: deal with the im-local-xmpp not being found

    For some reason my test user can't find it; best to not raise warnings
    in this
    case.

    https://bugzilla.gnome.org/show_bug.cgi?id=683442

 libempathy-gtk/empathy-local-xmpp-assistant-widget.c | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit bda7803e256668ef173342429c4e55de8cae1456
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Sep 5 11:58:35 2012 +0200

    mcp-account-manager-uoa: reconnect accounts when they are not failing
    any more

    We want to automatically reconnect failing accounts when user
    refreshed the
    credentials.

    https://bugzilla.gnome.org/show_bug.cgi?id=683409

 .../mc-plugin/mcp-account-manager-uoa.c            | 37
 ++++++++++++++++++++++
 1 file changed, 37 insertions(+)

commit 714036edd7111165600338c9b1de72c247926764
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Sep 7 09:14:57 2012 +0200

    Depend on mission-control 5.13.1

    Needed for the new reconnect plugin API.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2aca51f0e02313124ac3ddfe7c7ab3bb0060c3de
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Sep 5 11:33:21 2012 +0200

    webcredentials-monitor: track failures

    https://bugzilla.gnome.org/show_bug.cgi?id=683409

 .../mc-plugin/empathy-webcredentials-monitor.c     | 143
 +++++++++++++++++++--
 .../mc-plugin/empathy-webcredentials-monitor.h     |   8 +-
 2 files changed, 142 insertions(+), 9 deletions(-)

commit 15813f2b1708d9ec01e593a2f19ca4e5592e8052
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Sep 5 10:47:41 2012 +0200

    webcredentials-monitor: get a proxy on the D-Bus object

    https://bugzilla.gnome.org/show_bug.cgi?id=683409

 .../mc-plugin/empathy-webcredentials-monitor.c     | 44
 +++++++++++++++++++++-
 1 file changed, 42 insertions(+), 2 deletions(-)

commit be4231bfd2bd06d23a2ddf9c5910444eb2541f5d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Sep 5 09:44:45 2012 +0200

    add empathy-webcredentials-monitor

    Just the skeleton so far.

    https://bugzilla.gnome.org/show_bug.cgi?id=683409

 ubuntu-online-accounts/mc-plugin/Makefile.am       |   1 +
 .../mc-plugin/empathy-webcredentials-monitor.c     | 116
 +++++++++++++++++++++
 .../mc-plugin/empathy-webcredentials-monitor.h     |  53 ++++++++++
 3 files changed, 170 insertions(+)

commit febd3c5c52a1bc275dea77d86b3bab20594ad4ec
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Thu Sep 6 23:16:02 2012 +0200

    [l10n] Updated Italian translation.

 po/it.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 190353cd2cb2ba0566598e6bf6332f7294a13182
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Thu Sep 6 22:17:38 2012 +0200

    [l10n] Updated Italian translation.

 po/it.po | 69
 +++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 38 insertions(+), 31 deletions(-)

commit 0797d2389eebf27970c8664243d5895ebf93667f
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Sep 6 20:51:36 2012 +0200

    Updated Slovenian translation

 po/sl.po | 496
 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 238 insertions(+), 258 deletions(-)

commit 0762876afc5ad7eec23696179f28d9bafb196563
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Sep 6 18:22:38 2012 +0200

    Updated Spanish translation

 po/es.po | 74
 +++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 41 insertions(+), 33 deletions(-)

commit 8af24addff899127fc433e0e4233cd568bd2ab1c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Sep 6 16:25:23 2012 +0200

    roster-window: display loading page when reconnecting accounts

    https://bugzilla.gnome.org/show_bug.cgi?id=683501

 src/empathy-roster-window.c | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

commit f6a74bbbfd94d2bb6eef27e7e2b5f5cb45927371
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Sep 6 16:15:59 2012 +0200

    roster-window: inline hide/show_contacts_loading in
    set_notebook_page()

    It's cleaner to have all the logic deciding which page to display in
    set_notebook_page().

    https://bugzilla.gnome.org/show_bug.cgi?id=683501

 src/empathy-roster-window.c | 40 +++++++++++++++-------------------------
 1 file changed, 15 insertions(+), 25 deletions(-)

commit 80ccb990d65628a31694edc94dcc2cb1511f5d9d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Sep 6 15:48:33 2012 +0200

    roster-window: update the roster page when the most available
    presence changes

    Fix a race between all the contacts being removed, and so the roster
    being empty, and the presence notification.

 src/empathy-roster-window.c | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 96020e16337fe47fe35d88db9fb2503bc213b86e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Sep 6 15:41:47 2012 +0200

    actually display the 'go online' button

    I added this flag exactly for this and then forgot to use it...

 src/empathy-roster-window.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6be8487c6325e206fa9741d6c91a4c2420169e1b
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Wed Sep 5 20:14:41 2012 -0400

    Don't show "Topic: " in tooltips if there is none

    I think I made this regress when I made Empathy understand the new
    Subject interface.

    https://bugzilla.gnome.org/show_bug.cgi?id=683453

 src/empathy-chat-window.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f81f33ec7dbecdb94f4d7a032ab852ecf9593cb2
Author: Fábio Nogueira <fnogueira@gnome.org>
Date:   Thu Sep 6 09:09:33 2012 -0400

    Updated Brazilian Portuguese translation.

 po/pt_BR.po | 3717
 +++++++++++++++++++++++++++++------------------------------
 1 file changed, 1846 insertions(+), 1871 deletions(-)

commit a61ed79e43f7ad337f542861544dd553cbe07640
Author: Og B. Maciel <ogmaciel@gnome.org>
Date:   Thu Sep 6 09:08:17 2012 -0400

    Fixed path to accounts-plugin-widget.c file.

 po/POTFILES.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ce780de356a0b60d0e7058019397510018b092bd
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:   Thu Sep 6 17:02:34 2012 +0430

    l10n: Updated Persian translation

 po/fa.po | 4021
 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 2112 insertions(+), 1909 deletions(-)

commit d001dd2ca3436cae899456994230b22e1c6ec6c7
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Sep 6 10:12:44 2012 +0200

    UOA account plugins: move shared code to a shared lib

    Avoid to redefine existing symbols when different plugins are loaded.

    https://bugzilla.gnome.org/show_bug.cgi?id=683415

 .../cc-plugins/account-plugins/Makefile.am         | 129
 +++++++--------------
 .../cc-plugins/generate-plugins.py                 |  25 +++-
 2 files changed, 64 insertions(+), 90 deletions(-)

commit b73b93e7cfb16579ef6ec18ef01acdac2c6c24f3
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Sep 6 09:49:10 2012 +0200

    Move account plugins to their own dir

    https://bugzilla.gnome.org/show_bug.cgi?id=683415

 configure.ac                                       |   1 +
 ubuntu-online-accounts/cc-plugins/Makefile.am      | 228 +----------
 .../cc-plugins/account-plugins/Makefile.am         | 225 +++++++++++
 .../account-plugins/empathy-accounts-plugin-aim.c  |  46 +++
 .../account-plugins/empathy-accounts-plugin-aim.h  |  75 ++++
 .../empathy-accounts-plugin-gadugadu.c             |  46 +++
 .../empathy-accounts-plugin-gadugadu.h             |  75 ++++
 .../empathy-accounts-plugin-groupwise.c            |  46 +++
 .../empathy-accounts-plugin-groupwise.h            |  75 ++++
 .../account-plugins/empathy-accounts-plugin-icq.c  |  46 +++
 .../account-plugins/empathy-accounts-plugin-icq.h  |  75 ++++
 .../account-plugins/empathy-accounts-plugin-irc.c  |  46 +++
 .../account-plugins/empathy-accounts-plugin-irc.h  |  75 ++++
 .../empathy-accounts-plugin-jabber.c               |  46 +++
 .../empathy-accounts-plugin-jabber.h               |  75 ++++
 .../empathy-accounts-plugin-local-xmpp.c           |  46 +++
 .../empathy-accounts-plugin-local-xmpp.h           |  75 ++++
 .../account-plugins/empathy-accounts-plugin-mxit.c |  46 +++
 .../account-plugins/empathy-accounts-plugin-mxit.h |  75 ++++
 .../empathy-accounts-plugin-myspace.c              |  46 +++
 .../empathy-accounts-plugin-myspace.h              |  75 ++++
 .../empathy-accounts-plugin-sametime.c             |  46 +++
 .../empathy-accounts-plugin-sametime.h             |  75 ++++
 .../account-plugins/empathy-accounts-plugin-sip.c  |  46 +++
 .../account-plugins/empathy-accounts-plugin-sip.h  |  75 ++++
 .../empathy-accounts-plugin-widget.c               | 431
 +++++++++++++++++++++
 .../empathy-accounts-plugin-widget.h               |  76 ++++
 .../empathy-accounts-plugin-yahoo.c                |  46 +++
 .../empathy-accounts-plugin-yahoo.h                |  75 ++++
 .../empathy-accounts-plugin-yahoojp.c              |  46 +++
 .../empathy-accounts-plugin-yahoojp.h              |  75 ++++
 .../empathy-accounts-plugin-zephyr.c               |  46 +++
 .../empathy-accounts-plugin-zephyr.h               |  75 ++++
 .../account-plugins/empathy-accounts-plugin.c      | 125 ++++++
 .../account-plugins/empathy-accounts-plugin.h      |  69 ++++
 .../cc-plugins/empathy-accounts-plugin-aim.c       |  46 ---
 .../cc-plugins/empathy-accounts-plugin-aim.h       |  75 ----
 .../cc-plugins/empathy-accounts-plugin-gadugadu.c  |  46 ---
 .../cc-plugins/empathy-accounts-plugin-gadugadu.h  |  75 ----
 .../cc-plugins/empathy-accounts-plugin-groupwise.c |  46 ---
 .../cc-plugins/empathy-accounts-plugin-groupwise.h |  75 ----
 .../cc-plugins/empathy-accounts-plugin-icq.c       |  46 ---
 .../cc-plugins/empathy-accounts-plugin-icq.h       |  75 ----
 .../cc-plugins/empathy-accounts-plugin-irc.c       |  46 ---
 .../cc-plugins/empathy-accounts-plugin-irc.h       |  75 ----
 .../cc-plugins/empathy-accounts-plugin-jabber.c    |  46 ---
 .../cc-plugins/empathy-accounts-plugin-jabber.h    |  75 ----
 .../empathy-accounts-plugin-local-xmpp.c           |  46 ---
 .../empathy-accounts-plugin-local-xmpp.h           |  75 ----
 .../cc-plugins/empathy-accounts-plugin-mxit.c      |  46 ---
 .../cc-plugins/empathy-accounts-plugin-mxit.h      |  75 ----
 .../cc-plugins/empathy-accounts-plugin-myspace.c   |  46 ---
 .../cc-plugins/empathy-accounts-plugin-myspace.h   |  75 ----
 .../cc-plugins/empathy-accounts-plugin-sametime.c  |  46 ---
 .../cc-plugins/empathy-accounts-plugin-sametime.h  |  75 ----
 .../cc-plugins/empathy-accounts-plugin-sip.c       |  46 ---
 .../cc-plugins/empathy-accounts-plugin-sip.h       |  75 ----
 .../cc-plugins/empathy-accounts-plugin-widget.c    | 431
 ---------------------
 .../cc-plugins/empathy-accounts-plugin-widget.h    |  76 ----
 .../cc-plugins/empathy-accounts-plugin-yahoo.c     |  46 ---
 .../cc-plugins/empathy-accounts-plugin-yahoo.h     |  75 ----
 .../cc-plugins/empathy-accounts-plugin-yahoojp.c   |  46 ---
 .../cc-plugins/empathy-accounts-plugin-yahoojp.h   |  75 ----
 .../cc-plugins/empathy-accounts-plugin-zephyr.c    |  46 ---
 .../cc-plugins/empathy-accounts-plugin-zephyr.h    |  75 ----
 .../cc-plugins/empathy-accounts-plugin.c           | 125 ------
 .../cc-plugins/empathy-accounts-plugin.h           |  69 ----
 .../cc-plugins/generate-plugins.py                 |  33 +-
 68 files changed, 2637 insertions(+), 2640 deletions(-)

commit 006b27d7f0c5dd6efeee83e2c7bb21a60a7a138e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Sep 5 15:59:26 2012 +0200

    Generate one GType per UOA protocol plugin

    Each plugin now has its own GType inheriting from
    EmpathyAccountsPlugin which
    is cleaner.

    https://bugzilla.gnome.org/show_bug.cgi?id=683415

 ubuntu-online-accounts/cc-plugins/Makefile.am      |  28 ++++
 .../cc-plugins/empathy-accounts-plugin-aim.c       |  46 ++++++
 .../cc-plugins/empathy-accounts-plugin-aim.h       |  75 ++++++++++
 .../cc-plugins/empathy-accounts-plugin-gadugadu.c  |  46 ++++++
 .../cc-plugins/empathy-accounts-plugin-gadugadu.h  |  75 ++++++++++
 .../cc-plugins/empathy-accounts-plugin-groupwise.c |  46 ++++++
 .../cc-plugins/empathy-accounts-plugin-groupwise.h |  75 ++++++++++
 .../cc-plugins/empathy-accounts-plugin-icq.c       |  46 ++++++
 .../cc-plugins/empathy-accounts-plugin-icq.h       |  75 ++++++++++
 .../cc-plugins/empathy-accounts-plugin-irc.c       |  46 ++++++
 .../cc-plugins/empathy-accounts-plugin-irc.h       |  75 ++++++++++
 .../cc-plugins/empathy-accounts-plugin-jabber.c    |  46 ++++++
 .../cc-plugins/empathy-accounts-plugin-jabber.h    |  75 ++++++++++
 .../empathy-accounts-plugin-local-xmpp.c           |  46 ++++++
 .../empathy-accounts-plugin-local-xmpp.h           |  75 ++++++++++
 .../cc-plugins/empathy-accounts-plugin-mxit.c      |  46 ++++++
 .../cc-plugins/empathy-accounts-plugin-mxit.h      |  75 ++++++++++
 .../cc-plugins/empathy-accounts-plugin-myspace.c   |  46 ++++++
 .../cc-plugins/empathy-accounts-plugin-myspace.h   |  75 ++++++++++
 .../cc-plugins/empathy-accounts-plugin-sametime.c  |  46 ++++++
 .../cc-plugins/empathy-accounts-plugin-sametime.h  |  75 ++++++++++
 .../cc-plugins/empathy-accounts-plugin-sip.c       |  46 ++++++
 .../cc-plugins/empathy-accounts-plugin-sip.h       |  75 ++++++++++
 .../cc-plugins/empathy-accounts-plugin-yahoo.c     |  46 ++++++
 .../cc-plugins/empathy-accounts-plugin-yahoo.h     |  75 ++++++++++
 .../cc-plugins/empathy-accounts-plugin-yahoojp.c   |  46 ++++++
 .../cc-plugins/empathy-accounts-plugin-yahoojp.h   |  75 ++++++++++
 .../cc-plugins/empathy-accounts-plugin-zephyr.c    |  46 ++++++
 .../cc-plugins/empathy-accounts-plugin-zephyr.h    |  75 ++++++++++
 .../cc-plugins/empathy-accounts-plugin.c           |   6 -
 .../cc-plugins/empathy-accounts-plugin.h           |   2 -
 .../cc-plugins/generate-plugins.py                 | 159
 ++++++++++++++++++++-
 32 files changed, 1880 insertions(+), 9 deletions(-)

commit a49a0e8b08ff8ad164304f0600b90178b0ff44c6
Author: Andika Triwidada <andika@gmail.com>
Date:   Thu Sep 6 15:45:36 2012 +0700

    Updated Indonesian translation

 po/id.po | 59 ++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 34 insertions(+), 25 deletions(-)

commit 05f557bd0ff44bdece4bb0b2f25e86ccb693e35d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Sep 6 10:01:18 2012 +0200

    update tests/interactive/.gitignore

 tests/interactive/.gitignore | 2 ++
 1 file changed, 2 insertions(+)

commit 720b107aa539f8e39d5ab57d4b9fcbf013f6d501
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Sep 5 19:35:57 2012 +0200

    Updated Polish translation

 po/pl.po | 44 ++++++++++++++++++++++++++------------------
 1 file changed, 26 insertions(+), 18 deletions(-)

commit 5249fdf07c03b0e9bc873ace2a66a7b861fd41c2
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   Wed Sep 5 21:35:13 2012 +0530

    updated Tamil translation

 po/ta.po | 45 ++++++++++++++++++++++++++-------------------
 1 file changed, 26 insertions(+), 19 deletions(-)

commit 7bbdfa8b65593f667e9ef72178469e78cba52638
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Wed Sep 5 15:56:32 2012 +0200

    Update French translation

 po/fr.po | 3024
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1505 insertions(+), 1519 deletions(-)

commit 52028717069c3fdd56e4228882819b31bf678c32
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Sep 5 12:42:05 2012 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 58 +++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 33 insertions(+), 25 deletions(-)

commit 293da11af4379e0b1ccf2a16a3bb05ad59375122
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Wed Sep 5 11:53:28 2012 +0200

    Updated Serbian translation

 po/sr.po       | 120
 ++++++++++++++++++++++++++++++++-------------------------
 po/sr@latin.po | 120
 ++++++++++++++++++++++++++++++++-------------------------
 2 files changed, 134 insertions(+), 106 deletions(-)

commit 5f06612af11571b8bdf69f2150a3746a9b7cf94a
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Wed Sep 5 10:32:15 2012 +0200

    Updated Galician translations

 po/gl.po | 51 ++++++++++++++++++++++++++++-----------------------
 1 file changed, 28 insertions(+), 23 deletions(-)

commit 33f34abc1f83821cb55cfa1a8f4e3e136974bd1f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 4 15:04:25 2012 +0200

    roster-window: display a button to go online

    https://bugzilla.gnome.org/show_bug.cgi?id=683326

 src/empathy-roster-window.c  | 22 ++++++++++++++++++++++
 src/empathy-roster-window.ui | 26 ++++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

commit 34789c7c8447174ec0881e2abbf029ae34a37c99
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 4 14:39:02 2012 +0200

    display_page_message: use a flag instead of booleans

    More scalable.

    https://bugzilla.gnome.org/show_bug.cgi?id=683326

 src/empathy-roster-window.c | 31 ++++++++++++++++++++-----------
 1 file changed, 20 insertions(+), 11 deletions(-)

commit e52959e0abfcfa322bf3e0e7587e62f1d49d8699
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 4 14:34:10 2012 +0200

    roster-window: display a specific message when we are offline

    https://bugzilla.gnome.org/show_bug.cgi?id=683326

 src/empathy-roster-window.c | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 20a856d61a04345ceb91919dc965ae19522da10b
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Tue Sep 4 11:54:05 2012 +0100

    Updated British English translation

 po/en_GB.po | 3707
 +++++++++++++++++++++++++++++------------------------------
 1 file changed, 1822 insertions(+), 1885 deletions(-)

commit 3f326c718659425fd2570ef0a2aba3fcefa7731c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 4 11:22:09 2012 +0200

    remove released flag

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c91daed0f7eed69b0df2f40963ce623c0821a8a9
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 4 11:07:51 2012 +0200

    prepare 3.5.91

 NEWS         | 39 +++++++++++++++++++++++++++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 41 insertions(+), 2 deletions(-)

commit f6ad0c3b5b0ffcf6c89430a684c32b130f8e3ec1
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Sep 4 10:11:04 2012 +0200

    roster-view: compare groups using strcmp

    Groups are added to the list in another file (the model) so the
    string will
    have another address than the one in the view.

    https://bugzilla.gnome.org/show_bug.cgi?id=683314

 libempathy-gtk/empathy-roster-view.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 6d5797f1c816826e4d1e398f7cc0503db1e993fb
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Aug 30 10:10:38 2012 +0200

    roster-view: don't display offline not favorite top contacts

    We just want to always display the favorites offline contacts in
    the top
    contact section.

    One may say that we are kinda breaking the model group abstraction,
    which is
    probably true. Ideally we may want to have a roster view subclass
    implementing
    the top contact logic but life is too short.

    https://bugzilla.gnome.org/show_bug.cgi?id=683022

 libempathy-gtk/empathy-roster-view.c | 44
 +++++++++++++++++++++++++++++++++++-
 1 file changed, 43 insertions(+), 1 deletion(-)

commit 53c73e017555fc7bd64359d794817502ef774f87
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Aug 30 11:18:59 2012 +0200

    model-manager: connect on the "favourites-changed" signal

    That's a proper signal, not a property change.

    https://bugzilla.gnome.org/show_bug.cgi?id=683022

 libempathy-gtk/empathy-roster-model-manager.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d36621324adf861967ffcf233791d97d224a21d3
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Tue Sep 4 09:22:25 2012 +0200

    Updated Hungarian translation

 po/hu.po | 437
 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 209 insertions(+), 228 deletions(-)

commit d25442bccc9b9d143fe92f2506f6d84499ece829
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Sep 3 17:09:55 2012 +0200

    roster-view: clear_view: start by cleaning our internal hash tables

    Removing and destroying the widgets contained in the view will call
    empathy_roster_view_remove(). This function may use some of the
    internal hash
    tables which now contain destroyed object.

    It's safer to clean the internal hash tables first as we are about
    to destroy
    their content anyway.

    https://bugzilla.gnome.org/show_bug.cgi?id=683275

 libempathy-gtk/empathy-roster-view.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 979f90a0425dec607d58008fc8ba8a5966179807
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Sep 3 14:49:46 2012 +0200

    chat_window_new_message_cb: early return when handling outgoing msg

    There is no need to continue processing a message (unread count, play
    incoming message sound) if it's an outgoing one.

    Fix a bug where we use to play to ougoing sound *and* the incoming
    sound when
    sending a message.

 src/empathy-chat-window.c | 1 +
 1 file changed, 1 insertion(+)

commit 02ff7d33ac6453ea61c2f998710d40044b1539e9
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   Mon Sep 3 13:54:06 2012 +0200

    In the gst 0.10 case, link the volume element to capsfilter

 src/empathy-audio-src.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit c40cc8f6d6510b66f774c70097e0d19ee933f783
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   Mon Sep 3 13:33:13 2012 +0200

    Fix AC_ARG_ENABLE usage

 configure.ac | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 907cf465256f578642e63a1c00a80c6955d7549b
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Mon Sep 3 13:14:16 2012 +0300

    Updated Greek translation

 po/el.po | 99
 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 51 insertions(+), 48 deletions(-)

commit d641d0d903b9847864acae4a47aa948131aa50b0
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Sun Aug 26 19:23:06 2012 +0200

    Port to gstreamer 1.0

 configure.ac              | 55
 ++++++++++++++++++++++++++++++++++++-----------
 src/Makefile.am           |  2 +-
 src/empathy-audio-sink.c  | 19 ++++++++++++++++
 src/empathy-audio-src.c   | 39 ++++++++++++++++++---------------
 src/empathy-call-window.c | 32 +++++++++++++++++++++++++++
 src/empathy-video-src.c   | 34 +++++++++++++++++++++++++++++
 6 files changed, 151 insertions(+), 30 deletions(-)

commit 0af7f92b16f1d1b3527463906936fa0ea602ad57
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Aug 31 11:40:38 2012 +0200

    Just check for cheese-gtk

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d9687df7eb5a4e98282a51461152c154c219e2c1
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   Sun Sep 2 12:03:14 2012 +0530

    updated Tamil translation

 po/ta.po | 4032
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1989 insertions(+), 2043 deletions(-)

commit 1df9b785d0a45e59eeed4a61b9665877e43e4ed6
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Sep 1 22:07:14 2012 +0200

    Updated Polish translation

 po/pl.po | 34 +++++++++++++++++++++++-----------
 1 file changed, 23 insertions(+), 11 deletions(-)

commit 0e2a232f2ed90f04a2245c5241e471c865f756ae
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Aug 31 10:30:12 2012 +0200

    roster-view: check_if_empty(): check groups as well

    The roster is empty if there is no group displayed as well. We don't
    want to
    display an empty message just because the user collapsed all his
    groups.

    https://bugzilla.gnome.org/show_bug.cgi?id=682926

 libempathy-gtk/empathy-roster-view.c | 39
 +++++++++++++++++++++++++++++++++---
 1 file changed, 36 insertions(+), 3 deletions(-)

commit 1ff28ec682cd537f7626e1fac53457139301b64f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Aug 31 10:07:57 2012 +0200

    roster-view: factor out check_if_empty()

    https://bugzilla.gnome.org/show_bug.cgi?id=682926

 libempathy-gtk/empathy-roster-view.c | 32
 +++++++++++++++++++-------------
 1 file changed, 19 insertions(+), 13 deletions(-)

commit 2957c34ec79bc2585435d99e43f6bfb048025285
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Mon Aug 27 09:03:34 2012 +0200

    emapthy-call: Camera toggle button isn't a GtkToggleToolButton

 src/empathy-call-window.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c82b599fc2b9bc38fa1d4476ae43b3f75987c624
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Thu Aug 30 14:21:47 2012 +0200

    Updated Galician translations

 po/gl.po | 37 ++++++++++++++++++++++---------------
 1 file changed, 22 insertions(+), 15 deletions(-)

commit 52d535121a9cbeebd182c144a984122c5973a7db
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Aug 30 14:11:20 2012 +0200

    roster-view: remember state expanded status of groups

    Pretty simple actually, that's a simple port of the logic from
    empathy-individual-view.

    https://bugzilla.gnome.org/show_bug.cgi?id=679259

 libempathy-gtk/empathy-roster-view.c | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit c11c1cb31e7b46f89de4fd41f9d75f2731c5ded0
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Aug 30 12:06:42 2012 +0200

    roster-view: make sure the same contact isn't added twice to the
    same group

    Calling empathy_roster_model_get_groups_for_individual() in
    individual_added
    may have the side effect for folks to discover the contact's groups
    and so
    fire a bunch of signals leading us to add the contact in the group.
    Then we look for his groups in individual_added() and re-add him
    a second
    time.

    Fix this by making sure we won't add the same contact twice to the
    same group.

    https://bugzilla.gnome.org/show_bug.cgi?id=683025

 libempathy-gtk/empathy-roster-view.c | 3 +++
 1 file changed, 3 insertions(+)

commit 07b33c748d2227f6932afbcc1dc44a404354ec83
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Wed Aug 29 19:51:07 2012 +0100

    Updated Portuguese translation

 po/pt.po | 3743
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1850 insertions(+), 1893 deletions(-)

commit 5f46f971707112e712ea0b7e2f64cdd89d4074dc
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Aug 29 15:50:35 2012 +0200

    roster-model-manager: always remove removed individual from the
    top group

    If the individual has been removed from the manager we should always
    remove it
    from the top group members, even if he's still eligible for this
    group.

    https://bugzilla.gnome.org/show_bug.cgi?id=682938

 libempathy-gtk/empathy-roster-model-manager.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 9ab11de8216bfe2d68d3ddb1ab62c4f586d7efd2
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Sun Aug 26 19:11:11 2012 +0200

    Remove the level and rms measurements

    The UI hasn't used the RMS and peak values from the input source for a
    while, so lets remove it.

 src/empathy-audio-src.c | 154
 +-----------------------------------------------
 1 file changed, 2 insertions(+), 152 deletions(-)

commit 03d0826e2278ee3d29a6214b12ba6ee7d48e0c7c
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Sun Aug 26 16:23:14 2012 +0200

    Remove gst dependency from libempathy

    libempathy only used gstreamer api directly from the camera monitor,
    which simply uses it for its debug infrastructure.. Use the standard
    empathy debug infrastruction instead so we can drop the gstreamer
    dependency.

 configure.ac                              |  4 ++--
 libempathy/cheese-camera-device-monitor.c | 29
 ++++++++++++-----------------
 libempathy/cheese-camera-device-monitor.h |  1 -
 libempathy/empathy-debug.c                |  1 +
 libempathy/empathy-debug.h                |  1 +
 5 files changed, 16 insertions(+), 20 deletions(-)

commit 6e3ea627e70266d8c3739300e900a5b7bc0763bc
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Sun Aug 26 16:20:56 2012 +0200

    Remove libempathy-gtk dependency on gstreamer

    libempathy-gtk uses gstreamer directly only for one utility function
    used by empathy-call. Split this one out into a call specific utility
    file.

 libempathy-gtk/empathy-call-utils.c | 35 --------------------
 libempathy-gtk/empathy-call-utils.h |  5 ---
 src/Makefile.am                     |  2 ++
 src/empathy-audio-sink.c            |  6 ++--
 src/empathy-audio-src.c             |  6 ++--
 src/empathy-audio-utils.c           | 65
 +++++++++++++++++++++++++++++++++++++
 src/empathy-audio-utils.h           | 33 +++++++++++++++++++
 7 files changed, 106 insertions(+), 46 deletions(-)

commit f7ab6457995133ccd3fd32ce028c6c8cb1e68322
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Tue Aug 28 23:17:51 2012 +0300

    Updated Lithuanian translation

 po/lt.po | 3275
 +++++++++++++++++++++++++++-----------------------------------
 1 file changed, 1412 insertions(+), 1863 deletions(-)

commit b29e58bc864acce8dd43f7fdf2133540865f8211
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Mon Aug 20 17:11:18 2012 +0200

    Updated egg-list-box version

 libempathy-gtk/egg-list-box | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d15a73b05766b8a446c5f00a8e8a76efd671a797
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Aug 28 13:07:28 2012 +0200

    sanity_ctx_ref() is only used by UOA code atm

 src/empathy-sanity-cleaning.c | 2 ++
 1 file changed, 2 insertions(+)

commit a4d45d9997e9c55a75f147cab51184a500640ca1
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Aug 28 10:56:11 2012 +0200

    keep our reference on the global ctx until the account has been
    removed

    This ensures that the proccess stays running until we are actually
    done.

 src/empathy-sanity-cleaning.c | 44
 +++++++++++++++++++++----------------------
 1 file changed, 21 insertions(+), 23 deletions(-)

commit 838610a7545aca9f8209fef864153f0404fc7309
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Aug 28 10:53:42 2012 +0200

    Remove the old account even if we fail to create the new one

    There is no point keeping a ghost account around.

 src/empathy-sanity-cleaning.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 2db1f1f4e345c20b92c3914551cbd8c7a0f79676
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Aug 28 10:50:54 2012 +0200

    uoa_migration_done: free data once we're done with it

 src/empathy-sanity-cleaning.c | 2 ++
 1 file changed, 2 insertions(+)

commit c020298d0898da9f6ba17ab5e1dd3bdd68b74b2c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Aug 28 10:19:00 2012 +0200

    uoa-migration: delete account if plugin is missing

    Best to have to re-create an account than having a ghost account
    staying
    around.

 src/empathy-sanity-cleaning.c | 24 ++++++++++++++++++++++--
 1 file changed, 22 insertions(+), 2 deletions(-)

commit 2f87cddf8c0bec795fa06cc4ce5f15e5c755748a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Aug 27 16:41:13 2012 +0200

    auth-client: wait for the migration code to be done before starting
    the timer

 src/empathy-auth-client.c | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit bc717ec969a0e02477208304d50872344744dbae
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Aug 27 16:38:30 2012 +0200

    Turn migration code to an async function

 src/empathy-auth-client.c     |   2 +-
 src/empathy-sanity-cleaning.c | 112
 +++++++++++++++++++++++++++++++++++++-----
 src/empathy-sanity-cleaning.h |   8 ++-
 3 files changed, 107 insertions(+), 15 deletions(-)

commit 79ea3b4ad24160ad2d0a32b24adcd4fb526f9eca
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Aug 27 14:22:37 2012 +0200

    try installing missing account-plugin-*

    https://bugzilla.gnome.org/show_bug.cgi?id=682802

 src/empathy-sanity-cleaning.c | 91
 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 91 insertions(+)

commit 7c6cb4b3b6cf3cfe6379b9d3a0f4a8e80fbebdd9
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Mon Aug 27 23:09:12 2012 +0530

    Implemented FUEL entries to Assamese translation

 po/as.po | 70
 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 35 insertions(+), 35 deletions(-)

commit b0e67cf7d5d45acdb396b929134beb05202c7731
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Aug 27 15:58:13 2012 +0200

    factor out migrate_account_to_uoa()

 src/empathy-sanity-cleaning.c | 118
 ++++++++++++++++++++++--------------------
 1 file changed, 63 insertions(+), 55 deletions(-)

commit 02b2080bc1e3d75f5b88bfe22ce353bfe26f9a04
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Aug 27 15:00:45 2012 +0200

    pkg-kit: use an 'infinite' timeout when calling InstallPackageNames

    This method can takes quiet a while before returning (if user has
    to enter his
    admin password for example).

    https://bugzilla.gnome.org/show_bug.cgi?id=682802

 libempathy/empathy-pkg-kit.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4cdf0b0dd73333716166579699030b227bb57ace
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Fri Aug 24 14:35:16 2012 +0200

    UOA auth: Request password if no credentials have ever be stored

    https://bugzilla.gnome.org/show_bug.cgi?id=680776

 libempathy/empathy-uoa-auth-handler.c | 83
 +++++++++++++++++++++++++++--------
 1 file changed, 65 insertions(+), 18 deletions(-)

commit 401f5f48e9b26628c7df8f1d97336cebbab870c0
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Thu Aug 23 15:03:51 2012 +0200

    UOA auth: handle the password mechanism as well

    Since password is stored in SSO now, we can use the same code path
    than other accounts.

    https://bugzilla.gnome.org/show_bug.cgi?id=680776

 libempathy/empathy-uoa-auth-handler.c | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

commit 26aa1b3654cab66d91e0ada194be547e790a847b
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Thu Aug 23 15:02:10 2012 +0200

    UOA auth: Wait for callback when requesting password

    signon_auth_session_process() does not keep its own ref on the session
    object, so freeing the AuthContext before callback cancels the call.

    https://bugzilla.gnome.org/show_bug.cgi?id=680776

 libempathy/empathy-uoa-auth-handler.c | 22 +++++++++++++++++++---
 1 file changed, 19 insertions(+), 3 deletions(-)

commit fb84a9d544c27f11c3c91efdad8adc4096471a79
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Thu Aug 23 14:57:52 2012 +0200

    UOA auth: Move more code into auth_context_new()

    https://bugzilla.gnome.org/show_bug.cgi?id=680776

 libempathy/empathy-uoa-auth-handler.c | 72
 ++++++++++++++++++-----------------
 1 file changed, 37 insertions(+), 35 deletions(-)

commit 9ce89862ae5bead69519f3238794ffbf3988dcf9
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Thu Aug 23 15:01:16 2012 +0200

    UOA auth: factor out auth_context_done()

    https://bugzilla.gnome.org/show_bug.cgi?id=680776

 libempathy/empathy-uoa-auth-handler.c | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

commit c8a0a072d122b86306e47044bf36553c74baf9df
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Wed Aug 22 16:45:04 2012 +0200

    UOA auth: rename QueryInforData to AuthContext

    This data is not used only to for the query_info call anymore,
    so better have a more generic name.

    https://bugzilla.gnome.org/show_bug.cgi?id=680776

 libempathy/empathy-uoa-auth-handler.c | 88
 +++++++++++++++++------------------
 1 file changed, 44 insertions(+), 44 deletions(-)

commit 51507f03677306f35097e10c1e81d57961d05388
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Wed Aug 22 13:28:32 2012 +0200

    Move X-TELEPATHY-PASSWORD mechanism code into
    empathy-sasl-mechanisms.c

    https://bugzilla.gnome.org/show_bug.cgi?id=680776

 libempathy/empathy-sasl-mechanisms.c     |  35 ++++++++++
 libempathy/empathy-sasl-mechanisms.h     |   6 ++
 libempathy/empathy-server-sasl-handler.c | 106
 ++++++++-----------------------
 3 files changed, 67 insertions(+), 80 deletions(-)

commit d183765f18a915d889f4b6c6fc6a7f1692522809
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Thu Aug 9 10:38:13 2012 +0200

    UOA: Store password into signond instead of gnome-keyring

    https://bugzilla.gnome.org/show_bug.cgi?id=680776

 libempathy/empathy-keyring.c | 409
 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 409 insertions(+)

commit c3933b7972672e533c33cf9f401a1dea83ba1368
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Fri Aug 24 13:13:07 2012 +0200

    UOA: Use an AgManager singleton

    This is especially useful in empathy-keyring where it would reload
    all accounts each time we set a password.

    https://bugzilla.gnome.org/show_bug.cgi?id=680776

 libempathy/Makefile.am                             |  2 +
 libempathy/empathy-uoa-auth-handler.c              |  7 ++--
 libempathy/empathy-uoa-utils.c                     | 49
 ++++++++++++++++++++++
 libempathy/empathy-uoa-utils.h                     | 35 ++++++++++++++++
 .../cc-plugins/empathy-accounts-plugin.c           |  7 +++-
 5 files changed, 95 insertions(+), 5 deletions(-)

commit 1b787a9f326fa5d4224f1a0fe7be56f455b2eedd
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Wed Aug 22 19:23:41 2012 +0200

    UOA: Set password auth mechanism/method on generic IM services

    https://bugzilla.gnome.org/show_bug.cgi?id=680776

 ubuntu-online-accounts/cc-plugins/generate-plugins.py            | 4 ++++
 ubuntu-online-accounts/cc-plugins/services/aim-im.service        | 4 ++++
 ubuntu-online-accounts/cc-plugins/services/gadugadu-im.service   | 4 ++++
 ubuntu-online-accounts/cc-plugins/services/groupwise-im.service  | 4 ++++
 ubuntu-online-accounts/cc-plugins/services/icq-im.service        | 4 ++++
 ubuntu-online-accounts/cc-plugins/services/irc-im.service        | 4 ++++
 ubuntu-online-accounts/cc-plugins/services/jabber-im.service     | 4 ++++
 ubuntu-online-accounts/cc-plugins/services/local-xmpp-im.service | 4 ++++
 ubuntu-online-accounts/cc-plugins/services/mxit-im.service       | 4 ++++
 ubuntu-online-accounts/cc-plugins/services/myspace-im.service    | 4 ++++
 ubuntu-online-accounts/cc-plugins/services/sametime-im.service   | 4 ++++
 ubuntu-online-accounts/cc-plugins/services/sip-im.service        | 4 ++++
 ubuntu-online-accounts/cc-plugins/services/yahoo-im.service      | 4 ++++
 ubuntu-online-accounts/cc-plugins/services/yahoojp-im.service    | 4 ++++
 ubuntu-online-accounts/cc-plugins/services/zephyr-im.service     | 4 ++++
 15 files changed, 60 insertions(+)

commit 4f0673c142e6529b6aaa0022b8463fa67b2ff060
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Fri Aug 24 10:14:43 2012 +0200

    Remember password at least until session restart

    https://bugzilla.gnome.org/show_bug.cgi?id=680776

 libempathy-gtk/empathy-account-widget.c  | 14 ++++----------
 libempathy/empathy-account-settings.c    | 16 ++++++++++++++--
 libempathy/empathy-account-settings.h    |  4 ++++
 libempathy/empathy-keyring.c             |  5 ++++-
 libempathy/empathy-keyring.h             |  2 +-
 libempathy/empathy-server-sasl-handler.c | 12 ++++--------
 6 files changed, 31 insertions(+), 22 deletions(-)

commit 4ef8dd58943034270f935f081e290e7540a792f9
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Mon Aug 27 14:43:55 2012 +0200

    UOA: Migrate passwords to SSO

 src/empathy-sanity-cleaning.c | 112
 ++++++++++++++++++++++++++++++++++++------
 1 file changed, 98 insertions(+), 14 deletions(-)

commit d3b83e5c737e8c700db880434a9a529dbfd20c8d
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Mon Aug 27 18:19:36 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 2631
 +++++++++++++++++++++++++++++-----------------------------
 po/zh_TW.po | 2637
 +++++++++++++++++++++++++++++------------------------------
 2 files changed, 2617 insertions(+), 2651 deletions(-)

commit bdcd41b29068e30479c448a56cb76ea28ab160ce
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Sun Aug 26 22:10:58 2012 +0530

    Assamese translation updated

 po/as.po | 77
 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 40 insertions(+), 37 deletions(-)

commit ad284ad39cacbb6d1af56167e448f835640a0a3d
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sun Aug 26 10:20:53 2012 +0300

    Updated Hebrew translation.

 po/he.po | 62
 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 33 insertions(+), 29 deletions(-)

commit e9e419b59ee9639516827239975449e7b95ed7bd
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Sun Aug 26 00:24:59 2012 +0400

    Updated Russian translation

 po/ru.po | 3536
 +++++++++++++++++++++++++++-----------------------------------
 1 file changed, 1534 insertions(+), 2002 deletions(-)

commit 3f7d6d6aaa61376b19b2cd73ba7a81af2c62ab71
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Fri Aug 24 16:16:53 2012 +0200

    [l10n] Updated Italian translation.

 po/it.po | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 5d48b9b3ee3c24095d7ecc1a102a8e0b4bbbc862
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Aug 23 00:16:59 2012 +0200

    Updated Polish translation

 po/pl.po | 3639
 +++++++++++++++++++++++++++++---------------------------------
 1 file changed, 1702 insertions(+), 1937 deletions(-)

commit 793497ef17da9a0d9b6c5d95fb62826787e46a14
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Wed Aug 22 15:02:12 2012 +0200

    UOA: Changing enable state of MC account should not modify per-service
    state

    ag_account_set_enabled() is not global enable state, we have to
    ensure that
    selected service is NULL before that.

 ubuntu-online-accounts/mc-plugin/mcp-account-manager-uoa.c | 3 +++
 1 file changed, 3 insertions(+)

commit 82f3ed08b45446a8fcf258a0d2202c18defdcf8f
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Aug 22 10:42:54 2012 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 417
 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 196 insertions(+), 221 deletions(-)

commit 19d7727547d4b4cfcb2ac4468e08692e3b50def9
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Wed Aug 22 14:17:19 2012 +0700

    Updated Vietnamese translation

 po/vi.po | 165
 +++++++++++++++++++++++----------------------------------------
 1 file changed, 61 insertions(+), 104 deletions(-)

commit 17568394a41935c8f6f5c5a2d51f82a4d050441c
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Wed Aug 22 14:07:47 2012 +0700

    po/vi: imported from Damned Lies

 po/vi.po | 3767
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1881 insertions(+), 1886 deletions(-)

commit 03a3caf8fe17f17f335a4dd694b3b4b4826d7dbe
Author: Andika Triwidada <andika@gmail.com>
Date:   Tue Aug 21 15:07:25 2012 +0700

    Updated Indonesian translation

 po/id.po | 458
 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 214 insertions(+), 244 deletions(-)

commit 0506c711929eeb3d507ac08695b81b1f5944b66e
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Aug 20 20:03:20 2012 +0200

    Updated Spanish translation

 po/es.po | 89
 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 45 insertions(+), 44 deletions(-)

commit d790d2d8c593fc7452b6eff800ef72699fdd1afa
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Mon Aug 20 18:31:33 2012 +0200

    Fix missing names in NEWS

    Sorry Laurent... :-)

 NEWS | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a99a2616cec829c2daf36f51f29847995ec23a4b
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Mon Aug 20 18:22:23 2012 +0200

    remove release flag

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3d626e4feadaf6cf3b967a9dc1cf7d7c8b058af2
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Mon Aug 20 18:09:27 2012 +0200

    Prepare 3.5.90

 NEWS         | 25 +++++++++++++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 27 insertions(+), 2 deletions(-)

commit 3c848eaf85eed142872b55fa8cdcc48523562518
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Mon Aug 20 18:01:17 2012 +0200

    Change default to not show offline contacts

    According to Aday it does not scale with new roster view, and we now
    display a msg when no contacts are displayed.

 data/org.gnome.Empathy.gschema.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 547c7e8d49b1e7a6ce0c77fc2b002c64f02fb1d5
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Mon Aug 20 17:58:13 2012 +0200

    EmpathyRosterWindow: Show message when there is no online accounts

    See https://bugzilla.gnome.org/show_bug.cgi?id=656097#c20

 src/empathy-roster-window.c | 25 ++++++++++++++++---------
 1 file changed, 16 insertions(+), 9 deletions(-)

commit bad888152af7f4920001f41ffe069ae56d913dc7
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Mon Aug 20 17:20:02 2012 +0200

    UOA auth handler: Inform SSO when access token didn't work

 libempathy/empathy-sasl-mechanisms.c  |  1 +
 libempathy/empathy-uoa-auth-handler.c | 68
 ++++++++++++++++++++++-------------
 2 files changed, 45 insertions(+), 24 deletions(-)

commit 1bca289287498a3b4b091b074e2ad954dec6b9d2
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Mon Aug 20 13:23:23 2012 +0200

    Telepathy service is "google-talk" not "google"

    https://bugzilla.gnome.org/show_bug.cgi?id=681444

 ubuntu-online-accounts/mc-plugin/mcp-account-manager-uoa.c | 13
 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

commit fea5bd16c2ccd4a20ae43afbfa218227c7d0ef51
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Mon Aug 20 13:33:52 2012 +0200

    [l10n] Updated Italian translation.

 po/it.po | 4892
 ++++++++++++++++++++++++++++----------------------------------
 1 file changed, 2189 insertions(+), 2703 deletions(-)

commit 01cad38fb3649a649999fa5544debb4ba653ec22
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Thu Aug 16 23:39:36 2012 +0200

    Updated Galician translations

 po/gl.po | 214
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 109 insertions(+), 105 deletions(-)

commit e15e002b7371f1491507f984fe0e119b09094250
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Mon Aug 6 15:04:48 2012 +0200

    migrate existing TP accounts to libaccounts

    https://bugzilla.gnome.org/show_bug.cgi?id=680774

 src/empathy-sanity-cleaning.c | 111
 +++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 110 insertions(+), 1 deletion(-)

commit 92ab370c49411dede5d52f402220cc4bb0bd2e68
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Aug 3 14:51:40 2012 +0200

    accounts-dialog: invoke the UOA panel if needed

    https://bugzilla.gnome.org/show_bug.cgi?id=680778

 src/empathy-accounts-dialog.c | 91
 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 91 insertions(+)

commit 1a3c57d235bd751c4e120266cd3f24ad6afd7a8a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Aug 3 14:25:25 2012 +0200

    use empathy_launch_external_app() to launch gnome-contacts

    https://bugzilla.gnome.org/show_bug.cgi?id=680778

 .../empathy-individual-information-dialog.c        | 62
 +++++++---------------
 1 file changed, 18 insertions(+), 44 deletions(-)

commit dd60d75a6811d1a728c290b45de343c84e298a6d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Aug 3 14:12:00 2012 +0200

    empathy_launch_external_app: allow to pass arguments

    https://bugzilla.gnome.org/show_bug.cgi?id=680778

 libempathy-gtk/empathy-ui-utils.c | 33 +++++++++++++++++++--
 libempathy-gtk/empathy-ui-utils.h |  1 +
 src/empathy-accounts-dialog.c     | 61
 ++++-----------------------------------
 3 files changed, 38 insertions(+), 57 deletions(-)

commit f4fc6c6be76bb4cdfb4ebda9ca7de6758f2f18d1
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Aug 3 14:00:48 2012 +0200

    factor out empathy_launch_external_app()

    https://bugzilla.gnome.org/show_bug.cgi?id=680778

 libempathy-gtk/empathy-ui-utils.c | 48
 +++++++++++++++++++++++++++++++++++++++
 libempathy-gtk/empathy-ui-utils.h |  3 +++
 src/empathy-accounts-dialog.c     | 20 ++--------------
 3 files changed, 53 insertions(+), 18 deletions(-)

commit 1f872789f7cba0934744071fa85ad6bd7c35abdc
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Aug 3 13:35:17 2012 +0200

    start_external_app: fix critical warning message

    https://bugzilla.gnome.org/show_bug.cgi?id=680778

 src/empathy-accounts-dialog.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit eb43103198994a09a2f6b4a0508b1c0484e951f2
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Aug 2 16:42:47 2012 +0200

    factor out launch_empathy_accounts()

    https://bugzilla.gnome.org/show_bug.cgi?id=680778

 src/empathy-accounts-dialog.c | 14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

commit 77ea9d56fb15dfd6edb1554ba31c42a7789d62d1
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Thu Aug 9 14:10:59 2012 +0200

    Use TpWeakRef when user_data of an async call is a widget

    Keeping a ref on widgets is not enough to keep it alive, because
    gtk_widget_destroy will run destroy even if there are still refs.

    https://bugzilla.gnome.org/show_bug.cgi?id=680775

 libempathy-gtk/empathy-avatar-chooser.c                     | 13
 ++++++++-----
 .../cc-plugins/app-plugin/empathy-app-plugin-widget.c       | 12
 ++++++++++--
 .../cc-plugins/empathy-accounts-plugin-widget.c             | 12
 ++++++++++--
 3 files changed, 28 insertions(+), 9 deletions(-)

commit d2b704165e9bf015400b72e95d443a67ebc3060e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Aug 9 14:12:17 2012 +0200

    accounts-plugin-widget: only use the simple account widget when
    creating account

    https://bugzilla.gnome.org/show_bug.cgi?id=680775

 ubuntu-online-accounts/cc-plugins/empathy-accounts-plugin-widget.c |
 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 392042f185ccca47df3e7cfd545141de2d322879
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Tue Aug 14 15:30:49 2012 +0200

    "gck/pkcs11.h" is deprecated, must use p11-kit/pkcs11.h now

 tests/mock-pkcs11.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2b6205d456525794c83d17db73b1312287032f0e
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Mon Aug 13 14:10:58 2012 +0530

    Updated kn translation

 po/kn.po | 3946
 ++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 1919 insertions(+), 2027 deletions(-)

commit a5346f80e2d9b5f2fac7909e3688a6ae69d823a8
Merge: 53257c1 91186e9
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Aug 10 17:23:52 2012 +0200

    Merge remote-tracking branch 'burton/aggregator'

commit 91186e9bfcc4dc46d329f18ff0533a6bfff97a65
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Fri Aug 10 15:51:47 2012 +0200

    model-aggregator test app filters on avatar presence

 tests/interactive/test-empathy-roster-model-aggregator.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 53257c1959bb7575cf72868e5ce798f5984d62d8
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Aug 10 15:28:30 2012 +0200

    UOA plugins: link on libempathy as well

    https://bugzilla.gnome.org/show_bug.cgi?id=681598

 ubuntu-online-accounts/cc-plugins/Makefile.am            | 14
 ++++++++++++++
 ubuntu-online-accounts/cc-plugins/app-plugin/Makefile.am |  1 +
 ubuntu-online-accounts/cc-plugins/generate-plugins.py    |  1 +
 3 files changed, 16 insertions(+)

commit 8ace92204ecc0e898ad7286deeb702238b47a8be
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Thu Aug 9 10:54:06 2012 +0200

    Connected notify on individuals to refilter if needed

 libempathy-gtk/empathy-roster-model-aggregator.c | 67
 +++++++++++++++++++-----
 1 file changed, 54 insertions(+), 13 deletions(-)

commit 36bc95461bf7d6e25a04fb759348e1003588f43e
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Fri Aug 10 15:40:05 2012 +0300

    Updated Hebrew translation.

 po/he.po | 403
 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 190 insertions(+), 213 deletions(-)

commit ea38a432ab8e04d155e2d612afcff44c956ad25e
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:   Fri Aug 10 17:18:36 2012 +0530

    Updated Marathi Translations

 po/mr.po | 5620
 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 3211 insertions(+), 2409 deletions(-)

commit ecdeb95cfa385ab0f8b7595a676dc22aecc7a49e
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Thu Aug 9 08:44:19 2012 +0200

    Added filtering function to model-aggregator

 libempathy-gtk/empathy-roster-model-aggregator.c   | 47
 ++++++++++++++++++++--
 libempathy-gtk/empathy-roster-model-aggregator.h   | 15 ++++++-
 .../test-empathy-roster-model-aggregator.c         | 11 ++++-
 3 files changed, 66 insertions(+), 7 deletions(-)

commit 20931fb9fe11ca2b5e1510d14acbd1ea4c886ae5
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Wed Aug 8 15:15:47 2012 +0200

    New test app test-empathy-roster-model-aggregator.c

 tests/interactive/Makefile.am                      |   4 +-
 .../test-empathy-roster-model-aggregator.c         | 151
 +++++++++++++++++++++
 2 files changed, 154 insertions(+), 1 deletion(-)

commit 9282dff7d3ec6f4ba33a2b91fc4d415463503d9a
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Wed Aug 8 15:15:14 2012 +0200

    Implemented _get_groups_for_individual

 libempathy-gtk/empathy-roster-model-aggregator.c | 26
 ++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

commit 9e5365a93f34c68bb3fa4ca41f10ed37b5ded262
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Wed Aug 8 14:46:12 2012 +0200

    New GHashTable individuals and _get_individuals implementation

 libempathy-gtk/empathy-roster-model-aggregator.c | 77
 ++++++++++++++++++++++--
 1 file changed, 71 insertions(+), 6 deletions(-)

commit c2d9e976cd89f923c01eaf3801ff57d85889a57f
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Wed Aug 8 12:29:11 2012 +0200

    Connected the aggregator to individuals-changed signal

 libempathy-gtk/empathy-roster-model-aggregator.c | 39
 ++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

commit 2a819c16c9ecd02c929156be39fa1c994cc907e2
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Wed Aug 8 11:18:38 2012 +0200

    Added new aggregator property in EmpathyRosterModelAggregator

 libempathy-gtk/empathy-roster-model-aggregator.c | 48
 ++++++++++++++++++++----
 libempathy-gtk/empathy-roster-model-aggregator.h |  6 +++
 2 files changed, 47 insertions(+), 7 deletions(-)

commit f7ba567b17c1d0d0cdc5d04e0bca4d2368be75fa
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Wed Aug 8 11:07:20 2012 +0200

    EmpathyRosterModelAggregator implements EmpathyRosterModel iface

 libempathy-gtk/empathy-roster-model-aggregator.c | 19 +++++++++++++++++--
 1 file changed, 17 insertions(+), 2 deletions(-)

commit dd5645c7493ef3abf7787797b576d1ca64f7845f
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Wed Aug 8 10:43:13 2012 +0200

    Coding style fixups

 libempathy-gtk/empathy-roster-model-aggregator.c | 3 ++-
 libempathy-gtk/empathy-roster-model-aggregator.h | 6 ++++--
 2 files changed, 6 insertions(+), 3 deletions(-)

commit c906321a8a61cf8d7a980dd088a751399bc2de7f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Aug 8 10:37:07 2012 +0200

    add empathy-roster-model-aggregator

 libempathy-gtk/Makefile.am                       |   2 +
 libempathy-gtk/empathy-roster-model-aggregator.c | 165
 +++++++++++++++++++++++
 libempathy-gtk/empathy-roster-model-aggregator.h |  74 ++++++++++
 3 files changed, 241 insertions(+)

commit 20f50d596fa827b6d9852c8dc7bc0e8e8ca0af1d
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Wed Aug 8 23:23:10 2012 +0200

    Updated Serbian translation

 po/sr.po       | 5112
 +++++++++++++++++++++++++-------------------------------
 po/sr@latin.po | 5112
 +++++++++++++++++++++++++-------------------------------
 2 files changed, 4530 insertions(+), 5694 deletions(-)

commit 5d374811d9ed9d33fa88301dae51dc2e3368224d
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Wed Aug 8 21:47:50 2012 +0530

    Assamese translation updated

 po/as.po | 3611
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1780 insertions(+), 1831 deletions(-)

commit a96d4b07c725e0532507d688bc548fa007bb2312
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Aug 8 12:10:57 2012 +0200

    keyring: fix format issue

 libempathy/empathy-keyring.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8ad196691413c2b40c525ad3a7335495b7102de3
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Aug 8 12:05:06 2012 +0200

    improve SASL debug output

 libempathy/empathy-sasl-mechanisms.c  | 4 ++++
 libempathy/empathy-uoa-auth-handler.c | 2 ++
 2 files changed, 6 insertions(+)

commit 7b5a073c39fbd8ed38cceb54ecb8f7d60dd45878
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Tue Aug 7 16:44:14 2012 +0200

    Removed now useless _get_top_individuals function in the model

 libempathy-gtk/empathy-roster-model-manager.c |  9 ---------
 libempathy-gtk/empathy-roster-model.c         | 21 ---------------------
 libempathy-gtk/empathy-roster-model.h         |  5 -----
 3 files changed, 35 deletions(-)

commit 44472802c9c232f7ab6639af2e0a88b090016671
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Tue Aug 7 16:28:21 2012 +0200

    Moved _contact_in_top from the model to the view

    empathy-roster-model and empathy-roster-model-manager: removed
    _contact_in_top
    empathy-roster-view: added new function contact_in_top and modified
    functions to use it

 libempathy-gtk/empathy-roster-model-manager.c | 15 -------
 libempathy-gtk/empathy-roster-model.c         | 25 ------------
 libempathy-gtk/empathy-roster-model.h         |  5 ---
 libempathy-gtk/empathy-roster-view.c          | 56
 ++++++++++++++++++---------
 4 files changed, 38 insertions(+), 63 deletions(-)

commit 5ff0b2f71b6516b399deb732bfe0124e32a8a7bf
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Tue Aug 7 11:01:13 2012 +0200

    Added top_group_members list in model, view relying on it

    empathy-roster-model: no longer emits top-individuals and
    favourites-changed signals
    empathy-roster-model-manager: new top_group_members GList with filling
    function. _contact_in_top uses top_group_members. top_group_members
    is modified when top-individuals and
    favourites-changed signals are caught.
    empathy-roster-view: no longer catches top-individuals or
    favourites-changed signals from the model

 libempathy-gtk/empathy-roster-model-manager.c | 125
 +++++++++++++++++++----
 libempathy-gtk/empathy-roster-model.c         |  34 ------
 libempathy-gtk/empathy-roster-model.h         |   7 --
 libempathy-gtk/empathy-roster-view.c          | 142
 +-------------------------
 4 files changed, 110 insertions(+), 198 deletions(-)

commit e50bbed1c0ea00a62e22bd2ace2427fef4d65ada
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Aug 7 12:09:29 2012 +0200

    remove empathy-accounts.desktop

    Now that we have desktop wide UI to configure accounts (GNOME/Ubuntu
    Online
    Accounts) it doesn't make much sense to expose empathy-accounts as
    a separated
    application.

    https://bugzilla.gnome.org/show_bug.cgi?id=662986

 configure.ac                        |  1 -
 data/.gitignore                     |  2 --
 data/Makefile.am                    |  1 -
 data/empathy-accounts.desktop.in.in | 14 --------------
 po/POTFILES.in                      |  1 -
 po/POTFILES.skip                    |  1 -
 6 files changed, 20 deletions(-)

commit 3bf2022584d5c52b5959387fb519ffc50b44ff0e
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Mon Aug 6 19:13:48 2012 +0300

    Updated Greek translation

 po/el.po | 2867
 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 1543 insertions(+), 1324 deletions(-)

commit 7ed629df04d0284da65a82424c8ae0f8d661fddc
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Aug 6 16:54:54 2012 +0200

    remove released flag

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3335eeeb1e9c96bf566498e3206f41e70b81e9a6
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Aug 6 16:47:47 2012 +0200

    fix typo in ubuntu-online-accounts/cc-plugins/app-plugin/Makefile.am

 ubuntu-online-accounts/cc-plugins/app-plugin/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 78cf933ba03eaa12cf69dd0f684c32b4f648b251
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Aug 6 16:34:45 2012 +0200

    prepare 3.5.5

 NEWS         | 34 ++++++++++++++++++++++++++++++++++
 configure.ac |  6 +++---
 2 files changed, 37 insertions(+), 3 deletions(-)

commit 173c39daafca8f712462abc7bbde64a1c269d4a0
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Aug 6 16:27:27 2012 +0200

    Depend on telepathy-glib 0.19.6

    Needed for tp_account_manager_can_set_default()

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 542d2b972846a8ef2f2465393f2e3dfd54472697
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Aug 6 16:01:43 2012 +0200

    accounts-plugin-widget: keep a ref on the 'Done' button

 ubuntu-online-accounts/cc-plugins/empathy-accounts-plugin-widget.c |
 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 10fa43636c077e1d201e43756516be76a210c2aa
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Mon Aug 6 10:24:19 2012 +0200

    Coding style fixups

 libempathy-gtk/empathy-roster-model-manager.c | 6 ++++--
 libempathy-gtk/empathy-roster-model-manager.h | 3 ++-
 libempathy-gtk/empathy-roster-model.c         | 6 ++++--
 libempathy-gtk/empathy-roster-model.h         | 3 ++-
 4 files changed, 12 insertions(+), 6 deletions(-)

commit 2280a10c6084618eb66647d05e3ee800c411c843
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Mon Aug 6 10:19:40 2012 +0200

    Changed some "Return value:" for "Returns:" in gtk-doc annotations

 libempathy-gtk/empathy-roster-model.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2d3fbe98ec0477190f3b7fa7ef23c99eed01045a
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Sat Aug 4 15:42:33 2012 +0200

    Moved the #define'd groups names from view to model

    empathy-roster-model: Added the groups names definitions
    empathy-roster-model-manager: Adapted functions to the new groups
    names
    empathy-roster-view: removed the groups names definitions and adapted
    functions to the new groups names

 libempathy-gtk/empathy-roster-model-manager.c |  5 ++---
 libempathy-gtk/empathy-roster-model.h         |  4 ++++
 libempathy-gtk/empathy-roster-view.c          | 30
 +++++++++++++--------------
 libempathy-gtk/empathy-roster-view.h          |  4 ----
 4 files changed, 21 insertions(+), 22 deletions(-)

commit af7910a9af2984973be248b769d74f09e84822d4
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Sat Aug 4 15:29:46 2012 +0200

    Moved contact_in_top and contact_is_favourite from view to model

    empathy-roster-model: new function _contact_in_top
    empathy-roster-model-manager: implemented _contact_in_top, new
    function contact_is_favourite
    empathy-roster-view: removed contact_in_top and contact_is_favourite
    functions, now calling model's _contact_in_top instead

 libempathy-gtk/empathy-roster-model-manager.c | 32 +++++++++++++++++++++
 libempathy-gtk/empathy-roster-model.c         | 25 ++++++++++++++++
 libempathy-gtk/empathy-roster-model.h         |  7 +++++
 libempathy-gtk/empathy-roster-view.c          | 41
 ++++-----------------------
 4 files changed, 70 insertions(+), 35 deletions(-)

commit b3c361fdca7f6a0bb2a63e676cd0a5d488261127
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Sat Aug 4 14:38:25 2012 +0200

    Removed the manager from the view, relying only on the model

 libempathy-gtk/empathy-roster-view.c              | 31
 ++---------------------
 libempathy-gtk/empathy-roster-view.h              |  7 +----
 nautilus-sendto-plugin/empathy-nautilus-sendto.c  |  6 ++---
 src/empathy-roster-window.c                       |  3 +--
 tests/interactive/test-empathy-dual-roster-view.c |  3 +--
 tests/interactive/test-empathy-roster-view.c      |  2 +-
 6 files changed, 9 insertions(+), 43 deletions(-)

commit 765db7cfd0a0aa7aea9f0f717a7762ad79e14ef9
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Sat Aug 4 13:33:14 2012 +0200

    roster-model now catches notify::favourites-changed

    empathy-roster-model: catches notify::favourites-changed and emits
    favourites-changed
    empathy-roster-model-manager: implemented this
    empathy-roster-view: now catches favourites-changed from the model

 libempathy-gtk/empathy-roster-model-manager.c | 12 ++++++++++++
 libempathy-gtk/empathy-roster-model.c         | 19 +++++++++++++++++++
 libempathy-gtk/empathy-roster-model.h         |  4 ++++
 libempathy-gtk/empathy-roster-view.c          |  4 ++--
 4 files changed, 37 insertions(+), 2 deletions(-)

commit f54a06dcc9682df323ff98bd8e776bf75da950b0
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Sat Aug 4 13:19:44 2012 +0200

    roster-model now catches notify::top-individuals

    empathy-roster-model: catches notify::top-individuals and emits
    top-individuals-changed
    empathy-roster-model-manager: implemented this
    empathy-roster-view: now catches top-individuals-changed from
    the model

 libempathy-gtk/empathy-roster-model-manager.c | 11 +++++++++++
 libempathy-gtk/empathy-roster-model.c         | 14 ++++++++++++++
 libempathy-gtk/empathy-roster-model.h         |  3 +++
 libempathy-gtk/empathy-roster-view.c          |  5 ++---
 4 files changed, 30 insertions(+), 3 deletions(-)

commit 93da7465f929f0cb950adb76e7b645f5ff23f1ad
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Sat Aug 4 12:30:08 2012 +0200

    Added new function _get_top_individuals in the model

    empathy-roster-model: new function _get_top_individuals
    empathy-roster-model-manager: implemented _get_top_individuals
    empathy-roster-view: uses the roster-model's _get_top_individuals
    instead of the individual-manager's

 libempathy-gtk/empathy-roster-model-manager.c |  9 +++++++++
 libempathy-gtk/empathy-roster-model.c         | 21 +++++++++++++++++++++
 libempathy-gtk/empathy-roster-model.h         |  3 +++
 libempathy-gtk/empathy-roster-view.c          |  7 +++----
 4 files changed, 36 insertions(+), 4 deletions(-)

commit e0542a641adc30e04255b1eb561bbcd6e0b17da2
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Sat Aug 4 12:12:30 2012 +0200

    Documented public functions in empathy-roster-model

 libempathy-gtk/empathy-roster-model.c | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit d4b4fb539cc29750527836b87590ff9e215d0b9d
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Fri Aug 3 15:24:26 2012 +0200

    Added test-empathy-dual-roster-view

 tests/interactive/Makefile.am                     |   4 +-
 tests/interactive/test-empathy-dual-roster-view.c | 155
 ++++++++++++++++++++++
 2 files changed, 158 insertions(+), 1 deletion(-)

commit bcbff1934277eeb5f282810784cbddb50222161b
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Sat Aug 4 12:22:07 2012 +0200

    Coding style fixup in empathy-roster-model-manager.c

 libempathy-gtk/empathy-roster-model-manager.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 119351a936be47a235b9fd0d7cce1b73fb8e289e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Aug 2 15:48:38 2012 +0200

    Rely on the empathy factory rather than 're-preparing' the AM

    tp_account_manager_prepare_all_async() seems to be a bad idea so,
    instead,
    let's just rely the empathy factory and set it as default.
    This makes the code much more symetric with empathy-accounts and
    shouldn't
    prepare that much useless features as we are not going to prepare
    the contact
    list anyway.

 .../app-plugin/empathy-app-plugin-widget.c           | 20
 ++------------------
 .../cc-plugins/app-plugin/empathy-app-plugin.c       | 15 +++++++++++++++
 .../cc-plugins/empathy-accounts-plugin-widget.c      | 10 +++-------
 .../cc-plugins/empathy-accounts-plugin.c             | 16
 ++++++++++++++++
 4 files changed, 36 insertions(+), 25 deletions(-)

commit 44982406d7bc6317a7674d21f830ad50ab4f3810
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Aug 2 14:46:25 2012 +0200

    client-factory: add TP_ACCOUNT_FEATURE_STORAGE

    Needed for the Ubuntu Online Accounts plugins.

 libempathy/empathy-client-factory.c | 3 +++
 1 file changed, 3 insertions(+)

commit 3de9dd6a3d2b66049de6ad60c197f548ecd8a1f6
Author: Stef Walter <stefw@gnome.org>
Date:   Fri Jul 13 17:33:12 2012 +0200

    Migrate from libgnome-keyring to libsecret

     * See: https://live.gnome.org/GnomeGoals/LibsecretMigration

    https://bugzilla.gnome.org/show_bug.cgi?id=679884

 configure.ac                 |   4 +-
 libempathy/empathy-keyring.c | 157
 +++++++++++++++----------------------------
 2 files changed, 56 insertions(+), 105 deletions(-)

commit e3228e2389734b25c41e01fb178c69f205216b0e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Aug 3 10:58:36 2012 +0200

    GOA: set param-extra-certificate-identities for Windows live accounts

    Windows live provides a cert for '*.gateway.messenger.live.com'
    instead of 'messenger.live.com'. It's not great from them but best
    to accept
    it than confuse users.

    https://bugzilla.gnome.org/show_bug.cgi?id=681079

 goa-mc-plugin/mcp-account-manager-goa.c | 2 ++
 1 file changed, 2 insertions(+)

commit 7f5ca9dc728bd94a24f89e63a0931af6c382641a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Aug 3 09:36:51 2012 +0200

    goa-auth-handler: pass the data pointer to auth_cb

    We are supposed to use it in this callback, if only to free it,
    so we should
    really pass it as user_data.

    https://bugzilla.gnome.org/show_bug.cgi?id=680952

 libempathy/empathy-goa-auth-handler.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7c54415fc4b9d9751ce2bcadcbd5e53d511ab42c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Aug 3 09:28:49 2012 +0200

    goa-auth-handler: factor out auth_data_new()

    We already have the _free() function and it makes easier to track the
    lifecycle of the struct.

    https://bugzilla.gnome.org/show_bug.cgi?id=680952

 libempathy/empathy-goa-auth-handler.c | 20 ++++++++++++++++----
 1 file changed, 16 insertions(+), 4 deletions(-)

commit 144d0a506e65e57b9a8486af3834067209e5be05
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Thu Aug 2 11:57:12 2012 +0900

    [l10n] Update Japanese translation

    Modify the About label

 po/ja.po | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 5c1ff60ee03e050fe7e1d824ec91dd63cc47613b
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Thu Aug 2 11:55:43 2012 +0900

    [l10n] Update Japanese translation

    Merge latest pot

 po/ja.po | 3991
 +++++++++++++++++++++++++++++---------------------------------
 1 file changed, 1896 insertions(+), 2095 deletions(-)

commit ea43058c150696aa414ca231cb751953b12cf9d7
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Tue Jul 31 01:54:41 2012 +0200

    Updated Galician translations

 po/gl.po | 390
 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 185 insertions(+), 205 deletions(-)

commit a2fd257fb38682ee339ea855c81206297a7a697b
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Jul 30 16:53:00 2012 +0200

    Updated Spanish translation

 po/es.po | 402
 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 191 insertions(+), 211 deletions(-)

commit 5daa04253d2760fcea31a1dc8dda53a212e5b614
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Mon Jul 30 09:03:37 2012 +0200

    libraries and plugins must be using gi18n-lib.h

 goa-mc-plugin/mcp-account-manager-goa.c  | 2 --
 libempathy-gtk/empathy-call-utils.c      | 2 +-
 libempathy-gtk/empathy-contact-chooser.c | 2 +-
 libempathy-gtk/empathy-webkit-utils.c    | 2 +-
 libempathy/empathy-ft-handler.c          | 2 +-
 libempathy/empathy-time.c                | 2 +-
 6 files changed, 5 insertions(+), 7 deletions(-)

commit 37dcd4e5a120fd481a04443af2a0f3ffed8ea084
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Sun Jul 29 13:24:57 2012 +0200

    EmpathyContactWidget: remove all remaining flags

    It can now be used only in one scenario: add a new contact dialog

    https://bugzilla.gnome.org/show_bug.cgi?id=680449

 libempathy-gtk/empathy-contact-widget.c     | 158
 +++++++++-------------------
 libempathy-gtk/empathy-contact-widget.h     |  31 +-----
 libempathy-gtk/empathy-individual-dialogs.c |   6 +-
 3 files changed, 52 insertions(+), 143 deletions(-)

commit bbffdd1e25000b5883adbf788b471efd7ff6af01
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Sun Jul 29 13:19:13 2012 +0200

    EmpathyContactWidget: remove unused flags and dead code

    This widget is used only to add a new contact, all its flexibility
    isn't needed anymore.

    https://bugzilla.gnome.org/show_bug.cgi?id=680449

 libempathy-gtk/empathy-contact-widget.c | 964
 +-------------------------------
 libempathy-gtk/empathy-contact-widget.h |   7 -
 2 files changed, 10 insertions(+), 961 deletions(-)

commit 3d28da17726e7c53e9e2912422f9f1e1fc9b7268
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Thu Jul 26 16:05:21 2012 +0200

    UOA cc plugin: Support editing existing accounts

    https://bugzilla.gnome.org/show_bug.cgi?id=680449

 .../cc-plugins/empathy-accounts-plugin-widget.c    | 89
 ++++++++++++++++++----
 1 file changed, 75 insertions(+), 14 deletions(-)

commit b3a5be48436877d8cf89569b6724db2a5eb45cb5
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Thu Jul 26 14:46:07 2012 +0200

    add empathy-app-plugin-widget

    https://bugzilla.gnome.org/show_bug.cgi?id=680449

 po/POTFILES.in                                     |   1 +
 .../cc-plugins/app-plugin/Makefile.am              |   4 +-
 .../app-plugin/empathy-app-plugin-widget.c         | 320
 +++++++++++++++++++++
 .../app-plugin/empathy-app-plugin-widget.h         |  76 +++++
 .../cc-plugins/app-plugin/empathy-app-plugin.c     |  21 +-
 5 files changed, 419 insertions(+), 3 deletions(-)

commit 671a16046a634beefc524bc24a2e7eebdee480a5
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jul 23 11:15:57 2012 +0200

    add empathy-app-plugin

    https://bugzilla.gnome.org/show_bug.cgi?id=680449

 configure.ac                                       |  8 +++
 ubuntu-online-accounts/cc-plugins/Makefile.am      |  2 +-
 .../cc-plugins/app-plugin/Makefile.am              | 23 +++++++
 .../cc-plugins/app-plugin/empathy-app-plugin.c     | 52 +++++++++++++++
 .../cc-plugins/app-plugin/empathy-app-plugin.h     | 73
 ++++++++++++++++++++++
 .../cc-plugins/generate-plugins.py                 |  2 +-
 6 files changed, 158 insertions(+), 2 deletions(-)

commit 89800f161fb162f30aa4d13d3cb9707b553442fa
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Wed Jul 25 18:20:58 2012 +0200

    UOA accounts plugin widget: tweak styling of the info bar

    https://bugzilla.gnome.org/show_bug.cgi?id=680449

 .../cc-plugins/empathy-accounts-plugin-widget.c    | 42
 ++++++++++++++++------
 1 file changed, 31 insertions(+), 11 deletions(-)

commit 8a684ae6d355e2e266333fb69cd1828d1b9befe0
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Thu Jul 26 14:42:19 2012 +0200

    UOA: fix empathy.application XML indentation

    https://bugzilla.gnome.org/show_bug.cgi?id=680449

 ubuntu-online-accounts/empathy.application | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

commit d4f586e48a04d1b0cf1346c42cba944bfd28a25f
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Sat Jul 28 13:49:18 2012 +0200

    EmpathAccountsDialog: user the new EmpathyUserInfo widget

    https://bugzilla.gnome.org/show_bug.cgi?id=680449

 src/empathy-accounts-dialog.c | 99
 ++++++++++---------------------------------
 1 file changed, 22 insertions(+), 77 deletions(-)

commit ddc1102cb2226a8d68658e483a3b1b0e49a0d33d
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Sat Jul 28 13:47:22 2012 +0200

    EmpathyUserInfo: New widget to edit personal information

    This is a much simplified version of EmpathyContactWidget

    https://bugzilla.gnome.org/show_bug.cgi?id=680449

 libempathy-gtk/Makefile.am         |   2 +
 libempathy-gtk/empathy-user-info.c | 742
 +++++++++++++++++++++++++++++++++++++
 libempathy-gtk/empathy-user-info.h |  76 ++++
 po/POTFILES.in                     |   1 +
 4 files changed, 821 insertions(+)

commit 458a5908af2e98b9ac8abe7263720d0fbac6efcd
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Sat Jul 28 13:37:11 2012 +0200

    EmpathyCalendarButton: Make it work without gtk_widget_show_all

    https://bugzilla.gnome.org/show_bug.cgi?id=680449

 libempathy-gtk/empathy-calendar-button.c | 3 +++
 libempathy-gtk/empathy-contact-widget.c  | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit d869f072f8ae91f3f1f2dffb207d7f96fbb0ce1c
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Fri Jul 27 15:20:16 2012 +0200

    EmpathyAvatarChooser: rebase on TpAccount API

    It can now edit the avatar of a TpAccount passed at construct time.
    The image is taken from the TpAccount directly instead of asking
    the user to set one. This is much more self contained code.

    https://bugzilla.gnome.org/show_bug.cgi?id=680449

 libempathy-gtk/empathy-avatar-chooser.c | 417
 +++++++++++++++++---------------
 libempathy-gtk/empathy-avatar-chooser.h |  18 +-
 2 files changed, 235 insertions(+), 200 deletions(-)

commit 9c9fcb09c9dd2523fc53858d84b44eb19fd1a7bf
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Fri Jul 27 15:16:40 2012 +0200

    EmpathyContactWidget: Stop using EmpathyAvatarChooser

    Changing avatar is only used for editing user's information, and
    it will soon be replaced by a dedicated widget.

    This is done to make easier to change EmpathyAvatarChooser's API
    before
    introducing the new widget.

    https://bugzilla.gnome.org/show_bug.cgi?id=680449

 libempathy-gtk/empathy-contact-widget.c | 109
 +-------------------------------
 libempathy-gtk/empathy-contact-widget.h |   3 -
 src/empathy-accounts-dialog.c           |   6 --
 3 files changed, 1 insertion(+), 117 deletions(-)

commit 4b23cccc6b57759cc17ca493e1153b71f1636c07
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Jul 30 02:45:11 2012 +0200

    Updated Galician translations

 po/gl.po | 2315
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1159 insertions(+), 1156 deletions(-)

commit fbac295f5fbe88225a63191a90fb75a468a37e6d
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sun Jul 29 14:34:38 2012 +0200

    Updated Slovenian translation

 po/sl.po | 3245
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1607 insertions(+), 1638 deletions(-)

commit 0b5c3879651ab419d116f8727d0b01d4e992c9c8
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Sat Jul 28 18:00:31 2012 +0200

    Updated Hungarian translation

 po/hu.po | 12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

commit a281ab982c7f9e6fb685be6ff93dfdb8d0c50d2a
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Sat Jul 28 17:44:28 2012 +0200

    Updated Hungarian translation by Bence Lukacs <lukacs.bence1 at
    gmail dot com>

 po/hu.po | 3308
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1646 insertions(+), 1662 deletions(-)

commit 2a74160a8665c8cca96e1be0211f176d3d4ce1a7
Author: Andika Triwidada <andika@gmail.com>
Date:   Sat Jul 28 19:20:45 2012 +0700

    Updated Indonesian translation

 po/id.po | 3634
 ++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 1781 insertions(+), 1853 deletions(-)

commit 26c0b2e838503006b2d167bf9a24c3509d0bb2b4
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Jul 27 11:32:03 2012 +0200

    Updated Spanish translation

 po/es.po | 2127
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1064 insertions(+), 1063 deletions(-)

commit b082402a4caee3947217a5b16320245d642425d5
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Wed Jul 25 10:05:20 2012 +0200

    Accounts dialog: use external app for readonly UOA accounts

    https://bugzilla.gnome.org/show_bug.cgi?id=680646

 src/empathy-accounts-dialog.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 1fd4799efc2579d109deeb4215afd1b6c3d1e838
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Wed Jul 25 09:35:59 2012 +0200

    UOA mc-plugin: CANNOT_SET_PARAMETERS depends on account's settings

    A special key has been added in .service files of online accounts
    telling its args should be considered readonly. Generic accounts
    (e.g. AIM)
    can still be modified.

    https://bugzilla.gnome.org/show_bug.cgi?id=680646

 .../mc-plugin/mcp-account-manager-uoa.c            | 24
 ++++++++++++++++++++--
 1 file changed, 22 insertions(+), 2 deletions(-)

commit a31a050ccad58fda65c076f370c756c1479a644e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jul 24 15:31:22 2012 +0200

    factor out start_from_desktop_file()

 src/empathy-accounts-dialog.c | 31 +++++++++++++++++--------------
 1 file changed, 17 insertions(+), 14 deletions(-)

commit d6ed1db06563305c839f193251af050cd8fc8111
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Thu Jul 26 15:49:03 2012 +0530

    Updated Gujarati Translations

 po/gu.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit dd8a60e1ba0dfb46972fddc4c0bdd6e7fb4b9813
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Thu Jul 26 14:35:43 2012 +0530

    Updated Gujarati Translations

 po/gu.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 256f5d0ce289f91ad29923ba053bceacbcb8f2a2
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Thu Jul 26 14:32:12 2012 +0530

    Updated Gujarati Translations

 po/gu.po | 3620
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1787 insertions(+), 1833 deletions(-)

commit 60a9031085ca8ae6d24874076312ccd002c15bb5
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Jul 26 10:30:50 2012 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 2096
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1047 insertions(+), 1049 deletions(-)

commit 6c9c9551c2c997492827433d7bf5f87817528cc1
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Tue Jul 24 22:31:28 2012 +0300

    Updated Hebrew translation.

 po/he.po | 2103
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1052 insertions(+), 1051 deletions(-)

commit 0a3c6d0decbf4452429c2e066d01ce046266fa28
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Jul 24 20:19:31 2012 +0200

    Updated POTFILES.in

 po/POTFILES.in | 66
 ++++++++++++++++++++++++++++++----------------------------
 1 file changed, 34 insertions(+), 32 deletions(-)

commit fe0858964f946119e8f985271ab680c5ab4bd667
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Tue Jul 24 18:25:31 2012 +0300

    Updated Greek translation

 po/el.po | 504
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 254 insertions(+), 250 deletions(-)

commit 4cafd4593de5b47d133f8c5437f0c22c67a820c1
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jul 24 11:14:17 2012 +0200

    accounts-plugin-widget: set the right icon name

    We don't want Empathy to use the default icon name.

 ubuntu-online-accounts/cc-plugins/empathy-accounts-plugin-widget.c |
 3 +++
 1 file changed, 3 insertions(+)

commit 05661398f75603bf09a8e7042a3ba8e056a9217f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jul 18 15:44:31 2012 +0200

    account-plugins: implement delete

    https://bugzilla.gnome.org/show_bug.cgi?id=680448

 .../cc-plugins/empathy-accounts-plugin.c           | 30
 +++++++++++++++++++++-
 1 file changed, 29 insertions(+), 1 deletion(-)

commit 3d004d7ebe17b0a139ef38cbd4e5631940210b78
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jul 18 12:48:46 2012 +0200

    Generate plugins for most protocols

    https://bugzilla.gnome.org/show_bug.cgi?id=680448

 ubuntu-online-accounts/cc-plugins/Makefile.am      | 158
 ++++++++++++++++++++-
 .../cc-plugins/generate-plugins.py                 |  13 ++
 .../cc-plugins/providers/Makefile.am               |  15 +-
 .../cc-plugins/providers/aim.provider              |   7 +
 .../cc-plugins/providers/gadugadu.provider         |   7 +
 .../cc-plugins/providers/groupwise.provider        |   7 +
 .../cc-plugins/providers/icq.provider              |   7 +
 .../cc-plugins/providers/irc.provider              |   7 +
 .../cc-plugins/providers/local-xmpp.provider       |   7 +
 .../cc-plugins/providers/mxit.provider             |   7 +
 .../cc-plugins/providers/myspace.provider          |   7 +
 .../cc-plugins/providers/sametime.provider         |   7 +
 .../cc-plugins/providers/sip.provider              |   7 +
 .../cc-plugins/providers/yahoo.provider            |   7 +
 .../cc-plugins/providers/yahoojp.provider          |   7 +
 .../cc-plugins/providers/zephyr.provider           |   7 +
 .../cc-plugins/services/Makefile.am                |  15 +-
 .../cc-plugins/services/aim-im.service             |  18 +++
 .../cc-plugins/services/gadugadu-im.service        |  18 +++
 .../cc-plugins/services/groupwise-im.service       |  18 +++
 .../cc-plugins/services/icq-im.service             |  18 +++
 .../cc-plugins/services/irc-im.service             |  18 +++
 .../cc-plugins/services/local-xmpp-im.service      |  18 +++
 .../cc-plugins/services/mxit-im.service            |  18 +++
 .../cc-plugins/services/myspace-im.service         |  18 +++
 .../cc-plugins/services/sametime-im.service        |  18 +++
 .../cc-plugins/services/sip-im.service             |  18 +++
 .../cc-plugins/services/yahoo-im.service           |  18 +++
 .../cc-plugins/services/yahoojp-im.service         |  18 +++
 .../cc-plugins/services/zephyr-im.service          |  18 +++
 30 files changed, 523 insertions(+), 3 deletions(-)

commit e296ad8a3b6dd5049caa9ea6b739a34d9d16dea6
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jul 18 11:37:04 2012 +0200

    add generate-plugins.py

    Handy script to generate all the boilerplates for each protocol we are
    supporting.

    https://bugzilla.gnome.org/show_bug.cgi?id=680448

 ubuntu-online-accounts/cc-plugins/Makefile.am      |   2 +
 .../cc-plugins/generate-plugins.py                 | 167
 +++++++++++++++++++++
 .../cc-plugins/providers/Makefile.am               |   2 +
 .../cc-plugins/providers/jabber.provider           |   2 +
 .../cc-plugins/services/Makefile.am                |   2 +
 .../cc-plugins/services/jabber-im.service          |   2 +
 6 files changed, 177 insertions(+)

commit 32cbd280f3a2ec826f4d4ae76c99765218014c36
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jul 18 10:12:24 2012 +0200

    Add jabber provider, service and plugin

    https://bugzilla.gnome.org/show_bug.cgi?id=680448

 ubuntu-online-accounts/cc-plugins/Makefile.am            | 11 +++++++++++
 ubuntu-online-accounts/cc-plugins/providers/Makefile.am  |  1 +
 .../cc-plugins/providers/jabber.provider                 |  5 +++++
 ubuntu-online-accounts/cc-plugins/services/Makefile.am   |  1 +
 .../cc-plugins/services/jabber-im.service                | 16
 ++++++++++++++++
 5 files changed, 34 insertions(+)

commit ef6264b648b0ef50f25753cffc64c515494721e7
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jul 13 15:18:39 2012 +0200

    account-plugin-widget: display the top bar and account widget

    https://bugzilla.gnome.org/show_bug.cgi?id=680448

 .../cc-plugins/empathy-accounts-plugin-widget.c    | 197
 ++++++++++++++++++++-
 .../cc-plugins/empathy-accounts-plugin.c           |  17 +-
 2 files changed, 209 insertions(+), 5 deletions(-)

commit 70ea840bfec883f883b748e937e28f68d9f0870f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jul 18 10:11:39 2012 +0200

    Hook cc-plugins to the build system

    https://bugzilla.gnome.org/show_bug.cgi?id=680448

 configure.ac                                            |  3 +++
 ubuntu-online-accounts/Makefile.am                      |  2 +-
 ubuntu-online-accounts/cc-plugins/Makefile.am           | 16
 ++++++++++++++++
 ubuntu-online-accounts/cc-plugins/providers/Makefile.am |  6 ++++++
 ubuntu-online-accounts/cc-plugins/services/Makefile.am  |  6 ++++++
 5 files changed, 32 insertions(+), 1 deletion(-)

commit bc953560bc9db4818874cddd855c5d06241994df
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jul 13 12:32:36 2012 +0200

    add empathy-account-plugin

    https://bugzilla.gnome.org/show_bug.cgi?id=680448

 .../cc-plugins/empathy-accounts-plugin.c           | 69
 +++++++++++++++++++++
 .../cc-plugins/empathy-accounts-plugin.h           | 71
 ++++++++++++++++++++++
 2 files changed, 140 insertions(+)

commit e0edcddf9c31b788844b294aa94b7cd181c6662f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jul 13 12:21:00 2012 +0200

    add account-plugin-widget

    https://bugzilla.gnome.org/show_bug.cgi?id=680448

 .../cc-plugins/empathy-accounts-plugin-widget.c    | 145
 +++++++++++++++++++++
 .../cc-plugins/empathy-accounts-plugin-widget.h    |  76 +++++++++++
 2 files changed, 221 insertions(+)

commit 03e6158d3cfb683e4c837de9c2d54cfe8cb4515a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jul 24 16:14:03 2012 +0200

    remove released flag

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c8b9556a479bf866ef5c76ed175350bf489c7494
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jul 24 16:07:53 2012 +0200

    add empathy.application to EXTRA_DIST

 ubuntu-online-accounts/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit c15b53055ffceebdb4737df52bbf07fa5ee8f519
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jul 24 09:47:30 2012 +0200

    prepare 3.5.4.1

 NEWS         | 22 ++++++++++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 24 insertions(+), 2 deletions(-)

commit 2bacc6bed19b1a8b28f9fcdb4b40a4a273e8b98c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jul 19 11:38:34 2012 +0200

    add empathy.application

 configure.ac                               |  8 ++++++++
 ubuntu-online-accounts/Makefile.am         |  3 +++
 ubuntu-online-accounts/empathy.application | 12 ++++++++++++
 3 files changed, 23 insertions(+)

commit f253f50e656142d48b7feecf2678fa12cc9bf2db
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Sun Jul 8 13:54:08 2012 +0200

    empathy-roster-model-manager: added xmpp-local contacts support
    empathy-roster-view: removed xmpp-local contacts support

    https://bugzilla.gnome.org/show_bug.cgi?id=680302

 libempathy-gtk/empathy-roster-model-manager.c | 33
 +++++++++++++++++++++++++++
 libempathy-gtk/empathy-roster-view.c          | 25 --------------------
 2 files changed, 33 insertions(+), 25 deletions(-)

commit f7200ee068d8f959608521737872254f20c5ee55
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Wed Jul 4 15:29:41 2012 +0200

    empathy-roster-model: New virtual method _get_groups_for_individual
    empathy-roster-model-manager: implemented _get_groups_for_individual
    empathy-roster-view.c: using _get_groups_for_individual

    https://bugzilla.gnome.org/show_bug.cgi?id=680302

 libempathy-gtk/empathy-roster-model-manager.c | 27
 ++++++++++++++++++++++++---
 libempathy-gtk/empathy-roster-model.c         | 14 ++++++++++++++
 libempathy-gtk/empathy-roster-model.h         |  5 +++++
 libempathy-gtk/empathy-roster-view.c          | 22 ++++++++--------------
 4 files changed, 51 insertions(+), 17 deletions(-)

commit 5e102f002d353aceb687f92499635b86a0ba2d9b
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Wed Jul 4 14:59:48 2012 +0200

    empathy-roster-model, empathy-roster-model-manager: Now deals with
    groups-changed signal empathy-roster-view.c: now uses roster-model's
    groups-changed signal

    https://bugzilla.gnome.org/show_bug.cgi?id=680302

 libempathy-gtk/empathy-roster-model-manager.c | 15 +++++++++++++++
 libempathy-gtk/empathy-roster-model.c         | 20 ++++++++++++++++++++
 libempathy-gtk/empathy-roster-model.h         |  5 +++++
 libempathy-gtk/empathy-roster-view.c          |  6 +++---
 4 files changed, 43 insertions(+), 3 deletions(-)

commit 136088b2686da8dc9fca4e3b77faad28e1a873d1
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Mon Jul 23 15:43:19 2012 +0200

    Fix distcheck when doing parallel build

    This makes sure the icones are done (un)installing before
    regenerating the icon cache.

 data/icons/Makefile.am | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 4d3c3a8e211febcbbd71ce451c7eb9cd67eecd85
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Mon Jul 23 15:27:20 2012 +0200

    Do not install MC plugins into MC's prefix

    MC and Empathy could be installed in different prefixes

 configure.ac | 22 +++++++++-------------
 1 file changed, 9 insertions(+), 13 deletions(-)

commit 670aec4ba8b16fbf35afdf65b65c1904872286dc
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jul 23 15:15:20 2012 +0200

    Go back to libgee 0.6.x

    It's not clear if 0.8 will be released for GNOME 3.6 so the release
    team
    prefers to stick with 0.6 for now.

    And yeah, gee-1.0 is the 0.6.x series and gee-0.8 the 0.7.x, nice work
    guys...

    Revert "gee_iterator_first is no more in libgee 0.8"
    This reverts commit 24d30e15b34b654eff96f4a358801290ebe09ec0.

    Revert "libempathy: Port empathy to libgee 0.8."
    This reverts commit d563fa078b2a13b3c06b1de626105e0510568e57.

 configure.ac                               |  2 +-
 libempathy-gtk/empathy-individual-menu.c   |  4 ++--
 libempathy-gtk/empathy-individual-widget.c | 10 ++++++----
 libempathy/empathy-contact.c               |  2 +-
 libempathy/empathy-utils.c                 |  2 +-
 5 files changed, 11 insertions(+), 9 deletions(-)

commit fa8970d7304e81821dd0b1ed6a6704add1904af9
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Mon Jul 16 14:15:45 2012 +0200

    Add Ubuntu Online Accounts auth handler

 configure.ac                          |   2 +
 libempathy/Makefile.am                |  15 ++
 libempathy/empathy-auth-factory.c     |  56 +++++++
 libempathy/empathy-uoa-auth-handler.c | 299
 ++++++++++++++++++++++++++++++++++
 libempathy/empathy-uoa-auth-handler.h |  72 ++++++++
 5 files changed, 444 insertions(+)

commit f32e5ba5af1dfa3a0ceb4fde6e96b31a74b195c5
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Tue Jul 17 19:50:05 2012 +0200

    UOA mc-plugin: Actually implement it

 configure.ac                                       |   3 +-
 .../mc-plugin/mcp-account-manager-uoa.c            | 611
 ++++++++++++++++++++-
 2 files changed, 597 insertions(+), 17 deletions(-)

commit 2f1114d3c1138af06a06ac32af6f55fc10a556f5
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jul 17 17:30:10 2012 +0200

    Make sure we define MISSION_CONTROL_PLUGINS_DIR when building with UOA

 configure.ac | 7 +++++++
 1 file changed, 7 insertions(+)

commit bd30ca4a72d7a44655df45cc2384280e63ada502
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jul 17 17:24:51 2012 +0200

    configure.ac: export a bunch of variables from UOA pc files

 configure.ac | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

commit fb37d92e195871b3e5a485d513bf6a7618a8eb60
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Mon Jul 16 14:51:51 2012 +0200

    Add skeleton of an MC plugin to import Ubuntu Online Accounts

 Makefile.am                                        |   7 +-
 configure.ac                                       |   9 ++
 ubuntu-online-accounts/Makefile.am                 |   2 +
 ubuntu-online-accounts/mc-plugin/Makefile.am       |  19 +++
 .../mc-plugin/mcp-account-manager-uoa.c            | 160
 +++++++++++++++++++++
 .../mc-plugin/mcp-account-manager-uoa.h            |  68 +++++++++
 .../mc-plugin/mission-control-plugin.c             |  47 ++++++
 7 files changed, 311 insertions(+), 1 deletion(-)

commit 8671084e03f71a709b12ba6e813ae77f62cc0732
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jul 12 15:01:39 2012 +0200

    configure: detect if Ubuntu Online Accounts dep is present

 configure.ac | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

commit 1e02bad1344fa4ddc750c95ce6cc135145a1c548
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jul 23 14:09:11 2012 +0200

    coding style fixes

 libempathy-gtk/empathy-roster-view.c | 2 +-
 libempathy/empathy-tp-chat.c         | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 18ded7a66d2b4ee00d5d36ecc7154566c83dce69
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Wed Jul 4 14:06:51 2012 +0200

    empathy-roster-model-manager: deal with members-changed signals
    empathy-roster-view: use empathy-roster-model-manager signals

    https://bugzilla.gnome.org/show_bug.cgi?id=680302

 libempathy-gtk/empathy-roster-model-manager.c | 26 ++++++++++++++++++++
 libempathy-gtk/empathy-roster-view.c          | 35
 +++++++++++----------------
 2 files changed, 40 insertions(+), 21 deletions(-)

commit 87511314e60d6a9c67caaed5d5fd2e3f2f3657c8
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Wed Jul 4 11:59:15 2012 +0200

    empathy-roster-view: start using empathy-roster-model

    https://bugzilla.gnome.org/show_bug.cgi?id=680302

 libempathy-gtk/empathy-roster-view.c             | 27
 +++++++++++++++++++++---
 libempathy-gtk/empathy-roster-view.h             |  4 +++-
 nautilus-sendto-plugin/empathy-nautilus-sendto.c | 10 +++++++--
 src/empathy-roster-window.c                      | 10 ++++++++-
 tests/interactive/test-empathy-roster-view.c     |  8 ++++++-
 5 files changed, 51 insertions(+), 8 deletions(-)

commit 3ba0b1109440fc6b1bd7f196c14aa5fe44ff1884
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Wed Jul 4 11:41:05 2012 +0200

    empathy-roster-model-manager.c: implement
    empathy_roster_model_manager_get_individuals ()

    https://bugzilla.gnome.org/show_bug.cgi?id=679868

    https://bugzilla.gnome.org/show_bug.cgi?id=680302

 libempathy-gtk/empathy-roster-model-manager.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 2a6cc7b7710e6be6416365320a3417f360583af3
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Wed Jul 4 10:54:13 2012 +0200

    empathy-roster-model-manager: Pass an EmpathyIndividualManager to
    EmpathyRosterModelManager

    https://bugzilla.gnome.org/show_bug.cgi?id=680302

 libempathy-gtk/empathy-roster-model-manager.c | 36
 +++++++++++++++++++++------
 libempathy-gtk/empathy-roster-model-manager.h |  4 ++-
 2 files changed, 31 insertions(+), 9 deletions(-)

commit 2e9ea0fb13d570edeca7161d827d8041298c2134
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jul 4 09:43:05 2012 +0200

    roster-model: add API to track individuals

 libempathy-gtk/empathy-roster-model.c | 55
 +++++++++++++++++++++++++++++++++++
 libempathy-gtk/empathy-roster-model.h | 14 +++++++++
 2 files changed, 69 insertions(+)

commit d23e7ebee52c513b98b0b7382a41005c3b084efc
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jul 3 15:49:50 2012 +0200

    add empathy-roster-model-manager

 libempathy-gtk/Makefile.am                    |   2 +
 libempathy-gtk/empathy-roster-model-manager.c | 155
 ++++++++++++++++++++++++++
 libempathy-gtk/empathy-roster-model-manager.h |  73 ++++++++++++
 3 files changed, 230 insertions(+)

commit 0cba1e794967d71172d0d2438fc5ea9f872a52f0
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jul 3 15:22:20 2012 +0200

    add empathy-roster-model

 libempathy-gtk/Makefile.am            |  2 ++
 libempathy-gtk/empathy-roster-model.c | 29 ++++++++++++++++++
 libempathy-gtk/empathy-roster-model.h | 57
 +++++++++++++++++++++++++++++++++++
 3 files changed, 88 insertions(+)

commit b0d6063cf84f1b75d4d1a72f80d2fbe3c900050b
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jul 18 11:03:18 2012 +0200

    add empathy_account_settings_set_storage_provider()

 libempathy/empathy-account-settings.c | 18 ++++++++++++++++++
 libempathy/empathy-account-settings.h |  4 ++++
 2 files changed, 22 insertions(+)

commit 1678eb893efcf00191f3d4c224c2d07c80c093cd
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jul 19 12:39:02 2012 +0200

    Depend on tp-glib 0.19;4

    Needed for tp_account_request_set_storage_provider()

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 34be847fcab2d5f920abf0d109abfbca884f08a7
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jul 18 10:53:46 2012 +0200

    export empathy_account_widget_apply_and_log_in()

 libempathy-gtk/empathy-account-widget.c | 12 +++++-------
 libempathy-gtk/empathy-account-widget.h |  2 ++
 2 files changed, 7 insertions(+), 7 deletions(-)

commit 4c6862e4448b4cb20ca5ab8d6f189adf95214cf9
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jul 19 10:07:43 2012 +0200

    Check for libgee dep

    We are using it directly so should depend on it.

 configure.ac | 1 +
 1 file changed, 1 insertion(+)

commit 24d30e15b34b654eff96f4a358801290ebe09ec0
Author: Alban Browaeys <prahal@yahoo.com>
Date:   Tue Jul 17 07:37:25 2012 +0200

    gee_iterator_first is no more in libgee 0.8

    With folks depending upon libgee-0.8 brealage in empathy arise,
    that is gee_iterator_first is not available.

    https://bugzilla.gnome.org/show_bug.cgi?id=680152

 libempathy-gtk/empathy-individual-menu.c   |  4 ++--
 libempathy-gtk/empathy-individual-widget.c | 10 ++++------
 2 files changed, 6 insertions(+), 8 deletions(-)

commit d563fa078b2a13b3c06b1de626105e0510568e57
Author: Jeremy Whiting <jpwhiting@kde.org>
Date:   Wed Jul 18 11:31:04 2012 -0600

    libempathy: Port empathy to libgee 0.8.

    https://bugzilla.gnome.org/show_bug.cgi?id=680152

 libempathy/empathy-contact.c | 2 +-
 libempathy/empathy-utils.c   | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit b98648af1d450203cd1a59ac45155e93f2216b19
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Wed Jul 18 13:50:46 2012 +0200

    Implement Google X-OAUTH2 SASL mechanism

    https://bugzilla.gnome.org/show_bug.cgi?id=680160

 libempathy/empathy-sasl-mechanisms.c | 38
 ++++++++++++++++++++++++++++++++++++
 libempathy/empathy-sasl-mechanisms.h |  7 +++++++
 2 files changed, 45 insertions(+)

commit 2e74f7c0c092d4930fe690085d76a6fbd7d27e29
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Fri Jul 13 12:05:38 2012 +0200

    Move SASL mechanism implementations into its own file

    We could have other account providers than GOA requiring
    this SASL code.

    https://bugzilla.gnome.org/show_bug.cgi?id=680160

 libempathy/Makefile.am                |   2 +
 libempathy/empathy-auth-factory.c     |   1 +
 libempathy/empathy-goa-auth-handler.c | 171 +++++---------------
 libempathy/empathy-goa-auth-handler.h |   2 +-
 libempathy/empathy-sasl-mechanisms.c  | 293
 ++++++++++++++++++++++++++++++++++
 libempathy/empathy-sasl-mechanisms.h  |  57 +++++++
 libempathy/empathy-utils.c            |  15 --
 libempathy/empathy-utils.h            |   3 -
 8 files changed, 393 insertions(+), 151 deletions(-)

commit 4c7c9410f125620408089ee95a20bd750b055e48
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jul 17 16:14:47 2012 +0200

    empathy: use tp_account_manager_enable_restart()

    If for some reason MC crashes we should restart it right away. Ideally
    this
    should be done by the Shell (#680099) but it's good to have in
    Empathy as
    well.

 src/empathy.c | 2 ++
 1 file changed, 2 insertions(+)

commit 7e7732cf98ba9f60eb95a857178b82a8772cd403
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jul 17 15:04:13 2012 +0200

    remove MC password migration code

    We are shipping this since a bunch of releases so all passwords
    should be
    migrated since a while.
    Furthemore, it may cause issues when the password has been updated
    in Empathy
    but not MC.

    https://bugzilla.gnome.org/show_bug.cgi?id=677180

 libempathy/empathy-account-settings.c | 76
 -----------------------------------
 1 file changed, 76 deletions(-)

commit 8d706a1e765e6bc74ecf7b3855df3fd03b92f62c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jul 12 11:24:44 2012 +0200

    Turn libempathy-gtk to a public lib

    We use "-release" versioning as it's not meant to be used out of
    Empathy's
    tree.

    https://bugzilla.gnome.org/show_bug.cgi?id=679786

 libempathy-gtk/Makefile.am | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 81f91f746010d5b12697818b4f1f9f792ef27320
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jul 12 11:24:44 2012 +0200

    Turn libempathy to a public lib

    We use "-release" versioning as it's not meant to be used out of
    Empathy's
    tree.

    https://bugzilla.gnome.org/show_bug.cgi?id=679786

 libempathy/Makefile.am | 35 +++++++++++++++++++++--------------
 1 file changed, 21 insertions(+), 14 deletions(-)

commit 25b009d1f6a98f230c99f7b0c960c5df1f7d5cde
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jul 17 14:46:39 2012 +0200

    tp-chat: prepare the Password feature if needed

 libempathy/empathy-tp-chat.c | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

commit 36c8a8859e9c22d797be6e70164e84e9dfeb7cf6
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jul 17 13:47:03 2012 +0200

    Revert "tp-chat:requires TP_CHANNEL_FEATURE_PASSWORD"

    This reverts commit 33ad5c340ed97da141c3182051502043a710e92f.

    This is not the right way to fix this bug. If the channel doesn't
    implement
    the Password iface (like in a 1-1 chat) our own tp-chat feature
    is never
    prepared.

 libempathy/empathy-tp-chat.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit a507ac419e482b94c2dd4d0c7ddd3cc67116b6e1
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Fri Jul 13 17:10:50 2012 +0200

    Display the Top Contacts group name above the top contacts even if
    all of them are offline

    https://bugzilla.gnome.org/show_bug.cgi?id=679868

 libempathy-gtk/empathy-roster-view.c | 40
 ++++++++++++++++++------------------
 1 file changed, 20 insertions(+), 20 deletions(-)

commit 33ad5c340ed97da141c3182051502043a710e92f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jul 17 11:15:14 2012 +0200

    tp-chat:requires TP_CHANNEL_FEATURE_PASSWORD

    check_almost_ready() relies on the password feature to be prepared
    so we
    should make sure that tp-glib prepares it for us before starting
    to prepare
    our own feature.

    https://bugzilla.gnome.org/show_bug.cgi?id=680076

 libempathy/empathy-tp-chat.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 7adae1d67fe988e53c85426bbd382da1699260c7
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jul 16 17:15:37 2012 +0200

    remove released flag

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2b7946a29c9d2f38f829e29eb8c452765b1c562e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jul 16 16:59:35 2012 +0200

    prepare 3.5.4

 NEWS         | 38 ++++++++++++++++++++++++++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 40 insertions(+), 2 deletions(-)

commit 15e2a556e3e5c9efadc3153223d17d4cab8597e1
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jul 16 15:28:40 2012 +0200

    Display GOA_PKG_ERRORS if deps are missing

 configure.ac | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 17466e4859d78642ba7f8319a4875cc29c4ca0ba
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Mon Jul 16 14:18:47 2012 +0200

    Fix build warning: A string format is required

 libempathy-gtk/empathy-subscription-dialog.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0751b2d498a4fedde128f9a55bcb89d859794ee3
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jul 16 11:10:57 2012 +0200

    Use new tp_account_* getters

 libempathy-gtk/empathy-individual-store.c            | 4 ++--
 libempathy-gtk/empathy-local-xmpp-assistant-widget.c | 2 +-
 libempathy-gtk/empathy-theme-adium.c                 | 4 ++--
 libempathy/empathy-account-settings.c                | 4 ++--
 libempathy/empathy-contact.c                         | 4 ++--
 src/empathy-accounts-common.c                        | 2 +-
 src/empathy-accounts-dialog.c                        | 4 ++--
 src/empathy-debug-window.c                           | 4 ++--
 src/empathy-new-chatroom-dialog.c                    | 4 ++--
 src/empathy-roster-window.c                          | 4 ++--
 src/empathy-sanity-cleaning.c                        | 2 +-
 11 files changed, 19 insertions(+), 19 deletions(-)

commit 25c022091cf9527a80db041e554e8ec35b131bf2
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jul 16 11:10:19 2012 +0200

    preferences: use the factory to create the TpAccount

    tp_account_new() has been deprecated.

 src/empathy-preferences.c | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit cf41b427508a00295ebbac0d05fbc744f44f8c6a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jul 16 11:10:00 2012 +0200

    Depend on tp-glib 0.19.3

    Needed to fix deprecation warnings.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dd7154f04328775592b0d3206ccc05e83a47ae25
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Sun Jul 15 14:42:22 2012 +0300

    Updated Belarusian translation.

 po/be.po | 1055
 +++++++++++++++++++++++++++++---------------------------------
 1 file changed, 491 insertions(+), 564 deletions(-)

commit fe6e6539e31484f8a4c5ec8b762c1964f59f9ffd
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jul 11 15:30:29 2012 +0200

    chat-window: use self->priv pattern

 src/empathy-chat-window.c | 877
 ++++++++++++++++++++--------------------------
 src/empathy-chat-window.h |   3 +-
 2 files changed, 373 insertions(+), 507 deletions(-)

commit b1d3fec398564d8f4e46daa9e43ec3ccb25805fd
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jul 11 13:54:46 2012 +0200

    chat-window: port to new coding styles

 src/empathy-chat-window.c | 4364
 +++++++++++++++++++++++----------------------
 src/empathy-chat-window.h |   59 +-
 2 files changed, 2265 insertions(+), 2158 deletions(-)

commit cdd2887a1d29b6e8a4489980991dc5283e7065d7
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jul 11 11:50:45 2012 +0200

    new-chatroom-dialog: set default response

    We want to activate the dialog when user hits 'Enter' so he joins
    the room
    right away.

 src/empathy-new-chatroom-dialog.c | 2 ++
 1 file changed, 2 insertions(+)

commit 363703bb5b66dfa167b1f90670fd582678dc2a35
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jul 11 11:02:48 2012 +0200

    remove empathy-contact-dialogs

    https://bugzilla.gnome.org/show_bug.cgi?id=679111

 libempathy-gtk/Makefile.am                |   3 -
 libempathy-gtk/empathy-contact-dialogs.c  | 234
 ------------------------------
 libempathy-gtk/empathy-contact-dialogs.h  |  39 -----
 libempathy-gtk/empathy-contact-dialogs.ui | 121 ---------------
 po/POTFILES.in                            |   2 -
 5 files changed, 399 deletions(-)

commit 1d63b3b7f03ec1508329894ab25113749a8a1403
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jul 11 11:31:46 2012 +0200

    remove useless includes

    https://bugzilla.gnome.org/show_bug.cgi?id=679111

 libempathy-gtk/empathy-subscription-dialog.c | 1 -
 src/empathy-chat-window.c                    | 1 -
 src/empathy-roster-window.c                  | 1 -
 3 files changed, 3 deletions(-)

commit 791b7e8b3d1f67314170bbd743cb253385d937d7
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jul 11 11:30:09 2012 +0200

    individual-menu: use the individual version of the add dialog

    https://bugzilla.gnome.org/show_bug.cgi?id=679111

 libempathy-gtk/empathy-individual-menu.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 15b0acdc8cec7794f1112b243b2fadd3baf6a707
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jul 11 10:47:24 2012 +0200

    log-window: use empathy_display_individual_info()

    https://bugzilla.gnome.org/show_bug.cgi?id=679111

 libempathy-gtk/empathy-log-window.c | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit 634a85b3d20ef79e77069ef93e4c9a6f45a12cf8
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jul 11 10:47:24 2012 +0200

    contact-search-dialog: use empathy_display_individual_info()

    https://bugzilla.gnome.org/show_bug.cgi?id=679111

 libempathy-gtk/empathy-contact-search-dialog.c | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit 3878f8cca1e145e30932823c4ea6d0de1ad4462c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jul 11 10:47:24 2012 +0200

    chat: use empathy_display_individual_info()

    https://bugzilla.gnome.org/show_bug.cgi?id=679111

 libempathy-gtk/empathy-chat.c | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

commit 60e19a5cd6acce9af9b19d013eb396f12ea42abe
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jul 10 16:03:17 2012 +0200

    factor out empathy_display_individual_info()

    It didn't want to put more misc stuffs to ui-utils so used this file.

    https://bugzilla.gnome.org/show_bug.cgi?id=679111

 .../empathy-individual-information-dialog.c        | 138
 +++++++++++++++++++++
 .../empathy-individual-information-dialog.h        |   2 +
 libempathy-gtk/empathy-individual-menu.c           | 128
 +------------------
 3 files changed, 141 insertions(+), 127 deletions(-)

commit 4ded9c80ba7a602cdf7bedc52e6cff57f507f943
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Tue Jul 10 22:52:37 2012 +0300

    Updated Hebrew translation.

 po/he.po | 976
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 487 insertions(+), 489 deletions(-)

commit 181d9742d1159b33dcd5c126cb8593b2e77e0e74
Author: Žygimantas Beručka <uid0@akl.lt>
Date:   Tue Jul 10 19:03:20 2012 +0300

    Updated Lithuanian translation

 po/lt.po | 2972
 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 1579 insertions(+), 1393 deletions(-)

commit 84304062b65b80e20da92939da03e38c6232b87b
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue May 1 12:12:48 2012 +0200

    protocol-chooser: set pixbuf on the cell rather than the icon-name

    https://bugzilla.gnome.org/show_bug.cgi?id=675220

 libempathy-gtk/empathy-protocol-chooser.c | 25 +++++++++++++++++++------
 1 file changed, 19 insertions(+), 6 deletions(-)

commit 4757fce1713fc77538106c26493ba1255617b5cf
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jul 9 12:13:28 2012 +0200

    roster-view: export special group names

    Needed to special case the DnD code.

 libempathy-gtk/empathy-roster-view.c | 37
 ++++++++++++++++++------------------
 libempathy-gtk/empathy-roster-view.h |  4 ++++
 2 files changed, 22 insertions(+), 19 deletions(-)

commit 690d4bb2fb9ec033299a057483019253f859fecb
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jul 5 15:53:47 2012 +0200

    roster-view: add empathy_roster_view_get_group_at_y()

 libempathy-gtk/empathy-roster-view.c | 19 +++++++++++++++++++
 libempathy-gtk/empathy-roster-view.h |  4 ++++
 2 files changed, 23 insertions(+)

commit 276d529fb837238cba3f1f51ba47ec4ec45d90b9
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jul 5 15:52:58 2012 +0200

    add empathy_roster_contact_get_avatar_pixbuf()

 libempathy-gtk/empathy-roster-contact.c | 6 ++++++
 libempathy-gtk/empathy-roster-contact.h | 3 +++
 2 files changed, 9 insertions(+)

commit 20c864a24dce1b0f2781ea1cbbf75ce3d8c34495
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jul 9 10:11:57 2012 +0200

    call-window: use gdk_keyval_to_unicode()

    https://bugzilla.gnome.org/show_bug.cgi?id=679396

 src/empathy-call-window.c | 79
 +++++++++++++----------------------------------
 1 file changed, 22 insertions(+), 57 deletions(-)

commit cc26255d60d53c56e42dffd8094d028d7cde112f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jul 6 15:04:55 2012 +0200

    dialpad-widget: use EmpathyDialpadButton

    This will be needed if we want to stop using GtkButton in order to
    keep the
    key pressed while the keyboard key is.

    Anyway, it's good to have regardeless as that makes the code cleaner.

    https://bugzilla.gnome.org/show_bug.cgi?id=679396

 libempathy-gtk/empathy-dialpad-button.c | 26 +++++++++++++++
 libempathy-gtk/empathy-dialpad-widget.c | 57
 ++++++++++-----------------------
 2 files changed, 43 insertions(+), 40 deletions(-)

commit 086cd424968bc5c4ef97f3b715bd26fd2a46e9ec
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jul 6 14:39:20 2012 +0200

    add empathy-dialpad-button

    https://bugzilla.gnome.org/show_bug.cgi?id=679396

 libempathy-gtk/Makefile.am              |   2 +
 libempathy-gtk/empathy-dialpad-button.c | 202
 ++++++++++++++++++++++++++++++++
 libempathy-gtk/empathy-dialpad-button.h |  85 ++++++++++++++
 3 files changed, 289 insertions(+)

commit ada7b68f30ab88a3f142bf82cac790b98743ef23
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jul 6 14:29:48 2012 +0200

    call-window: allow user to enter dtmf events using his keyboard

    Ideally we should stop sending the DTMF event when the key is released
    but we
    can't easily do that in Gtk+; we'll have to write our own widget.
    I'm going to give it a shot but this is already a nice improvement
    so we
    shouldn't block on it.

    https://bugzilla.gnome.org/show_bug.cgi?id=679396

 src/empathy-call-window.c | 63
 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 63 insertions(+)

commit 761ef25a05361cdc8ec484e12898b3aedda94fe5
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jul 6 14:29:25 2012 +0200

    add empathy_dialpad_widget_press_key()

    https://bugzilla.gnome.org/show_bug.cgi?id=679396

 libempathy-gtk/empathy-dialpad-widget.c | 18 ++++++++++++++++++
 libempathy-gtk/empathy-dialpad-widget.h |  3 +++
 2 files changed, 21 insertions(+)

commit 7a2248d5a003ca685116076abb898857a8b40a60
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jul 6 14:28:32 2012 +0200

    dialpad-widget: store buttons in a hash table

    https://bugzilla.gnome.org/show_bug.cgi?id=679396

 libempathy-gtk/empathy-dialpad-widget.c | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

commit 1eb83c95020a883d01dca4dd09d1cf3e242866c1
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Jul 9 09:40:09 2012 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 938
 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 432 insertions(+), 506 deletions(-)

commit 1c664bed2c3ab4ed1d2763eb80675949a6ff4ca1
Author: A S Alam <aalam@users.sf.net>
Date:   Mon Jul 9 07:10:46 2012 +0530

    Update Punjabi Translation

 po/pa.po | 2531
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1274 insertions(+), 1257 deletions(-)

commit fd3fd34d534510b5a96b7559c0743e9efddb73c2
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Jul 6 12:24:15 2012 +0200

    Updated Spanish translation

 po/es.po | 115
 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 62 insertions(+), 53 deletions(-)

commit 20a4ffc16a3eaf4ea5859ccd3d2f8c1d364441aa
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jun 29 14:35:45 2012 +0200

    individual-widget: don't display unknown presence

    Best to to not show anything than showing we don't know.

    https://bugzilla.gnome.org/show_bug.cgi?id=679136

 libempathy-gtk/empathy-individual-widget.c | 25 ++++++++++++++++++-------
 1 file changed, 18 insertions(+), 7 deletions(-)

commit 7615fb3d04356ebb2155a8e335db6eb995dac66d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jun 29 14:25:39 2012 +0200

    inline block_contact_dialog_show() into subscription-dialog.c

    It's only used there now.

    https://bugzilla.gnome.org/show_bug.cgi?id=679136

 libempathy-gtk/empathy-contact-dialogs.c     | 73
 ---------------------------
 libempathy-gtk/empathy-contact-dialogs.h     |  4 --
 libempathy-gtk/empathy-subscription-dialog.c | 74
 +++++++++++++++++++++++++++-
 3 files changed, 73 insertions(+), 78 deletions(-)

commit 001cd2ec66845de212ecb58c71a8f38e68834bfe
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jun 29 14:21:32 2012 +0200

    remove empathy_subscription_dialog_show()

    https://bugzilla.gnome.org/show_bug.cgi?id=679136

 libempathy-gtk/empathy-contact-dialogs.c | 135
 -------------------------------
 libempathy-gtk/empathy-contact-dialogs.h |   3 -
 2 files changed, 138 deletions(-)

commit b020c790f9d30e23c34bc5a7fec1a4de4c2aa528
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jun 29 14:18:13 2012 +0200

    event-manager: use EmpathySubscriptionDialog

    https://bugzilla.gnome.org/show_bug.cgi?id=679136

 src/empathy-event-manager.c | 15 ++++++++++++---
 1 file changed, 12 insertions(+), 3 deletions(-)

commit 875ec0d10b3042d2c40a7d0f288653adbdc281bf
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jun 29 12:39:32 2012 +0200

    add empathy-subscription-dialog

    This is copied from the similar dialog in empathy-account-dialogs.c
    which I'm
    about to remove.

    https://bugzilla.gnome.org/show_bug.cgi?id=679136

 libempathy-gtk/Makefile.am                   |   2 +
 libempathy-gtk/empathy-subscription-dialog.c | 288
 +++++++++++++++++++++++++++
 libempathy-gtk/empathy-subscription-dialog.h |  75 +++++++
 po/POTFILES.in                               |   1 +
 4 files changed, 366 insertions(+)

commit 408c581426ea8df05cc2b1c1663aa8405334f2ac
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jul 4 15:44:43 2012 +0200

    empathy_adium_path_is_valid: check if the directory has the right
    format

    The Adium spec explicitely says that the root directory of the
    theme should
    end with ".AdiumMessageStyle".

    https://bugzilla.gnome.org/show_bug.cgi?id=679332

 libempathy-gtk/empathy-theme-adium.c | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit 4e532114814f39740a5695c35fc02b465bbce2e1
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jul 4 14:11:09 2012 +0200

    roster-contact: force the size of the avatar

    This ensures that all the contacts are nicely aligned even if they
    have a
    smaller avatar.

 libempathy-gtk/empathy-roster-contact.c | 2 ++
 1 file changed, 2 insertions(+)

commit d3c53c44780da382ed2bf17fbcff9d71b234e48d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jul 4 14:10:20 2012 +0200

    pixbuf_avatar_from_individual_closure_new: use the g_slice allocator

    We are likely to allocate a bunch of those so best to use the g_slice
    allocator.

 libempathy-gtk/empathy-ui-utils.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a86f21ab5cf567281f3e22bfd4409bbfbbcf78e4
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jul 4 13:45:52 2012 +0200

    avatar_icon_load_cb: use gdk_pixbuf_new_from_stream_at_scale()

    Make all this code much simpler.

 libempathy-gtk/empathy-ui-utils.c | 139
 +++++++-------------------------------
 1 file changed, 26 insertions(+), 113 deletions(-)

commit 3cc222d662bc96186bbd19fa75e44ac98e54cbb1
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jul 4 13:45:11 2012 +0200

    ui-utils: factor out pixbuf_round_corners()

 libempathy-gtk/empathy-ui-utils.c | 32 ++++++++++++++++++--------------
 1 file changed, 18 insertions(+), 14 deletions(-)

commit 2f6643d36031df340dc5b154be579d13bc0de58e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jul 4 12:51:00 2012 +0200

    ui-utils: remove unused public functions

 libempathy-gtk/empathy-ui-utils.c | 687
 +-------------------------------------
 libempathy-gtk/empathy-ui-utils.h |  19 --
 2 files changed, 7 insertions(+), 699 deletions(-)

commit 1b476eb4eb43f694bf8e2065b7d8f227af8d66ee
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jul 4 12:19:43 2012 +0200

    ui-utils: port to TP coding style

    Half of this file was already using the new style.

 libempathy-gtk/empathy-ui-utils.c | 3055
 +++++++++++++++++++------------------
 libempathy-gtk/empathy-ui-utils.h |  175 +--
 2 files changed, 1646 insertions(+), 1584 deletions(-)

commit 0c7c2343adf444cdbaf937ac088f9ccc2057a6cc
Author: Frédéric Péters <fpeters@0d.be>
Date:   Wed Jul 4 10:10:29 2012 +0200

    boxes theme: style actions like before

 .../Contents/Resources/Incoming/Content.html       |  2 +-
 .../Contents/Resources/Incoming/NextContent.html   |  2 +-
 .../Contents/Resources/main.css                    | 25
 ++++++++++++++++++++++
 3 files changed, 27 insertions(+), 2 deletions(-)

commit 76028ac5745e8990968d24e7e4fa564d3521ff11
Author: Frédéric Péters <fpeters@0d.be>
Date:   Wed Jul 4 09:52:23 2012 +0200

    classic theme: style action lines like before

 .../Contents/Resources/main.css                    | 22
 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

commit a21e213029f9d31b260d53d453fbbafebfeafe68
Author: Frédéric Péters <fpeters@0d.be>
Date:   Wed Jul 4 09:40:23 2012 +0200

    classic theme: more colour updates

 data/themes/Classic.AdiumMessageStyle/Contents/Resources/main.css |
 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit edfe8cf52156f2957155f110880f619d337d13e5
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Wed Jul 4 03:00:15 2012 +0300

    Updated Greek translations

 help/el/el.po | 3878
 +++++++++++++++++++++++++++++++--------------------------
 po/el.po      |  305 +++--
 2 files changed, 2226 insertions(+), 1957 deletions(-)

commit e5ef72f1a021f01946245641eae2a8e031d79d90
Author: Frédéric Péters <fpeters@0d.be>
Date:   Tue Jul 3 12:43:58 2012 +0200

    classic theme: update with colours from the old theme

    part of https://bugzilla.gnome.org/show_bug.cgi?id=679321

 data/themes/Classic.AdiumMessageStyle/Contents/Resources/main.css |
 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 388c2bb5df92f6f3725755756d8e084b7a6fdbda
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Jul 2 17:28:42 2012 +0200

    Updated Spanish translation

 po/es.po | 430
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 212 insertions(+), 218 deletions(-)

commit 7bba30aceaa023f04a59398697c65fc93dd8e55d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jul 2 15:52:33 2012 +0200

    remove empathy-chat-view

    https://bugzilla.gnome.org/show_bug.cgi?id=679255

 libempathy-gtk/Makefile.am         |   2 -
 libempathy-gtk/empathy-chat-view.c | 275
 -------------------------------------
 libempathy-gtk/empathy-chat-view.h | 128 -----------------
 3 files changed, 405 deletions(-)

commit 4b2e73040c8373a61e578382d79022a4fa57a3ef
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jul 2 15:54:58 2012 +0200

    remove useless chat-view.h includes

    https://bugzilla.gnome.org/show_bug.cgi?id=679255

 libempathy-gtk/empathy-log-window.c | 1 -
 libempathy-gtk/empathy-ui-utils.h   | 2 --
 2 files changed, 3 deletions(-)

commit 87f41f93a0c79b428e0eff6f9f843fce005b82ae
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jul 2 15:40:16 2012 +0200

    Stop using EmpathyChatView

    https://bugzilla.gnome.org/show_bug.cgi?id=679255

 libempathy-gtk/empathy-chat.c          |  66 +++++++--------
 libempathy-gtk/empathy-chat.h          |   4 +-
 libempathy-gtk/empathy-search-bar.c    |  18 ++--
 libempathy-gtk/empathy-search-bar.h    |   4 +-
 libempathy-gtk/empathy-theme-adium.c   | 146
 ++++++++++++---------------------
 libempathy-gtk/empathy-theme-adium.h   |  56 ++++++++++++-
 libempathy-gtk/empathy-theme-manager.c |   5 +-
 libempathy-gtk/empathy-theme-manager.h |   4 +-
 libempathy-gtk/empathy-webkit-utils.c  |   3 +-
 src/empathy-chat-window.c              |   2 +-
 src/empathy-preferences.c              |   8 +-
 11 files changed, 165 insertions(+), 151 deletions(-)

commit 7f2b924f50433a6240bb8feaf95b423cb6124b12
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jul 2 15:21:30 2012 +0200

    theme-adium use self->priv pattern

    https://bugzilla.gnome.org/show_bug.cgi?id=679255

 libempathy-gtk/empathy-theme-adium.c | 334
 ++++++++++++++++-------------------
 libempathy-gtk/empathy-theme-adium.h |   4 +-
 2 files changed, 160 insertions(+), 178 deletions(-)

commit 254c6ef0192ee7bc70530987a5e359cb4a04148c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jul 2 15:09:00 2012 +0200

    theme-adium: port to new coding styles

    Some part of this file was already using the new style so best to stay
    coherent.

    https://bugzilla.gnome.org/show_bug.cgi?id=679255

 libempathy-gtk/empathy-theme-adium.c | 3219
 ++++++++++++++++++----------------
 libempathy-gtk/empathy-theme-adium.h |   88 +-
 2 files changed, 1721 insertions(+), 1586 deletions(-)

commit 234fbbca44a1726a1f150ada54690b1bcf9c010f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jul 2 14:40:43 2012 +0200

    remove empathy-chat-text-view

    In Adium we trust.

    https://bugzilla.gnome.org/show_bug.cgi?id=679255

 libempathy-gtk/Makefile.am              |    2 -
 libempathy-gtk/empathy-chat-text-view.c | 1485
 -------------------------------
 libempathy-gtk/empathy-chat-text-view.h |   88 --
 libempathy-gtk/empathy-theme-manager.c  |    1 -
 po/POTFILES.in                          |    1 -
 5 files changed, 1577 deletions(-)

commit ddb848bbfc956f79171ea141ce6dba6eea484aa7
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jul 2 14:08:01 2012 +0200

    theme-manager: don't leak info is 2 themes have the same name

 libempathy-gtk/empathy-theme-manager.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 82b5dbb25241135989406c6514e0b84184606645
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jul 2 14:07:29 2012 +0200

    Depend on GLib 2.33.3

    Needed for g_list_copy_deep()

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 284ff75925b329b0443338660480d392f53501e1
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jul 2 14:06:58 2012 +0200

    upgrade_chat_theme_settings: use
    empathy_theme_manager_dup_theme_name_from_path()

 src/empathy-sanity-cleaning.c | 18 +++++-------------
 1 file changed, 5 insertions(+), 13 deletions(-)

commit 2b8d7ebbdd40b55b72248c11600cd782d4ac7ab1
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jul 2 14:06:03 2012 +0200

    raise a DEBUG instead of WARNING if we can't find the theme

 libempathy-gtk/empathy-theme-manager.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 38ad4dab9cd3d88a2f05fa7e1a37c74e3d361304
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jul 2 13:50:48 2012 +0200

    no need to call empathy_theme_manager_find_theme() twice

 libempathy-gtk/empathy-theme-manager.c | 11 +++--------
 1 file changed, 3 insertions(+), 8 deletions(-)

commit 9ea865f2b1e420d2a908cd0ac80e0c5d38a7ac4d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jul 2 13:24:03 2012 +0200

    List themes from EMPATHY_SRCDIR as well

 libempathy-gtk/empathy-theme-manager.c | 57
 +++++++++++++++++++++++++++-------
 1 file changed, 45 insertions(+), 12 deletions(-)

commit 9958d658c1c3eb7a4bd81a15a85d5d7658b4d85b
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jul 2 13:00:59 2012 +0200

    change default value of 'theme' key to 'Classic'

    That's the name of the Adium version.

 data/org.gnome.Empathy.gschema.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9b222761cc9995a09f37b7537a12e4955b586323
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jul 2 12:58:56 2012 +0200

    Store the theme name in the 'theme' gsettings key

    The 'adium-path' key is now deprecated as we lookup the theme path
    from its
    name.

 data/org.gnome.Empathy.gschema.xml     |  2 +-
 libempathy-gtk/empathy-theme-manager.c | 47
 +++++++++++++++-------------------
 src/empathy-preferences.c              | 46
 +++++++++++++++++----------------
 src/empathy-sanity-cleaning.c          | 47
 +++++++++++++++++++++++++---------
 4 files changed, 80 insertions(+), 62 deletions(-)

commit 5e112661cca767870225936428515a82b2f6f82c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jul 2 12:57:36 2012 +0200

    add empathy_theme_manager_dup_theme_name_from_path()

 libempathy-gtk/empathy-theme-manager.c | 20 ++++++++++++++++++++
 libempathy-gtk/empathy-theme-manager.h |  2 ++
 2 files changed, 22 insertions(+)

commit 74895e8b815cbed7a041fcbc8e3234ae6df102ae
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jul 2 11:22:29 2012 +0200

    theme-manager: use self->priv pattern

 libempathy-gtk/empathy-theme-manager.c | 118
 +++++++++++++++------------------
 libempathy-gtk/empathy-theme-manager.h |   3 +-
 2 files changed, 55 insertions(+), 66 deletions(-)

commit 6c5c16265b6a862e3903e051cc251dab3c82d20d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jul 2 11:13:52 2012 +0200

    theme-manager: port to new coding style

 libempathy-gtk/empathy-theme-manager.c | 524
 +++++++++++++++++----------------
 libempathy-gtk/empathy-theme-manager.h |  53 ++--
 2 files changed, 308 insertions(+), 269 deletions(-)

commit 193da58c9a4d7f6fc9ecb17b1d09c3a8fff56cdd
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jul 2 10:52:46 2012 +0200

    theme-manager: remove useless code

    None of this is still used.

 libempathy-gtk/empathy-theme-manager.c | 16 ----------------
 libempathy-gtk/empathy-theme-manager.h |  1 -
 2 files changed, 17 deletions(-)

commit 2daf6b4066dbde6fdcaa3aee6d85d67f3353bfac
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jul 2 10:32:01 2012 +0200

    move theme migration code to sanity-cleaning.c

    That's where this kind of code is meant to be.

 libempathy-gtk/empathy-theme-manager.c | 40 -----------------------------
 src/empathy-sanity-cleaning.c          | 46
 +++++++++++++++++++++++++++++++++-
 2 files changed, 45 insertions(+), 41 deletions(-)

commit fa00d369ea01b464f62a7835e8f61d65f94bc29f
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:   Fri Jun 29 14:14:45 2012 +1000

    theme-manager: we can now look up themes in the path

 libempathy-gtk/empathy-theme-manager.c | 11 ++---------
 1 file changed, 2 insertions(+), 9 deletions(-)

commit 518d54667e1934f0e339e3368d77cfc953a34314
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:   Fri Jun 29 14:12:14 2012 +1000

    theme-manager: make it possible to look up theme by name

 libempathy-gtk/empathy-theme-adium.c   |  3 ++
 libempathy-gtk/empathy-theme-manager.c | 67
 +++++++++++++++++++++++++++++++++-
 libempathy-gtk/empathy-theme-manager.h |  1 +
 3 files changed, 69 insertions(+), 2 deletions(-)

commit f433b0821c24fc7382bd289f2246b7b1e2039106
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:   Mon Jun 25 15:15:48 2012 +1000

    Remove old themes from POTFILES.in

 po/POTFILES.in | 2 --
 1 file changed, 2 deletions(-)

commit 2bdbb3de1b5fda8f230ad144e8248472321920f1
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:   Fri Jun 22 17:53:02 2012 +1000

    theme-manager: automatically migrate from legacy themes to Adium
    themes

    Because Adium themes are saved by path (urgh), adding a legacy theme
    called 'gnome' which can be used to set the default theme.

 libempathy-gtk/empathy-theme-manager.c | 47
 ++++++++++++++++++++++++++++++++++
 1 file changed, 47 insertions(+)

commit 4a3ff2e68eb3c17488f9a12587b7e9eb95a51645
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:   Thu Jun 21 13:04:19 2012 +1000

    Bring back 'theme' key

    We need it for migrating the settings to Adium-only

 data/org.gnome.Empathy.gschema.xml | 5 +++++
 libempathy/empathy-gsettings.h     | 1 +
 2 files changed, 6 insertions(+)

commit 10fc10c0be71a31064298776b7d1abc412157dc8
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:   Wed Jun 20 20:14:39 2012 +1000

    theme-manager: clean up memory releasing

 libempathy-gtk/empathy-theme-manager.c | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit a743a48fa1d0f21882d6274f157310614182a431
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:   Wed Jun 20 20:14:26 2012 +1000

    Rename 'Classic WK' to 'Classic'

 data/themes/Classic.AdiumMessageStyle/Contents/Info.plist | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c7d5d6d78773d9e7cd933b326e7566a072b655d9
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:   Wed Jun 20 19:42:22 2012 +1000

    Remove legacy themes code

 data/org.gnome.Empathy.gschema.xml     |   5 -
 libempathy-gtk/Makefile.am             |   4 -
 libempathy-gtk/empathy-theme-boxes.c   | 426
 ---------------------------------
 libempathy-gtk/empathy-theme-boxes.h   |  61 -----
 libempathy-gtk/empathy-theme-irc.c     | 143 -----------
 libempathy-gtk/empathy-theme-irc.h     |  62 -----
 libempathy-gtk/empathy-theme-manager.c | 374
 +----------------------------
 libempathy/empathy-gsettings.h         |   1 -
 src/empathy-preferences.c              |  56 +----
 9 files changed, 13 insertions(+), 1119 deletions(-)

commit 7f6f5faf1a3ac7109b690d33555c54db05a692fe
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:   Mon Jun 18 14:31:14 2012 +1000

    Add Planet GNOME chat theme

 data/themes/Makefile.am                            |  13 +++
 .../Contents/Info.plist                            |  41 ++++++++
 .../Contents/Resources/Images/corners.png          | Bin 0 -> 806 bytes
 .../Contents/Resources/Images/horizontal.png       | Bin 0 -> 280 bytes
 .../Contents/Resources/Images/nipple.png           | Bin 0 -> 528 bytes
 .../Contents/Resources/Images/vertical.png         | Bin 0 -> 151 bytes
 .../Contents/Resources/Incoming/Content.html       |  19 ++++
 .../Contents/Resources/Incoming/NextContent.html   |   4 +
 .../Contents/Resources/Status.html                 |   5 +
 .../Contents/Resources/main.css                    | 108
 +++++++++++++++++++++
 10 files changed, 190 insertions(+)

commit 3a8ab7a8bba633232ea9c335f8698ded5f763c17
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:   Mon Jun 18 11:07:41 2012 +1000

    Add 'Classic' theme

    Currently called 'Classic WK' until the old theme is removed.

 .../Classic.AdiumMessageStyle/Contents/Info.plist  | 41
 ++++++++++++++++++++++
 .../Contents/Resources/Content.html                |  5 +++
 .../Contents/Resources/Status.html                 |  5 +++
 .../Contents/Resources/main.css                    | 31 ++++++++++++++++
 data/themes/Makefile.am                            | 10 +++++-
 5 files changed, 91 insertions(+), 1 deletion(-)

commit 7aaacb249dd73f815c028ce0b5a3ec5ca783f69b
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:   Mon Jun 18 10:46:02 2012 +1000

    Install Boxes theme

    Uninstall needs work. Why is Automake so bad with directories?

 configure.ac            |  1 +
 data/Makefile.am        |  2 +-
 data/themes/Makefile.am | 35 +++++++++++++++++++++++++++++++++++
 3 files changed, 37 insertions(+), 1 deletion(-)

commit b4228fb1ec2180ae7e7df789df0287c67958c9ec
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:   Sun Jun 17 16:40:16 2012 +1000

    Add Boxes as an Adium theme with variants Clean, Simple and Blue

    https://bugzilla.gnome.org/show_bug.cgi?id=645921

 .../Boxes.AdiumMessageStyle/Contents/Info.plist    | 41 ++++++++++++++++
 .../Contents/Resources/Incoming/Content.html       | 11 +++++
 .../Contents/Resources/Incoming/NextContent.html   |  4 ++
 .../Contents/Resources/Status.html                 |  5 ++
 .../Contents/Resources/Variants/Blue.css           |  9 ++++
 .../Contents/Resources/Variants/Clean.css          |  5 ++
 .../Contents/Resources/Variants/Simple.css         |  6 +++
 .../Contents/Resources/main.css                    | 55
 ++++++++++++++++++++++
 8 files changed, 136 insertions(+)

commit 04d6f19f37961b2c6b866559eeae7cdad1068e16
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Sat Jun 30 22:56:24 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 2419
 ++++++++++++++++++++++++++++++----------------------------
 po/zh_TW.po | 2441
 +++++++++++++++++++++++++++++++----------------------------
 2 files changed, 2553 insertions(+), 2307 deletions(-)

commit a711c1e353bc84a0e97652fb22d39e34bd729f4e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jun 28 11:07:37 2012 +0200

    accounts-dialog: don't show the avatar button if avatars are not
    supported

    https://bugzilla.gnome.org/show_bug.cgi?id=627948

 src/empathy-accounts-dialog.c | 17 ++++++++++++-----
 1 file changed, 12 insertions(+), 5 deletions(-)

commit 847a2ea867f4006e75ee26ba16cc96ba6b26a5ed
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Wed Jun 27 10:43:21 2012 +0100

    Boxes theme: implement set_show_avatars

    https://bugzilla.gnome.org/show_bug.cgi?id=627948

 libempathy-gtk/empathy-theme-boxes.c | 25 ++++++++++++++++++++++---
 1 file changed, 22 insertions(+), 3 deletions(-)

commit db4d1607aa0ee6988399f99efc09bed5e7133dc8
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Wed Jun 27 10:42:56 2012 +0100

    Adium themes: implement set_show_avatars()

    https://bugzilla.gnome.org/show_bug.cgi?id=627948

 libempathy-gtk/empathy-theme-adium.c | 19 ++++++++++++++++---
 1 file changed, 16 insertions(+), 3 deletions(-)

commit 13a16f024f65bdfd899298d0278e0166ca781e7e
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Wed Jun 27 10:40:52 2012 +0100

    EmpathyChat: tell view to show/hide avatars based on connection
    interfaces

    I believe that by the time we get here the EmpathyTpChat's
    TpConnection
    should be prepared enough to know its interfaces? It seems to be in my
    brief testing.

    https://bugzilla.gnome.org/show_bug.cgi?id=627948

 libempathy-gtk/empathy-chat.c | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 36dc0639473930ac596bdbf08f6ea0a6a8471f7c
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Wed Jun 27 10:29:16 2012 +0100

    EmpathyChatView: add vfunc for showing/hiding avatars

    https://bugzilla.gnome.org/show_bug.cgi?id=627948

 libempathy-gtk/empathy-chat-view.c | 20 ++++++++++++++++++++
 libempathy-gtk/empathy-chat-view.h |  4 ++++
 2 files changed, 24 insertions(+)

commit 539cd8f46f384fd209f6f87aa1e1add2d8197436
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Mon Jun 25 16:31:00 2012 +0200

    empathy-nautilus-sendto now uses a RosterView instead of
    EmpathyContactChooser

    https://bugzilla.gnome.org/show_bug.cgi?id=678875

 nautilus-sendto-plugin/empathy-nautilus-sendto.c | 56
 +++++++++++++++++-------
 1 file changed, 40 insertions(+), 16 deletions(-)

commit dfa4c7069189ead061488b3057fd56f86f6d89a2
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jun 27 16:05:02 2012 +0200

    factor out empathy_chat_copy()

    Much easier to understand its logic that way.

 libempathy-gtk/empathy-chat.c | 95
 ++++++++++++++++++++++++++-----------------
 1 file changed, 58 insertions(+), 37 deletions(-)

commit a4f0fc24f06f82f4792836e8e37c5d9d97e92f07
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jun 27 15:37:08 2012 +0200

    build nautilus-sendto plugin with ERROR_CFLAGS

 nautilus-sendto-plugin/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit c3c7502b206eb550c08e8a9271a4087d855038df
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jun 27 11:05:18 2012 +0200

    tp-chat: stop setting the TpAccount during construction

    It doesn't have to be a property any more, we can just get it from the
    TpConnection when we need it.

    Should fix a race crash when the TpAccount of the TpConnection is
    not set yet;
    see fdo#51444.

    https://bugzilla.gnome.org/show_bug.cgi?id=678807

 libempathy/empathy-client-factory.c |  6 +----
 libempathy/empathy-tp-chat.c        | 46
 ++++++++-----------------------------
 libempathy/empathy-tp-chat.h        |  1 -
 3 files changed, 10 insertions(+), 43 deletions(-)

commit 81a65a9ab520396d5ba6eb4085b4ab653bec547c
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Wed Jun 27 11:23:11 2012 +0200

    Added new function to get selected individual

    https://bugzilla.gnome.org/show_bug.cgi?id=678875

 libempathy-gtk/empathy-roster-view.c | 13 +++++++++++++
 libempathy-gtk/empathy-roster-view.h |  2 ++
 2 files changed, 15 insertions(+)

commit 81a7652d19e8921b233f53f21cd14655a567bab4
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jun 26 09:22:15 2012 +0200

    egg-list-box: update to master

 libempathy-gtk/egg-list-box | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e4f305a86101b8f03a561a2ae4057a1eed386685
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Tue Jun 26 10:08:51 2012 +0100

    Strip %senderPrefix% in Adium themes

    %senderPrefix% is not documented on
    <http://trac.adium.im/wiki/CreatingMessageStyles> but it's used in
    minimal_mod, the theme I use, in the tooltips for each speaker's name.
    Based on <http://hg.adium.im/adium/rev/b586b027de42>, it's supposed to
    be the IRC mode character (@, +, whatever). We don't have that
    information, so just get rid of it.

    https://bugzilla.gnome.org/show_bug.cgi?id=678845

 libempathy-gtk/empathy-theme-adium.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit e321ce903efb091607161093ec490a8e22129059
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jun 22 10:07:59 2012 +0200

    roster-window: allow to send files using DnD

    https://bugzilla.gnome.org/show_bug.cgi?id=678524

 src/empathy-roster-window.c | 170
 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 170 insertions(+)

commit 3a0dc8812d6c720499e34882b499f1cd9447c57c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jun 22 09:40:15 2012 +0200

    roster-view: export empathy_roster_view_get_individual_at_y()

    https://bugzilla.gnome.org/show_bug.cgi?id=678524

 libempathy-gtk/empathy-roster-view.c | 31 ++++++++++++++++++++++++-------
 libempathy-gtk/empathy-roster-view.h |  5 +++++
 2 files changed, 29 insertions(+), 7 deletions(-)

commit 9b18c84ccde2ff7231baddab7dd53403fc4df2d9
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jun 21 12:42:52 2012 +0200

    ft-factory: ensure that the factory stays alive while
    empathy_ft_handler_new_outgoing() is running

    https://bugzilla.gnome.org/show_bug.cgi?id=678524

 libempathy/empathy-ft-factory.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 8d84c1728f9b1e5e41a281b6e8b1ee12020e18b0
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jun 25 15:16:07 2012 +0200

    chat-window: disable file transfer DnD

    It's not supported at the moment.

    https://bugzilla.gnome.org/show_bug.cgi?id=678331

 src/empathy-chat-window.c | 2 ++
 1 file changed, 2 insertions(+)

commit 13d6036bb4dd8adb673bd82a591fe1bbc449ca96
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jun 25 15:08:56 2012 +0200

    don't display 'Send file' menu item in empathy-chat

    We only support requesting FT channel in the same process as the
    FT handler.

    https://bugzilla.gnome.org/show_bug.cgi?id=678331

 libempathy-gtk/empathy-individual-menu.c | 20 +++++++++++++-------
 libempathy-gtk/empathy-individual-menu.h |  1 +
 src/empathy-roster-window.c              |  3 ++-
 3 files changed, 16 insertions(+), 8 deletions(-)

commit e5342c2b0a781f5ba46060bf56829fb6d308663d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jun 26 09:47:56 2012 +0200

    remove released flag

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cd175ba82376f368eca422abef56c41dbf6e60c7
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jun 26 09:37:54 2012 +0200

    prepare 3.5.3

 NEWS         | 41 +++++++++++++++++++++++++++++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 43 insertions(+), 2 deletions(-)

commit 95cd25e0c38705b3b315ab420766c99a558ef232
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jun 26 09:22:15 2012 +0200

    egg-list-box: update to master

 libempathy-gtk/egg-list-box | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit aa33d4625373bb4a2287c0b25f96462e2a3908e8
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Jun 25 00:03:24 2012 +0200

    Updated Galician translations

 po/gl.po | 752
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 371 insertions(+), 381 deletions(-)

commit ce34277281fa2ca20bd5f7e9722765bb1d3944a8
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Fri Jun 22 13:54:35 2012 +0300

    Updated Greek translation

 po/el.po | 1181
 +++++++++++++++++++++++++-------------------------------------
 1 file changed, 471 insertions(+), 710 deletions(-)

commit 22be0c89b17bdcb6d741bdbb2093e25506b29353
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Fri Jun 22 09:31:06 2012 +0200

    Updated Slovenian translation

 po/sl.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit d3d7a1fe65c052e9187b4603171198aa373f4d0b
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Tue Jun 19 16:20:29 2012 +0200

    Create and use People Nearby group

    https://bugzilla.gnome.org/show_bug.cgi?id=678156

 libempathy-gtk/empathy-roster-view.c | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

commit 333e6efdcfc018ee6db2db27e7c05ede30974a11
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jun 19 16:38:40 2012 +0200

    coding style fixes

 libempathy-gtk/empathy-roster-view.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 1deafc0cb7df9ace28a4a4652d2ce7fc9acde116
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jun 19 16:04:44 2012 +0200

    widget-irc: don't check 'username' using a regexp

    It's an optional parameter so can be not set.

    https://bugzilla.gnome.org/show_bug.cgi?id=678307

 libempathy-gtk/empathy-account-widget.c | 11 -----------
 1 file changed, 11 deletions(-)

commit 86bbf6fce421a5ded5065c39f28849045392a402
Author: Laurent Contzen <lcontzen@gmail.com>
Date:   Tue Jun 19 14:44:17 2012 +0200

    If group is UNGROUPED, display at the bottom of the roster

    https://bugzilla.gnome.org/show_bug.cgi?id=678376

 libempathy-gtk/empathy-roster-view.c | 5 +++++
 1 file changed, 5 insertions(+)

commit b7d71d0633ae264acb5b3070d0f318b356f6cabc
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jun 19 11:43:08 2012 +0200

    roster-view: add_to_displayed: no need to try refiltering groups in
    non group mode

    https://bugzilla.gnome.org/show_bug.cgi?id=678205

 libempathy-gtk/empathy-roster-view.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 947941331f01e77ce83baa623e4a15b081d8cd1a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jun 19 11:40:19 2012 +0200

    roster-view: add_to_displayed: get the proper EmpathyRosterGroup
    object

    The contacts hash table is a group-name => EmpathyRosterContact
    mapping. We
    need to use the self->priv->roster_groups hash to get the
    EmpathyRosterGroup
    object which is the one we want to refilter.

    https://bugzilla.gnome.org/show_bug.cgi?id=678205

 libempathy-gtk/empathy-roster-view.c | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

commit c977e894c549b8bb146e23dd5ce88509a30c96cd
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jun 18 13:15:17 2012 +0200

    roster-view: use a signal instead of a cb to handle individual
    tooltips

    https://bugzilla.gnome.org/show_bug.cgi?id=678294

 libempathy-gtk/empathy-roster-view.c         | 29
 ++++++++++------------------
 libempathy-gtk/empathy-roster-view.h         | 11 -----------
 src/empathy-roster-window.c                  |  9 ++++-----
 tests/interactive/test-empathy-roster-view.c |  7 ++++---
 4 files changed, 18 insertions(+), 38 deletions(-)

commit aac60300edfcb929acca9e4fc59cdb5803eecc30
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jun 18 12:17:33 2012 +0200

    roster-window: display individual tooltips

    I re-used the same code as in EmpathyIndividualView.

    https://bugzilla.gnome.org/show_bug.cgi?id=678294

 src/empathy-roster-window.c | 50
 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 50 insertions(+)

commit 5a535ee7a9d488a608e7934839fa989b804f9577
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jun 18 11:26:48 2012 +0200

    empathy_roster_view_query_tooltip: set the tooltip next to the
    right child

    This ensures that the tooltip is always displayed next to the
    correct row.

    https://bugzilla.gnome.org/show_bug.cgi?id=678294

 libempathy-gtk/empathy-roster-view.c | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

commit 43a7d1f1143b857de2ebcccd19286cca8495788b
Author: Seif Lotfy <seif@lotfy.com>
Date:   Mon Jun 18 12:46:37 2012 +0200

    Add heuristic to calculate individuals popularity

    https://bugzilla.gnome.org/show_bug.cgi?id=678083

 libempathy/empathy-individual-manager.c | 44
 +++++++++++++++++++++++++++++----
 1 file changed, 39 insertions(+), 5 deletions(-)

commit 5292eef36b1cd080a7b3f3694fb1628ab74b7b64
Author: Seif Lotfy <seif@lotfy.com>
Date:   Sun Jun 17 00:14:17 2012 +0200

    Show Popular contacts in the "Top Contacts" group

    https://bugzilla.gnome.org/show_bug.cgi?id=678083

 libempathy-gtk/empathy-roster-view.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 8bcfaf8f90a53ea4cd5fd92937aab8d313e373cb
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jun 18 10:58:36 2012 +0200

    roster-view: select the child when firing the popup menu

    It's a bit weird to have the popup being open without knowing for
    sure which
    contact it's referring to.

 libempathy-gtk/empathy-roster-view.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 00a6f4588e7c564ff5a4a0a5aa6650775532f701
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jun 14 11:36:46 2012 +0200

    individual-manager: document that individuals_pop ref its content

    https://bugzilla.gnome.org/show_bug.cgi?id=677940

 libempathy/empathy-individual-manager.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 35dfc34fc41a8150b9d66d3bbbbc7414e9cb3699
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jun 14 11:30:18 2012 +0200

    individual-manager: document individual_notify_im_interaction_count()

    https://bugzilla.gnome.org/show_bug.cgi?id=677940

 libempathy/empathy-individual-manager.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 7a5547dfa849ca3df4be23e83643c91d9069cabf
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jun 14 11:01:13 2012 +0200

    Revert "individual-manager: comment out interaction code"

    This reverts commit 7f8fe5091b7a980133c0c3d1285cb718f8772142.

    https://bugzilla.gnome.org/show_bug.cgi?id=677940

 libempathy/empathy-individual-manager.c | 9 ---------
 1 file changed, 9 deletions(-)

commit 4356553d231eba93e566913f926387213cb88036
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jun 18 10:30:50 2012 +0200

    depends on Folks 0.7.1

    Needed for the interaction count API.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 74d098cd8894f72321237e120267a5ec3f188b3f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jun 15 16:59:27 2012 +0200

    Use audio-input-microphone-muted-symbolic when the mic is muted

    It's clearer that way.

    https://bugzilla.gnome.org/show_bug.cgi?id=678167

 libempathy-gtk/empathy-images.h |  2 ++
 src/empathy-call-window.c       | 39
 +++++++++++++++++++++++++++++----------
 src/empathy-call-window.ui      |  3 +--
 3 files changed, 32 insertions(+), 12 deletions(-)

commit 22e50a5e325426d739ce11a63d1772b85285ecc8
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jun 15 16:59:05 2012 +0200

    add empathy_audio_src_set_mute()

    https://bugzilla.gnome.org/show_bug.cgi?id=678167

 src/empathy-audio-src.c | 9 +++++++++
 src/empathy-audio-src.h | 3 +++
 2 files changed, 12 insertions(+)

commit f7278051ee030397abb43a4e652b870865789d17
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Jun 15 14:12:05 2012 +0200

    Updated Spanish translation

 po/es.po | 755
 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 357 insertions(+), 398 deletions(-)

commit 9ef2bba7ca3fe048cc637b64613e8a574f516dc7
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jun 13 09:59:13 2012 +0200

    Don't show groups by default

    The new design is less groups oriented. Users can easly get them
    back using
    the preferences dialog.

    https://bugzilla.gnome.org/show_bug.cgi?id=677949

 data/org.gnome.Empathy.gschema.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 52189008475461e67cc43d9fb6eef7eeea5d3529
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jun 13 09:57:43 2012 +0200

    preferences: add UI to show/hide groups

    I'm about to change the default to not show groups, so users should
    have an
    easy way to get them back.
    I just removed a bunch of options from the preferences dialog so at
    the end it
    will still be simpler than it used to be.

    https://bugzilla.gnome.org/show_bug.cgi?id=677949

 src/empathy-preferences.c  |  2 ++
 src/empathy-preferences.ui | 16 ++++++++++++++++
 2 files changed, 18 insertions(+)

commit a27a6f8621c1f054c39e0ee1c0b8334434b10c97
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jun 13 09:45:28 2012 +0200

    remove deprecated gsettings keys

    Those are not supported by the new roster UI and so can be removed.

    https://bugzilla.gnome.org/show_bug.cgi?id=677949

 data/empathy.convert               |  7 ----
 data/org.gnome.Empathy.gschema.xml | 26 -------------
 libempathy/empathy-gsettings.h     |  6 ---
 src/empathy-preferences.c          | 45 -----------------------
 src/empathy-preferences.ui         | 75
 --------------------------------------
 5 files changed, 159 deletions(-)

commit 368556a6bd473f1faab34b44e6dba224f88361ac
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jun 13 09:51:03 2012 +0200

    roster-window: remove unused gsettings_contacts

    https://bugzilla.gnome.org/show_bug.cgi?id=677949

 data/org.gnome.Empathy.gschema.xml | 1 -
 src/empathy-roster-window.c        | 3 ---
 2 files changed, 4 deletions(-)

commit a3c513e5555aaaf91b4d2a5acb56c30b725c99e0
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jun 11 12:23:03 2012 +0200

    roster-window: display events in the view

    https://bugzilla.gnome.org/show_bug.cgi?id=677948

 src/empathy-roster-window.c | 295
 ++++----------------------------------------
 1 file changed, 24 insertions(+), 271 deletions(-)

commit 97242a76f0f603cff5e94a6be58055d3f4f7799a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jun 8 13:36:48 2012 +0200

    roster-window: display messages when roster is empty

    https://bugzilla.gnome.org/show_bug.cgi?id=677948

 src/empathy-roster-window.c | 81
 +++++++++++++++------------------------------
 1 file changed, 27 insertions(+), 54 deletions(-)

commit 0d2c82ec91f099b62fcefea2c202e0bd3e140935
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jun 8 11:21:03 2012 +0200

    roster-window: hook activate and popup menu

    https://bugzilla.gnome.org/show_bug.cgi?id=677948

 src/empathy-roster-window.c | 68
 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 68 insertions(+)

commit 8ed21376bf242ae50628306a05d7dc3c78eadee5
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jun 8 09:06:43 2012 +0200

    roster-window: use EmpathyRosterView

    Lot of features have been disabled/commented out. I'll re-introduce
    them
    progressively.

    https://bugzilla.gnome.org/show_bug.cgi?id=677948

 src/empathy-roster-window.c | 91
 ++++++++++++++++-----------------------------
 1 file changed, 32 insertions(+), 59 deletions(-)

commit c352f9677a26fd46f688e3e4f1126f7bc1071925
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jun 7 15:41:00 2012 +0200

    roster-window: use tp_g_signal_connect_object()

    https://bugzilla.gnome.org/show_bug.cgi?id=677948

 src/empathy-roster-window.c | 13 ++++---------
 1 file changed, 4 insertions(+), 9 deletions(-)

commit 094e0583ad0361dd0981e5b9bf238a20e66248a3
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jun 14 17:42:28 2012 +0200

    roster-view: display the favorite icon for the 'top' group

    https://bugzilla.gnome.org/show_bug.cgi?id=678091

 libempathy-gtk/empathy-roster-group.c | 45
 +++++++++++++++++++++++++++++++++--
 libempathy-gtk/empathy-roster-group.h |  3 ++-
 libempathy-gtk/empathy-roster-view.c  |  5 +++-
 3 files changed, 49 insertions(+), 4 deletions(-)

commit a1e8643f99402718f85c96d087cf212fd8f1c6d4
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jun 14 15:50:15 2012 +0200

    roster-view: display favorite contacts at the top of the roster
    as well

    I renamed the group to 'Top Contacts' but I'm open to a better
    suggestion.

    https://bugzilla.gnome.org/show_bug.cgi?id=678091

 libempathy-gtk/empathy-roster-view.c | 69
 +++++++++++++++++++++++++++++++++++-
 1 file changed, 68 insertions(+), 1 deletion(-)

commit bed1c1b27c5ccb6d35be8ef2b2bb6b4fa8f24f24
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jun 14 15:42:53 2012 +0200

    roster-view: sort top contacts alphabetically

    We just want them to be on top but they should be sorted
    alphabetically
    together, not by popularity. This makes the 'top' contacts more
    stable.

    https://bugzilla.gnome.org/show_bug.cgi?id=678091

 libempathy-gtk/empathy-roster-view.c | 44
 ++++++++++++++++--------------------
 1 file changed, 19 insertions(+), 25 deletions(-)

commit 7f8fe5091b7a980133c0c3d1285cb718f8772142
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jun 14 10:01:53 2012 +0200

    individual-manager: comment out interaction code

    I accidentally pushed this code to master. I'll revert this patch
    once the
    code has been reviewed and Folks 0.7.1 released.

 libempathy/empathy-individual-manager.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 6cd010a8c3bbca11bf5989c9928f8f75a48ad5d4
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jun 14 09:26:12 2012 +0200

    s/Ungroupped/Ungrouped

 libempathy-gtk/empathy-roster-view.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 674890e965f49fe00b3cc7365ce6d860583d0c88
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jun 12 14:26:29 2012 +0200

    roster-view: store all the children in EmpathyRosterGroup, not only
    the displayed one

    When checking if a contact is already in the 'top' list, we don't
    care if it's
    actually displayed or not.

    This makes the whole code more logic as only storing the displayed
    widgets in
    EmpathyRosterGroup was a bit weird.

 libempathy-gtk/empathy-roster-view.c | 101
 ++++++++++++++++++++++++-----------
 1 file changed, 69 insertions(+), 32 deletions(-)

commit b6912edc8b09d2478065ff95c1b55561a41ff4c5
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jun 12 14:11:32 2012 +0200

    roster-view: factor out contact_should_be_displayed()

 libempathy-gtk/empathy-roster-view.c | 23 +++++++++++++++++------
 1 file changed, 17 insertions(+), 6 deletions(-)

commit f56ae9de2c19ee8d739b07909834816aa14ac6a1
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jun 11 12:22:43 2012 +0200

    roster-view: add API to display events

 libempathy-gtk/empathy-roster-view.c | 226
 +++++++++++++++++++++++++++++++++++
 libempathy-gtk/empathy-roster-view.h |   8 ++
 src/empathy-event-manager.h          |   1 +
 3 files changed, 235 insertions(+)

commit 4726282c4b6985a0b34e77b7b7955bcad233cf50
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jun 11 12:17:43 2012 +0200

    add empathy_roster_contact_set_event_icon()

    Will be used to display events in the contact list.

